;;
;; DO NOT EDIT THIS FILE
;;
;; this file is automatically generated from /tmp/binarydeb/ros-indigo-hrpsys-ros-bridge-1.4.2/models/samplerobot.l on (Linux ip-172-30-1-108 4.4.0-1067-aws x86_64) at 2019-02-04 16:33:17 PST
;;
;; /tmp/binarydeb/ros-indigo-hrpsys-ros-bridge-1.4.2/obj-i686-linux-gnu $ ;;

;;
;; copy euscollada-robot class definition from euscollada/src/euscollada-robot.l
;;
(defclass euscollada-robot
;; This euscollada-robot class is for robots converted from collada files.
;; This class provides :init-ending override.
  :super robot-model
  :slots ()
  )
(defmethod euscollada-robot
  (:init-ending
   (&optional (type :urdf))
   (when (eq type :collada)
     ;; fix all links' mass properties ;; root link relative (collada) -> link local (euslisp)
     (dolist (l (append links
                        (mapcan #'(lambda (x) (if (and (derivedp (cdr x) bodyset-link)
                                                       (not (memq (cdr x) links)))
                                                  (list (cdr x)))) (send self :slots))))
       (unless (= (send l :weight) 0.0)
       (setq (l . acentroid) (send l :inverse-transform-vector
                                   (send (send (car links) :worldcoords) :transform-vector
                                         (l . acentroid))))
       (setq (l . inertia-tensor) (m* (transpose (send l :worldrot))
                                      (m* (send (car links) :worldrot)
                                          (l . inertia-tensor))))
       )))
   (send-super :init-ending)
   (send self :make-collision-model-for-links)
   ;;
   (dolist (j (mapcan #'(lambda (x) (if (and (derivedp (cdr x) joint)
                                             (not (memq (cdr x) (send self :joint-list))))
                                        (list (cdr x)))) (send self :slots)))
     (send (send j :child-link) :add-joint j)
     (send (send j :child-link) :add-parent-link (send j :parent-link))
     (send (send j :parent-link) :add-child-links (send j :child-link)))
   )
  (:change-visual
   (&optional (visual :convex))
   (dolist (lk (send self :links))
     (dolist (bd (send lk :bodies))
       (when (derivedp bd collada-body)
         (send bd :change-visual visual)))))
  ;; fullbody-inverse-kinematics overwrite
  ;;  reduce root-link's weight based on leg's joint limit
  ;;  increase stop and cog-gain
  (:fullbody-inverse-kinematics
   (target-coords &rest args &key (stop 250) (cog-gain 2.0) (additional-weight-list) (use-6dof-joint-leg-gain nil) &allow-other-keys)
   (let* ((leg-ul (send self :calc-union-link-list (send self :legs :links))))
     (send self :reset-joint-angle-limit-weight-old leg-ul)
     (send-message* self robot-model :fullbody-inverse-kinematics
                    target-coords
                    :stop stop :cog-gain cog-gain
                    :additional-weight-list
                    (append
                     additional-weight-list
                     (if use-6dof-joint-leg-gain
                         (list
                          (list (car (send self :links))
                                #'(lambda ()
                                    ;; set root-link 6dof-joint's weight based on legs' joint limit
                                    (let* ((min-weight
                                            (reduce #'(lambda (x y) (min x y))
                                                    (coerce (send self :calc-inverse-kinematics-weight-from-link-list
                                                                  leg-ul :union-link-list leg-ul) cons))))
                                      (fill (instantiate float-vector 6) min-weight)))
                                )
                          )))
                    args)
     ))
  ;; make collision model from faces or gl-vertices
  (:make-collision-model-for-links
   (&key (fat 0) (collision-func 'pqp-collision-check) ((:links ls) (send self :links)))
   (dolist (ll ls)
     (let (fs glv usefs)
       (dolist (bd (send ll :bodies))
         (if (derivedp bd collada-body)
             (push (send bd :glvertices) glv)
           (push (send bd :faces) fs)))
       (setq fs (flatten fs))
       (cond
        ((and (not fs) glv) ;; if there is no faces, use glvertices for creating pqpmodel
         (setq usefs (instance gl::glvertices :init nil))
         (send usefs :transform (send ll :worldcoords))
         (send usefs :append-glvertices glv)
         (let ((m (send usefs (read-from-string
                               (format nil ":make-~Amodel"
                                       (string-right-trim "-COLLISION-CHECK" (string collision-func))))
                        :fat fat)))
           (setf (get ll :pqpmodel) m)
           ))
        (fs
         (setq usefs
               (append fs
                       (mapcar #'(lambda (gv) (send gv :convert-to-faces :wrt :world)) glv)))
         (send ll
               (read-from-string
                (format nil ":make-~Amodel"
                        (string-right-trim "-COLLISION-CHECK" (string collision-func))))
               :fat fat
               :faces usefs))
        ))
     ))
  )

;; copy euscollada-body class definition from euscollada/src/euscollada-robot.l
;; This euscollada-body class is for bodies in robot model converted from collada files.
(defclass collada-body
  :super gl::glbody
  :slots (glvertices) ;; glvertices slot for backward compatibility
  )
(defmethod collada-body
  (:init (&key (name) (replace-obj))
    (if replace-obj
        (replace-object self replace-obj)
      (replace-object self (make-cube 10 10 10)))
    (if name (send self :name name))
    (setq glvertices gl::aglvertices)
    self)
  (:change-visual
   (&optional (visual :convex))
   (case visual
     ((list :convex :hull :convex-hull)
      (unless (send self :get :original-mesh)
        (send self :put :original-mesh gl::aglvertices)) ;; store original mesh
      (let* ((org-mesh (send self :get :original-mesh))
             (org-cds (send org-mesh :copy-worldcoords))
             (glv (gl::make-glvertices-from-faces (send self :faces))))
        (send glv :set-offset (send org-cds :inverse-transformation))
        (send glv :transform org-cds)
        (send org-mesh :assoc glv)
        (setq gl::aglvertices glv)
        glv))
     ((list :original :mesh :glvertices :original-mesh)
      (let ((org-mesh (send self :get :original-mesh)))
        (when org-mesh
          (dolist (d (send org-mesh :descendants)) ;; dissoc all discendants
            (send org-mesh :dissoc d))
          (setq gl::aglvertices org-mesh)
          org-mesh)))
     ))
  )
;;
;; end of copy from /opt/ros/indigo/share/euscollada/src/euscollada-robot.l
;;
(defun SampleRobot () (setq *SampleRobot* (instance SampleRobot-robot :init)))

(defclass SampleRobot-robot
  :super euscollada-robot
  :slots ( ;; link names
          LARM_LINK1_lk LARM_LINK2_lk LARM_LINK3_lk LARM_LINK4_lk LARM_LINK5_lk LARM_LINK6_lk LARM_LINK7_lk LLEG_LINK1_lk LLEG_LINK2_lk LLEG_LINK3_lk LLEG_LINK4_lk LLEG_LINK5_lk LLEG_LINK6_lk RARM_LINK1_lk RARM_LINK2_lk RARM_LINK3_lk RARM_LINK4_lk RARM_LINK5_lk RARM_LINK6_lk RARM_LINK7_lk RLEG_LINK1_lk RLEG_LINK2_lk RLEG_LINK3_lk RLEG_LINK4_lk RLEG_LINK5_lk RLEG_LINK6_lk WAIST_LINK0_lk WAIST_LINK1_lk WAIST_LINK2_lk WAIST_LINK3_lk
         ;; joint names
          CHEST_jt LARM_ELBOW_jt LARM_SHOULDER_P_jt LARM_SHOULDER_R_jt LARM_SHOULDER_Y_jt LARM_WRIST_P_jt LARM_WRIST_R_jt LARM_WRIST_Y_jt LLEG_ANKLE_P_jt LLEG_ANKLE_R_jt LLEG_HIP_P_jt LLEG_HIP_R_jt LLEG_HIP_Y_jt LLEG_KNEE_jt RARM_ELBOW_jt RARM_SHOULDER_P_jt RARM_SHOULDER_R_jt RARM_SHOULDER_Y_jt RARM_WRIST_P_jt RARM_WRIST_R_jt RARM_WRIST_Y_jt RLEG_ANKLE_P_jt RLEG_ANKLE_R_jt RLEG_HIP_P_jt RLEG_HIP_R_jt RLEG_HIP_Y_jt RLEG_KNEE_jt WAIST_P_jt WAIST_R_jt
         ;; sensor names
          gsensor-sensor-coords gyrometer-sensor-coords VISION_SENSOR1-sensor-coords VISION_SENSOR2-sensor-coords lhsensor-sensor-coords rhsensor-sensor-coords lfsensor-sensor-coords rfsensor-sensor-coords
         )
  )
(defmethod SampleRobot-robot
  (:init
   (&rest args)
   (let ()
     (send-super* :init :name "SampleRobot" args)

     ;; link: WAIST_LINK0_lk
     (let ((geom-lst (list
                       (send self :_make_instance_WAIST_LINK0_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq WAIST_LINK0_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "WAIST_LINK0"))
       ;; inertial parameter for WAIST_LINK0_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 3.7500000000000000e+01))
                      ))
         (send WAIST_LINK0_lk :weight 27000.000)
         (setq (WAIST_LINK0_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 9.6482000000000000e+07 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 9.6482000000000000e+07 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 2.8800000000000000e+07))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (WAIST_LINK0_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for WAIST_LINK0_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))
                        ))
         (send WAIST_LINK0_lk :transform world-cds))
       )

     ;; link: WAIST_LINK1_lk
     (let ((geom-lst (list
                       (send self :_make_instance_WAIST_LINK1_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq WAIST_LINK1_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "WAIST_LINK1"))
       ;; inertial parameter for WAIST_LINK1_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 5.5511151231257827e-14))
                      ))
         (send WAIST_LINK1_lk :weight 6000.000)
         (setq (WAIST_LINK1_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 2.1870000000000000e+06 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 1.8750000000000000e+06 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 2.1870000000000000e+06))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (WAIST_LINK1_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for WAIST_LINK1_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.7600000000000000e+02))
                        ))
         (send WAIST_LINK1_lk :transform world-cds))
       )

     ;; link: WAIST_LINK2_lk
     (let ((geom-lst (list
                       (send self :_make_instance_WAIST_LINK2_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq WAIST_LINK2_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "WAIST_LINK2"))
       ;; inertial parameter for WAIST_LINK2_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.6000000000000003e+02))
                      ))
         (send WAIST_LINK2_lk :weight 30000.000)
         (setq (WAIST_LINK2_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 2.7000000000000000e+08 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 2.7000000000000000e+08 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.2500000000000000e+07))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (WAIST_LINK2_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for WAIST_LINK2_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.7600000000000000e+02))
                        ))
         (send WAIST_LINK2_lk :transform world-cds))
       )

     ;; link: WAIST_LINK3_lk
     (let ((geom-lst (list
                       (send self :_make_instance_WAIST_LINK3_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq WAIST_LINK3_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "WAIST_LINK3"))
       ;; inertial parameter for WAIST_LINK3_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 8.0000000000000185e+01))
                      ))
         (send WAIST_LINK3_lk :weight 13000.000)
         (setq (WAIST_LINK3_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 1.7000000000000000e+08 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 2.1500000000000000e+08 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 2.0260000000000000e+08))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (WAIST_LINK3_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for WAIST_LINK3_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 5.2600000000000000e+02))
                        ))
         (send WAIST_LINK3_lk :transform world-cds))
       )

     ;; link: LARM_LINK1_lk
     (let ((geom-lst (list
                       (send self :_make_instance_LARM_LINK1_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq LARM_LINK1_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "LARM_LINK1"))
       ;; inertial parameter for LARM_LINK1_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 -5.0000000000000014e+01 2.2204460492503131e-13))
                      ))
         (send LARM_LINK1_lk :weight 400.000)
         (setq (LARM_LINK1_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 1.2500000000000000e+05 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 1.4600000000000000e+05 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.2500000000000000e+05))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (LARM_LINK1_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for LARM_LINK1_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 2.1000000000000000e+02 5.2600000000000000e+02))
                        ))
         (send LARM_LINK1_lk :transform world-cds))
       )

     ;; link: LARM_LINK2_lk
     (let ((geom-lst (list
                       (send self :_make_instance_LARM_LINK2_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq LARM_LINK2_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "LARM_LINK2"))
       ;; inertial parameter for LARM_LINK2_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 -9.9999999999999758e+01))
                      ))
         (send LARM_LINK2_lk :weight 2200.000)
         (setq (LARM_LINK2_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 8.7760000000000000e+06 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 8.7760000000000000e+06 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 9.1700000000000000e+05))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (LARM_LINK2_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for LARM_LINK2_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 2.1000000000000000e+02 5.2600000000000000e+02))
                        ))
         (send LARM_LINK2_lk :transform world-cds))
       )

     ;; link: RARM_LINK4_lk
     (let ((geom-lst (list
                       (send self :_make_instance_RARM_LINK4_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq RARM_LINK4_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "RARM_LINK4"))
       ;; inertial parameter for RARM_LINK4_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 -9.9999999999999787e+01))
                      ))
         (send RARM_LINK4_lk :weight 2200.000)
         (setq (RARM_LINK4_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 7.5730000000000000e+06 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 7.5730000000000000e+06 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 9.1700000000000000e+05))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (RARM_LINK4_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for RARM_LINK4_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 -2.1000000000000000e+02 2.6300000000000000e+02))
                        ))
         (send RARM_LINK4_lk :transform world-cds))
       )

     ;; link: RARM_LINK5_lk
     (let ((geom-lst (list
                       (send self :_make_instance_RARM_LINK5_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq RARM_LINK5_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "RARM_LINK5"))
       ;; inertial parameter for RARM_LINK5_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 5.0000000000000242e+01))
                      ))
         (send RARM_LINK5_lk :weight 400.000)
         (setq (RARM_LINK5_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 1.4600000000000000e+05 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 1.4600000000000000e+05 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.2500000000000000e+05))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (RARM_LINK5_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for RARM_LINK5_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 -2.1000000000000000e+02 1.6000000000000014e+01))
                        ))
         (send RARM_LINK5_lk :transform world-cds))
       )

     ;; link: LARM_LINK3_lk
     (let ((geom-lst (list
                       (send self :_make_instance_LARM_LINK3_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq LARM_LINK3_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "LARM_LINK3"))
       ;; inertial parameter for LARM_LINK3_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 5.0000000000000213e+01))
                      ))
         (send LARM_LINK3_lk :weight 400.000)
         (setq (LARM_LINK3_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 1.4600000000000000e+05 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 1.4600000000000000e+05 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.2500000000000000e+05))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (LARM_LINK3_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for LARM_LINK3_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 2.1000000000000000e+02 2.6300000000000000e+02))
                        ))
         (send LARM_LINK3_lk :transform world-cds))
       )

     ;; link: RARM_LINK3_lk
     (let ((geom-lst (list
                       (send self :_make_instance_RARM_LINK3_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq RARM_LINK3_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "RARM_LINK3"))
       ;; inertial parameter for RARM_LINK3_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 5.0000000000000213e+01))
                      ))
         (send RARM_LINK3_lk :weight 400.000)
         (setq (RARM_LINK3_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 1.4600000000000000e+05 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 1.4600000000000000e+05 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.2500000000000000e+05))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (RARM_LINK3_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for RARM_LINK3_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 -2.1000000000000000e+02 2.6300000000000000e+02))
                        ))
         (send RARM_LINK3_lk :transform world-cds))
       )

     ;; link: RLEG_LINK3_lk
     (let ((geom-lst (list
                       (send self :_make_instance_RLEG_LINK3_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq RLEG_LINK3_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "RLEG_LINK3"))
       ;; inertial parameter for RLEG_LINK3_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.8000000000000000e+02))
                      ))
         (send RLEG_LINK3_lk :weight 5100.000)
         (setq (RLEG_LINK3_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 3.1559999999999996e+07 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 3.1559999999999996e+07 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 8.5000000000000000e+06))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (RLEG_LINK3_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for RLEG_LINK3_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 -9.0000000000000000e+01 -3.5350000000000000e+02))
                        ))
         (send RLEG_LINK3_lk :transform world-cds))
       )

     ;; link: RARM_LINK6_lk
     (let ((geom-lst (list
                       (send self :_make_instance_RARM_LINK6_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq RARM_LINK6_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "RARM_LINK6"))
       ;; inertial parameter for RARM_LINK6_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 -1.0000000000000009e+01 -8.9999999999999758e+01))
                      ))
         (send RARM_LINK6_lk :weight 400.000)
         (setq (RARM_LINK6_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 1.8510000000000000e+06 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 1.7710000000000000e+06 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 2.4700000000000000e+05))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (RARM_LINK6_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for RARM_LINK6_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 -2.1000000000000000e+02 1.6000000000000014e+01))
                        ))
         (send RARM_LINK6_lk :transform world-cds))
       )

     ;; link: LARM_LINK4_lk
     (let ((geom-lst (list
                       (send self :_make_instance_LARM_LINK4_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq LARM_LINK4_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "LARM_LINK4"))
       ;; inertial parameter for LARM_LINK4_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 -9.9999999999999787e+01))
                      ))
         (send LARM_LINK4_lk :weight 2200.000)
         (setq (LARM_LINK4_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 7.5730000000000000e+06 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 7.5730000000000000e+06 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 9.1700000000000000e+05))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (LARM_LINK4_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for LARM_LINK4_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 2.1000000000000000e+02 2.6300000000000000e+02))
                        ))
         (send LARM_LINK4_lk :transform world-cds))
       )

     ;; link: RARM_LINK7_lk
     (let ((geom-lst (list
                       (send self :_make_instance_RARM_LINK7_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq RARM_LINK7_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "RARM_LINK7"))
       ;; inertial parameter for RARM_LINK7_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 3.0000000000000000e+01 -9.9999999999999787e+01))
                      ))
         (send RARM_LINK7_lk :weight 400.000)
         (setq (RARM_LINK7_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 7.8000000000000000e+05 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 8.3300000000000000e+05 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.1300000000000000e+05))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (RARM_LINK7_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for RARM_LINK7_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 -2.1000000000000000e+02 1.6000000000000014e+01))
                        ))
         (send RARM_LINK7_lk :transform world-cds))
       )

     ;; link: RLEG_LINK2_lk
     (let ((geom-lst (list
                       (send self :_make_instance_RLEG_LINK2_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq RLEG_LINK2_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "RLEG_LINK2"))
       ;; inertial parameter for RLEG_LINK2_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))
                      ))
         (send RLEG_LINK2_lk :weight 2000.000)
         (setq (RLEG_LINK2_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 2.9170000000000000e+06 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 2.5000000000000000e+06 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 2.9170000000000000e+06))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (RLEG_LINK2_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for RLEG_LINK2_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 -9.0000000000000000e+01 0.0000000000000000e+00))
                        ))
         (send RLEG_LINK2_lk :transform world-cds))
       )

     ;; link: LARM_LINK5_lk
     (let ((geom-lst (list
                       (send self :_make_instance_LARM_LINK5_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq LARM_LINK5_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "LARM_LINK5"))
       ;; inertial parameter for LARM_LINK5_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 5.0000000000000242e+01))
                      ))
         (send LARM_LINK5_lk :weight 400.000)
         (setq (LARM_LINK5_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 1.4600000000000000e+05 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 1.4600000000000000e+05 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.2500000000000000e+05))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (LARM_LINK5_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for LARM_LINK5_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 2.1000000000000000e+02 1.6000000000000014e+01))
                        ))
         (send LARM_LINK5_lk :transform world-cds))
       )

     ;; link: RARM_LINK1_lk
     (let ((geom-lst (list
                       (send self :_make_instance_RARM_LINK1_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq RARM_LINK1_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "RARM_LINK1"))
       ;; inertial parameter for RARM_LINK1_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 5.0000000000000014e+01 2.2204460492503131e-13))
                      ))
         (send RARM_LINK1_lk :weight 400.000)
         (setq (RARM_LINK1_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 1.2500000000000000e+05 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 1.4600000000000000e+05 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.2500000000000000e+05))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (RARM_LINK1_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for RARM_LINK1_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 -2.1000000000000000e+02 5.2600000000000000e+02))
                        ))
         (send RARM_LINK1_lk :transform world-cds))
       )

     ;; link: LARM_LINK6_lk
     (let ((geom-lst (list
                       (send self :_make_instance_LARM_LINK6_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq LARM_LINK6_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "LARM_LINK6"))
       ;; inertial parameter for LARM_LINK6_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 1.0000000000000009e+01 -8.9999999999999758e+01))
                      ))
         (send LARM_LINK6_lk :weight 400.000)
         (setq (LARM_LINK6_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 1.8510000000000000e+06 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 1.7710000000000000e+06 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 2.4700000000000000e+05))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (LARM_LINK6_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for LARM_LINK6_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 2.1000000000000000e+02 1.6000000000000014e+01))
                        ))
         (send LARM_LINK6_lk :transform world-cds))
       )

     ;; link: RLEG_LINK6_lk
     (let ((geom-lst (list
                       (send self :_make_instance_RLEG_LINK6_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq RLEG_LINK6_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "RLEG_LINK6"))
       ;; inertial parameter for RLEG_LINK6_lk
       (let ((tmp-cds (make-coords :pos (float-vector 8.0000000000000000e+01 0.0000000000000000e+00 -3.0000000000000028e+01))
                      ))
         (send RLEG_LINK6_lk :weight 1900.000)
         (setq (RLEG_LINK6_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 5.2910000000000000e+06 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 1.2084000000000000e+07 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.3000000000000000e+07))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (RLEG_LINK6_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for RLEG_LINK6_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 -9.0000000000000000e+01 -6.5350000000000000e+02))
                        ))
         (send RLEG_LINK6_lk :transform world-cds))
       )

     ;; link: LLEG_LINK6_lk
     (let ((geom-lst (list
                       (send self :_make_instance_LLEG_LINK6_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq LLEG_LINK6_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "LLEG_LINK6"))
       ;; inertial parameter for LLEG_LINK6_lk
       (let ((tmp-cds (make-coords :pos (float-vector 8.0000000000000000e+01 0.0000000000000000e+00 -3.0000000000000028e+01))
                      ))
         (send LLEG_LINK6_lk :weight 1900.000)
         (setq (LLEG_LINK6_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 5.2910000000000000e+06 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 1.2084000000000000e+07 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.3000000000000000e+07))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (LLEG_LINK6_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for LLEG_LINK6_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 9.0000000000000000e+01 -6.5350000000000000e+02))
                        ))
         (send LLEG_LINK6_lk :transform world-cds))
       )

     ;; link: LARM_LINK7_lk
     (let ((geom-lst (list
                       (send self :_make_instance_LARM_LINK7_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq LARM_LINK7_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "LARM_LINK7"))
       ;; inertial parameter for LARM_LINK7_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 -3.0000000000000000e+01 -9.9999999999999787e+01))
                      ))
         (send LARM_LINK7_lk :weight 400.000)
         (setq (LARM_LINK7_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 7.8000000000000000e+05 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 8.3300000000000000e+05 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.1300000000000000e+05))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (LARM_LINK7_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for LARM_LINK7_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 2.1000000000000000e+02 1.6000000000000014e+01))
                        ))
         (send LARM_LINK7_lk :transform world-cds))
       )

     ;; link: RARM_LINK2_lk
     (let ((geom-lst (list
                       (send self :_make_instance_RARM_LINK2_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq RARM_LINK2_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "RARM_LINK2"))
       ;; inertial parameter for RARM_LINK2_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 -9.9999999999999758e+01))
                      ))
         (send RARM_LINK2_lk :weight 2200.000)
         (setq (RARM_LINK2_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 8.7760000000000000e+06 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 8.7760000000000000e+06 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 9.1700000000000000e+05))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (RARM_LINK2_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for RARM_LINK2_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 -2.1000000000000000e+02 5.2600000000000000e+02))
                        ))
         (send RARM_LINK2_lk :transform world-cds))
       )

     ;; link: LLEG_LINK5_lk
     (let ((geom-lst (list
                       (send self :_make_instance_LLEG_LINK5_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq LLEG_LINK5_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "LLEG_LINK5"))
       ;; inertial parameter for LLEG_LINK5_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))
                      ))
         (send LLEG_LINK5_lk :weight 2500.000)
         (setq (LLEG_LINK5_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 3.6460000000000000e+06 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 3.1250000000000000e+06 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 3.6460000000000000e+06))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (LLEG_LINK5_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for LLEG_LINK5_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 9.0000000000000000e+01 -6.5350000000000000e+02))
                        ))
         (send LLEG_LINK5_lk :transform world-cds))
       )

     ;; link: RLEG_LINK5_lk
     (let ((geom-lst (list
                       (send self :_make_instance_RLEG_LINK5_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq RLEG_LINK5_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "RLEG_LINK5"))
       ;; inertial parameter for RLEG_LINK5_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))
                      ))
         (send RLEG_LINK5_lk :weight 2500.000)
         (setq (RLEG_LINK5_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 3.6460000000000000e+06 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 3.1250000000000000e+06 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 3.6460000000000000e+06))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (RLEG_LINK5_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for RLEG_LINK5_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 -9.0000000000000000e+01 -6.5350000000000000e+02))
                        ))
         (send RLEG_LINK5_lk :transform world-cds))
       )

     ;; link: RLEG_LINK4_lk
     (let ((geom-lst (list
                       (send self :_make_instance_RLEG_LINK4_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq RLEG_LINK4_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "RLEG_LINK4"))
       ;; inertial parameter for RLEG_LINK4_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 -1.2000000000000000e+02))
                      ))
         (send RLEG_LINK4_lk :weight 7000.000)
         (setq (RLEG_LINK4_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 5.8330000000000000e+07 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 5.8330000000000000e+07 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.1670000000000000e+07))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (RLEG_LINK4_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for RLEG_LINK4_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 -9.0000000000000000e+01 -3.5350000000000000e+02))
                        ))
         (send RLEG_LINK4_lk :transform world-cds))
       )

     ;; link: LLEG_LINK1_lk
     (let ((geom-lst (list
                       (send self :_make_instance_LLEG_LINK1_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq LLEG_LINK1_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "LLEG_LINK1"))
       ;; inertial parameter for LLEG_LINK1_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))
                      ))
         (send LLEG_LINK1_lk :weight 2500.000)
         (setq (LLEG_LINK1_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 3.1250000000000000e+06 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 3.6460000000000000e+06 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 3.6460000000000000e+06))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (LLEG_LINK1_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for LLEG_LINK1_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 9.0000000000000000e+01 0.0000000000000000e+00))
                        ))
         (send LLEG_LINK1_lk :transform world-cds))
       )

     ;; link: RLEG_LINK1_lk
     (let ((geom-lst (list
                       (send self :_make_instance_RLEG_LINK1_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq RLEG_LINK1_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "RLEG_LINK1"))
       ;; inertial parameter for RLEG_LINK1_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))
                      ))
         (send RLEG_LINK1_lk :weight 2500.000)
         (setq (RLEG_LINK1_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 3.1250000000000000e+06 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 3.6460000000000000e+06 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 3.6460000000000000e+06))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (RLEG_LINK1_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for RLEG_LINK1_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 -9.0000000000000000e+01 0.0000000000000000e+00))
                        ))
         (send RLEG_LINK1_lk :transform world-cds))
       )

     ;; link: LLEG_LINK2_lk
     (let ((geom-lst (list
                       (send self :_make_instance_LLEG_LINK2_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq LLEG_LINK2_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "LLEG_LINK2"))
       ;; inertial parameter for LLEG_LINK2_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))
                      ))
         (send LLEG_LINK2_lk :weight 2000.000)
         (setq (LLEG_LINK2_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 2.9170000000000000e+06 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 2.5000000000000000e+06 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 2.9170000000000000e+06))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (LLEG_LINK2_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for LLEG_LINK2_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 9.0000000000000000e+01 0.0000000000000000e+00))
                        ))
         (send LLEG_LINK2_lk :transform world-cds))
       )

     ;; link: LLEG_LINK3_lk
     (let ((geom-lst (list
                       (send self :_make_instance_LLEG_LINK3_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq LLEG_LINK3_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "LLEG_LINK3"))
       ;; inertial parameter for LLEG_LINK3_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.8000000000000000e+02))
                      ))
         (send LLEG_LINK3_lk :weight 5100.000)
         (setq (LLEG_LINK3_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 3.1559999999999996e+07 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 3.1559999999999996e+07 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 8.5000000000000000e+06))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (LLEG_LINK3_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for LLEG_LINK3_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 9.0000000000000000e+01 -3.5350000000000000e+02))
                        ))
         (send LLEG_LINK3_lk :transform world-cds))
       )

     ;; link: LLEG_LINK4_lk
     (let ((geom-lst (list
                       (send self :_make_instance_LLEG_LINK4_geom0))))
       (dolist (g (cdr geom-lst)) (send (car geom-lst) :assoc g))
       (setq LLEG_LINK4_lk
             (instance bodyset-link
                       :init (make-cascoords)
                       :bodies geom-lst
                       :name "LLEG_LINK4"))
       ;; inertial parameter for LLEG_LINK4_lk
       (let ((tmp-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 -1.2000000000000000e+02))
                      ))
         (send LLEG_LINK4_lk :weight 7000.000)
         (setq (LLEG_LINK4_lk . inertia-tensor)
               (m* (m* (send tmp-cds :worldrot) (matrix
                                                  (float-vector 5.8330000000000000e+07 0.0000000000000000e+00 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 5.8330000000000000e+07 0.0000000000000000e+00)
                                                  (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.1670000000000000e+07))
                 ) (transpose (send tmp-cds :worldrot))))
         (setq (LLEG_LINK4_lk . acentroid) (copy-seq (send tmp-cds :worldpos)))
         )
       ;; global coordinates for LLEG_LINK4_lk
       (let ((world-cds (make-coords :pos (float-vector 0.0000000000000000e+00 9.0000000000000000e+01 -3.5350000000000000e+02))
                        ))
         (send LLEG_LINK4_lk :transform world-cds))
       )

     (send WAIST_LINK2_lk :assoc WAIST_LINK3_lk)
     (send LARM_LINK3_lk :assoc LARM_LINK4_lk)
     (send WAIST_LINK3_lk :assoc LARM_LINK1_lk)
     (send LARM_LINK1_lk :assoc LARM_LINK2_lk)
     (send LARM_LINK2_lk :assoc LARM_LINK3_lk)
     (send LARM_LINK5_lk :assoc LARM_LINK6_lk)
     (send LARM_LINK6_lk :assoc LARM_LINK7_lk)
     (send LARM_LINK4_lk :assoc LARM_LINK5_lk)
     (send LLEG_LINK4_lk :assoc LLEG_LINK5_lk)
     (send LLEG_LINK5_lk :assoc LLEG_LINK6_lk)
     (send LLEG_LINK1_lk :assoc LLEG_LINK2_lk)
     (send WAIST_LINK0_lk :assoc LLEG_LINK1_lk)
     (send LLEG_LINK2_lk :assoc LLEG_LINK3_lk)
     (send LLEG_LINK3_lk :assoc LLEG_LINK4_lk)
     (send RARM_LINK3_lk :assoc RARM_LINK4_lk)
     (send WAIST_LINK3_lk :assoc RARM_LINK1_lk)
     (send RARM_LINK1_lk :assoc RARM_LINK2_lk)
     (send RARM_LINK2_lk :assoc RARM_LINK3_lk)
     (send RARM_LINK5_lk :assoc RARM_LINK6_lk)
     (send RARM_LINK6_lk :assoc RARM_LINK7_lk)
     (send RARM_LINK4_lk :assoc RARM_LINK5_lk)
     (send RLEG_LINK4_lk :assoc RLEG_LINK5_lk)
     (send RLEG_LINK5_lk :assoc RLEG_LINK6_lk)
     (send RLEG_LINK1_lk :assoc RLEG_LINK2_lk)
     (send WAIST_LINK0_lk :assoc RLEG_LINK1_lk)
     (send RLEG_LINK2_lk :assoc RLEG_LINK3_lk)
     (send RLEG_LINK3_lk :assoc RLEG_LINK4_lk)
     (send WAIST_LINK0_lk :assoc WAIST_LINK1_lk)
     (send WAIST_LINK1_lk :assoc WAIST_LINK2_lk)
     (send self :assoc WAIST_LINK0_lk)

     ;; joint models
     ;; joint: CHEST_jt
     (setq CHEST_jt
           (instance rotational-joint :init
                     :name "CHEST"
                     :parent-link WAIST_LINK2_lk :child-link WAIST_LINK3_lk
                     :axis (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.0000000000000000e+00)
                                          :min *-inf* :max *inf*
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: LARM_ELBOW_jt
     (setq LARM_ELBOW_jt
           (instance rotational-joint :init
                     :name "LARM_ELBOW"
                     :parent-link LARM_LINK3_lk :child-link LARM_LINK4_lk
                     :axis (float-vector 0.0000000000000000e+00 1.0000000000000000e+00 0.0000000000000000e+00)
                     :min -149.999779 :max 10.000004
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: LARM_SHOULDER_P_jt
     (setq LARM_SHOULDER_P_jt
           (instance rotational-joint :init
                     :name "LARM_SHOULDER_P"
                     :parent-link WAIST_LINK3_lk :child-link LARM_LINK1_lk
                     :axis (float-vector 0.0000000000000000e+00 1.0000000000000000e+00 0.0000000000000000e+00)
                     :min -179.999855 :max 90.000207
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: LARM_SHOULDER_R_jt
     (setq LARM_SHOULDER_R_jt
           (instance rotational-joint :init
                     :name "LARM_SHOULDER_R"
                     :parent-link LARM_LINK1_lk :child-link LARM_LINK2_lk
                     :axis (float-vector 1.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00)
                     :min -14.999978 :max 120.000277
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: LARM_SHOULDER_Y_jt
     (setq LARM_SHOULDER_Y_jt
           (instance rotational-joint :init
                     :name "LARM_SHOULDER_Y"
                     :parent-link LARM_LINK2_lk :child-link LARM_LINK3_lk
                     :axis (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.0000000000000000e+00)
                     :min -120.000277 :max 120.000277
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: LARM_WRIST_P_jt
     (setq LARM_WRIST_P_jt
           (instance rotational-joint :init
                     :name "LARM_WRIST_P"
                     :parent-link LARM_LINK5_lk :child-link LARM_LINK6_lk
                     :axis (float-vector 0.0000000000000000e+00 1.0000000000000000e+00 0.0000000000000000e+00)
                     :min -120.000277 :max 120.000277
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: LARM_WRIST_R_jt
     (setq LARM_WRIST_R_jt
           (instance rotational-joint :init
                     :name "LARM_WRIST_R"
                     :parent-link LARM_LINK6_lk :child-link LARM_LINK7_lk
                     :axis (float-vector 1.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00)
                     :min -75.000176 :max 6.999997
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: LARM_WRIST_Y_jt
     (setq LARM_WRIST_Y_jt
           (instance rotational-joint :init
                     :name "LARM_WRIST_Y"
                     :parent-link LARM_LINK4_lk :child-link LARM_LINK5_lk
                     :axis (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.0000000000000000e+00)
                     :min -120.000277 :max 120.000277
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: LLEG_ANKLE_P_jt
     (setq LLEG_ANKLE_P_jt
           (instance rotational-joint :init
                     :name "LLEG_ANKLE_P"
                     :parent-link LLEG_LINK4_lk :child-link LLEG_LINK5_lk
                     :axis (float-vector 0.0000000000000000e+00 1.0000000000000000e+00 0.0000000000000000e+00)
                                          :min *-inf* :max *inf*
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: LLEG_ANKLE_R_jt
     (setq LLEG_ANKLE_R_jt
           (instance rotational-joint :init
                     :name "LLEG_ANKLE_R"
                     :parent-link LLEG_LINK5_lk :child-link LLEG_LINK6_lk
                     :axis (float-vector 1.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00)
                                          :min *-inf* :max *inf*
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: LLEG_HIP_P_jt
     (setq LLEG_HIP_P_jt
           (instance rotational-joint :init
                     :name "LLEG_HIP_P"
                     :parent-link LLEG_LINK1_lk :child-link LLEG_LINK2_lk
                     :axis (float-vector 0.0000000000000000e+00 1.0000000000000000e+00 0.0000000000000000e+00)
                                          :min *-inf* :max *inf*
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: LLEG_HIP_R_jt
     (setq LLEG_HIP_R_jt
           (instance rotational-joint :init
                     :name "LLEG_HIP_R"
                     :parent-link WAIST_LINK0_lk :child-link LLEG_LINK1_lk
                     :axis (float-vector 1.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00)
                                          :min *-inf* :max *inf*
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: LLEG_HIP_Y_jt
     (setq LLEG_HIP_Y_jt
           (instance rotational-joint :init
                     :name "LLEG_HIP_Y"
                     :parent-link LLEG_LINK2_lk :child-link LLEG_LINK3_lk
                     :axis (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.0000000000000000e+00)
                                          :min *-inf* :max *inf*
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: LLEG_KNEE_jt
     (setq LLEG_KNEE_jt
           (instance rotational-joint :init
                     :name "LLEG_KNEE"
                     :parent-link LLEG_LINK3_lk :child-link LLEG_LINK4_lk
                     :axis (float-vector 0.0000000000000000e+00 1.0000000000000000e+00 0.0000000000000000e+00)
                                          :min *-inf* :max *inf*
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: RARM_ELBOW_jt
     (setq RARM_ELBOW_jt
           (instance rotational-joint :init
                     :name "RARM_ELBOW"
                     :parent-link RARM_LINK3_lk :child-link RARM_LINK4_lk
                     :axis (float-vector 0.0000000000000000e+00 1.0000000000000000e+00 0.0000000000000000e+00)
                     :min -149.999779 :max 10.000004
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: RARM_SHOULDER_P_jt
     (setq RARM_SHOULDER_P_jt
           (instance rotational-joint :init
                     :name "RARM_SHOULDER_P"
                     :parent-link WAIST_LINK3_lk :child-link RARM_LINK1_lk
                     :axis (float-vector 0.0000000000000000e+00 1.0000000000000000e+00 0.0000000000000000e+00)
                     :min -179.999855 :max 90.000207
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: RARM_SHOULDER_R_jt
     (setq RARM_SHOULDER_R_jt
           (instance rotational-joint :init
                     :name "RARM_SHOULDER_R"
                     :parent-link RARM_LINK1_lk :child-link RARM_LINK2_lk
                     :axis (float-vector 1.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00)
                     :min -120.000277 :max 14.999978
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: RARM_SHOULDER_Y_jt
     (setq RARM_SHOULDER_Y_jt
           (instance rotational-joint :init
                     :name "RARM_SHOULDER_Y"
                     :parent-link RARM_LINK2_lk :child-link RARM_LINK3_lk
                     :axis (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.0000000000000000e+00)
                     :min -120.000277 :max 120.000277
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: RARM_WRIST_P_jt
     (setq RARM_WRIST_P_jt
           (instance rotational-joint :init
                     :name "RARM_WRIST_P"
                     :parent-link RARM_LINK5_lk :child-link RARM_LINK6_lk
                     :axis (float-vector 0.0000000000000000e+00 1.0000000000000000e+00 0.0000000000000000e+00)
                     :min -120.000277 :max 120.000277
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: RARM_WRIST_R_jt
     (setq RARM_WRIST_R_jt
           (instance rotational-joint :init
                     :name "RARM_WRIST_R"
                     :parent-link RARM_LINK6_lk :child-link RARM_LINK7_lk
                     :axis (float-vector 1.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00)
                     :min -6.999997 :max 75.000176
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: RARM_WRIST_Y_jt
     (setq RARM_WRIST_Y_jt
           (instance rotational-joint :init
                     :name "RARM_WRIST_Y"
                     :parent-link RARM_LINK4_lk :child-link RARM_LINK5_lk
                     :axis (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.0000000000000000e+00)
                     :min -120.000277 :max 120.000277
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: RLEG_ANKLE_P_jt
     (setq RLEG_ANKLE_P_jt
           (instance rotational-joint :init
                     :name "RLEG_ANKLE_P"
                     :parent-link RLEG_LINK4_lk :child-link RLEG_LINK5_lk
                     :axis (float-vector 0.0000000000000000e+00 1.0000000000000000e+00 0.0000000000000000e+00)
                                          :min *-inf* :max *inf*
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: RLEG_ANKLE_R_jt
     (setq RLEG_ANKLE_R_jt
           (instance rotational-joint :init
                     :name "RLEG_ANKLE_R"
                     :parent-link RLEG_LINK5_lk :child-link RLEG_LINK6_lk
                     :axis (float-vector 1.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00)
                                          :min *-inf* :max *inf*
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: RLEG_HIP_P_jt
     (setq RLEG_HIP_P_jt
           (instance rotational-joint :init
                     :name "RLEG_HIP_P"
                     :parent-link RLEG_LINK1_lk :child-link RLEG_LINK2_lk
                     :axis (float-vector 0.0000000000000000e+00 1.0000000000000000e+00 0.0000000000000000e+00)
                                          :min *-inf* :max *inf*
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: RLEG_HIP_R_jt
     (setq RLEG_HIP_R_jt
           (instance rotational-joint :init
                     :name "RLEG_HIP_R"
                     :parent-link WAIST_LINK0_lk :child-link RLEG_LINK1_lk
                     :axis (float-vector 1.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00)
                                          :min *-inf* :max *inf*
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: RLEG_HIP_Y_jt
     (setq RLEG_HIP_Y_jt
           (instance rotational-joint :init
                     :name "RLEG_HIP_Y"
                     :parent-link RLEG_LINK2_lk :child-link RLEG_LINK3_lk
                     :axis (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.0000000000000000e+00)
                                          :min *-inf* :max *inf*
                     :max-joint-velocity 0.500000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: RLEG_KNEE_jt
     (setq RLEG_KNEE_jt
           (instance rotational-joint :init
                     :name "RLEG_KNEE"
                     :parent-link RLEG_LINK3_lk :child-link RLEG_LINK4_lk
                     :axis (float-vector 0.0000000000000000e+00 1.0000000000000000e+00 0.0000000000000000e+00)
                                          :min *-inf* :max *inf*
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: WAIST_P_jt
     (setq WAIST_P_jt
           (instance rotational-joint :init
                     :name "WAIST_P"
                     :parent-link WAIST_LINK0_lk :child-link WAIST_LINK1_lk
                     :axis (float-vector 0.0000000000000000e+00 1.0000000000000000e+00 0.0000000000000000e+00)
                                          :min *-inf* :max *inf*
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; joint: WAIST_R_jt
     (setq WAIST_R_jt
           (instance rotational-joint :init
                     :name "WAIST_R"
                     :parent-link WAIST_LINK1_lk :child-link WAIST_LINK2_lk
                     :axis (float-vector 1.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00)
                                          :min *-inf* :max *inf*
                     :max-joint-velocity 40.000000
                     :max-joint-torque 0.000000
                     ))
     ;; end coords from yaml file
     (setq rleg-end-coords (make-cascoords :coords (send RLEG_LINK6_lk :copy-worldcoords) :name :rleg-end-coords))
     (send rleg-end-coords :translate (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 -7.0000000000000000e+01))
     (send RLEG_LINK6_lk :assoc rleg-end-coords)
     (setq rarm-end-coords (make-cascoords :coords (send RARM_LINK6_lk :copy-worldcoords) :name :rarm-end-coords))
     (send rarm-end-coords :translate (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 -1.2000000000000000e+02))
     (send rarm-end-coords :rotate 1.5707963267948966e+00 (float-vector 0.0000000000000000e+00 1.0000000000000000e+00 0.0000000000000000e+00))
     (send RARM_LINK6_lk :assoc rarm-end-coords)
     (setq lleg-end-coords (make-cascoords :coords (send LLEG_LINK6_lk :copy-worldcoords) :name :lleg-end-coords))
     (send lleg-end-coords :translate (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 -7.0000000000000000e+01))
     (send LLEG_LINK6_lk :assoc lleg-end-coords)
     (setq larm-end-coords (make-cascoords :coords (send LARM_LINK6_lk :copy-worldcoords) :name :larm-end-coords))
     (send larm-end-coords :translate (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 -1.2000000000000000e+02))
     (send larm-end-coords :rotate 1.5707963267948966e+00 (float-vector 0.0000000000000000e+00 1.0000000000000000e+00 0.0000000000000000e+00))
     (send LARM_LINK6_lk :assoc larm-end-coords)
     (setq torso-end-coords (make-cascoords :coords (send WAIST_LINK3_lk :copy-worldcoords) :name :torso-end-coords))
     (send WAIST_LINK3_lk :assoc torso-end-coords)

     ;; limbs
     (setq rleg (list RLEG_LINK1_lk RLEG_LINK2_lk RLEG_LINK3_lk RLEG_LINK4_lk RLEG_LINK5_lk RLEG_LINK6_lk))

     (setq rleg-root-link
           (labels ((find-parent (l) (if (find (send l :parent) rleg) (find-parent (send l :parent)) l)))
             (find-parent (car rleg))))
     (setq rarm (list RARM_LINK1_lk RARM_LINK2_lk RARM_LINK3_lk RARM_LINK4_lk RARM_LINK5_lk RARM_LINK6_lk RARM_LINK7_lk))

     (setq rarm-root-link
           (labels ((find-parent (l) (if (find (send l :parent) rarm) (find-parent (send l :parent)) l)))
             (find-parent (car rarm))))
     (setq lleg (list LLEG_LINK1_lk LLEG_LINK2_lk LLEG_LINK3_lk LLEG_LINK4_lk LLEG_LINK5_lk LLEG_LINK6_lk))

     (setq lleg-root-link
           (labels ((find-parent (l) (if (find (send l :parent) lleg) (find-parent (send l :parent)) l)))
             (find-parent (car lleg))))
     (setq larm (list LARM_LINK1_lk LARM_LINK2_lk LARM_LINK3_lk LARM_LINK4_lk LARM_LINK5_lk LARM_LINK6_lk LARM_LINK7_lk))

     (setq larm-root-link
           (labels ((find-parent (l) (if (find (send l :parent) larm) (find-parent (send l :parent)) l)))
             (find-parent (car larm))))
     (setq torso (list WAIST_LINK1_lk WAIST_LINK2_lk WAIST_LINK3_lk))

     (setq torso-root-link
           (labels ((find-parent (l) (if (find (send l :parent) torso) (find-parent (send l :parent)) l)))
             (find-parent (car torso))))

     ;; links
     (setq links (list WAIST_LINK0_lk RLEG_LINK1_lk RLEG_LINK2_lk RLEG_LINK3_lk RLEG_LINK4_lk RLEG_LINK5_lk RLEG_LINK6_lk RARM_LINK1_lk RARM_LINK2_lk RARM_LINK3_lk RARM_LINK4_lk RARM_LINK5_lk RARM_LINK6_lk RARM_LINK7_lk LLEG_LINK1_lk LLEG_LINK2_lk LLEG_LINK3_lk LLEG_LINK4_lk LLEG_LINK5_lk LLEG_LINK6_lk LARM_LINK1_lk LARM_LINK2_lk LARM_LINK3_lk LARM_LINK4_lk LARM_LINK5_lk LARM_LINK6_lk LARM_LINK7_lk WAIST_LINK1_lk WAIST_LINK2_lk WAIST_LINK3_lk))

     ;; joint-list
     (setq joint-list (list RLEG_HIP_R_jt RLEG_HIP_P_jt RLEG_HIP_Y_jt RLEG_KNEE_jt RLEG_ANKLE_P_jt RLEG_ANKLE_R_jt RARM_SHOULDER_P_jt RARM_SHOULDER_R_jt RARM_SHOULDER_Y_jt RARM_ELBOW_jt RARM_WRIST_Y_jt RARM_WRIST_P_jt RARM_WRIST_R_jt LLEG_HIP_R_jt LLEG_HIP_P_jt LLEG_HIP_Y_jt LLEG_KNEE_jt LLEG_ANKLE_P_jt LLEG_ANKLE_R_jt LARM_SHOULDER_P_jt LARM_SHOULDER_R_jt LARM_SHOULDER_Y_jt LARM_ELBOW_jt LARM_WRIST_Y_jt LARM_WRIST_P_jt LARM_WRIST_R_jt WAIST_P_jt WAIST_R_jt CHEST_jt))

     ;; sensor-coords
     ;;
     (setq gsensor-sensor-coords (make-cascoords :name "gsensor" :coords (send WAIST_LINK3_lk :copy-worldcoords)))
     (send gsensor-sensor-coords :put :sensor-type :base_imu)
     (send gsensor-sensor-coords :put :sensor-id 1)
     (send gsensor-sensor-coords :transform (let ((cds (make-coords)))
                                               (send cds :transform (make-coords :pos (float-vector  0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00)))
                                               (send cds :transform (make-coords :axis (let ((tmp-axis (float-vector 0.0000000000000000e+00 7.0710678118654746e-01 7.0710678118654746e-01))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis)) :angle 3.1415899999999999e+00))
                                               ))
     (send WAIST_LINK3_lk :assoc gsensor-sensor-coords)
     ;;
     (setq gyrometer-sensor-coords (make-cascoords :name "gyrometer" :coords (send WAIST_LINK3_lk :copy-worldcoords)))
     (send gyrometer-sensor-coords :put :sensor-type :base_imu)
     (send gyrometer-sensor-coords :put :sensor-id 2)
     (send gyrometer-sensor-coords :transform (let ((cds (make-coords)))
                                               (send cds :transform (make-coords :pos (float-vector  0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00)))
                                               (send cds :transform (make-coords :axis (let ((tmp-axis (float-vector 0.0000000000000000e+00 7.0710678118654746e-01 7.0710678118654746e-01))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis)) :angle 3.1415899999999999e+00))
                                               ))
     (send WAIST_LINK3_lk :assoc gyrometer-sensor-coords)
     ;;
     (setq VISION_SENSOR1-sensor-coords (make-cascoords :name "VISION_SENSOR1" :coords (send WAIST_LINK3_lk :copy-worldcoords)))
     (send VISION_SENSOR1-sensor-coords :put :sensor-type :base_pinhole_camera)
     (send VISION_SENSOR1-sensor-coords :put :sensor-id 3)
     (send VISION_SENSOR1-sensor-coords :transform (let ((cds (make-coords)))
                                               (send cds :transform (make-coords :pos (float-vector  1.5000000000000000e+02 5.0000000000000000e+01 1.5000000000000000e+02)))
                                               (send cds :transform (make-coords :axis (let ((tmp-axis (float-vector 4.4720428423756459e-01 -4.4720428423756459e-01 -7.7460742077463662e-01))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis)) :angle 1.8234999999999997e+00))
                                               (send cds :transform (make-coords :axis (let ((tmp-axis (float-vector 1.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis)) :angle 3.1415926535897931e+00))
                                               ))
     (send WAIST_LINK3_lk :assoc VISION_SENSOR1-sensor-coords)
     ;;
     (setq VISION_SENSOR2-sensor-coords (make-cascoords :name "VISION_SENSOR2" :coords (send WAIST_LINK3_lk :copy-worldcoords)))
     (send VISION_SENSOR2-sensor-coords :put :sensor-type :base_pinhole_camera)
     (send VISION_SENSOR2-sensor-coords :put :sensor-id 4)
     (send VISION_SENSOR2-sensor-coords :transform (let ((cds (make-coords)))
                                               (send cds :transform (make-coords :pos (float-vector  1.5000000000000000e+02 -5.0000000000000000e+01 1.5000000000000000e+02)))
                                               (send cds :transform (make-coords :axis (let ((tmp-axis (float-vector 4.4720428423756459e-01 -4.4720428423756459e-01 -7.7460742077463662e-01))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis)) :angle 1.8234999999999997e+00))
                                               (send cds :transform (make-coords :axis (let ((tmp-axis (float-vector 1.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis)) :angle 3.1415926535897931e+00))
                                               ))
     (send WAIST_LINK3_lk :assoc VISION_SENSOR2-sensor-coords)
     ;;
     (setq lhsensor-sensor-coords (make-cascoords :name "lhsensor" :coords (send LARM_LINK6_lk :copy-worldcoords)))
     (send lhsensor-sensor-coords :put :sensor-type :base_force6d)
     (send lhsensor-sensor-coords :put :sensor-id 5)
     (send lhsensor-sensor-coords :transform (let ((cds (make-coords)))
                                               (send cds :transform (make-coords :pos (float-vector  0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00)))
                                               (send cds :transform (make-coords :axis (let ((tmp-axis (float-vector 1.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis)) :angle 0.0000000000000000e+00))
                                               ))
     (send LARM_LINK6_lk :assoc lhsensor-sensor-coords)
     ;;
     (setq rhsensor-sensor-coords (make-cascoords :name "rhsensor" :coords (send RARM_LINK6_lk :copy-worldcoords)))
     (send rhsensor-sensor-coords :put :sensor-type :base_force6d)
     (send rhsensor-sensor-coords :put :sensor-id 6)
     (send rhsensor-sensor-coords :transform (let ((cds (make-coords)))
                                               (send cds :transform (make-coords :pos (float-vector  0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00)))
                                               (send cds :transform (make-coords :axis (let ((tmp-axis (float-vector 1.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis)) :angle 0.0000000000000000e+00))
                                               ))
     (send RARM_LINK6_lk :assoc rhsensor-sensor-coords)
     ;;
     (setq lfsensor-sensor-coords (make-cascoords :name "lfsensor" :coords (send LLEG_LINK6_lk :copy-worldcoords)))
     (send lfsensor-sensor-coords :put :sensor-type :base_force6d)
     (send lfsensor-sensor-coords :put :sensor-id 7)
     (send lfsensor-sensor-coords :transform (let ((cds (make-coords)))
                                               (send cds :transform (make-coords :pos (float-vector  0.0000000000000000e+00 0.0000000000000000e+00 -7.0000000000000000e+01)))
                                               (send cds :transform (make-coords :axis (let ((tmp-axis (float-vector 1.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis)) :angle 0.0000000000000000e+00))
                                               ))
     (send LLEG_LINK6_lk :assoc lfsensor-sensor-coords)
     ;;
     (setq rfsensor-sensor-coords (make-cascoords :name "rfsensor" :coords (send RLEG_LINK6_lk :copy-worldcoords)))
     (send rfsensor-sensor-coords :put :sensor-type :base_force6d)
     (send rfsensor-sensor-coords :put :sensor-id 8)
     (send rfsensor-sensor-coords :transform (let ((cds (make-coords)))
                                               (send cds :transform (make-coords :pos (float-vector  0.0000000000000000e+00 0.0000000000000000e+00 -7.0000000000000000e+01)))
                                               (send cds :transform (make-coords :axis (let ((tmp-axis (float-vector 1.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))) (if (eps= (norm tmp-axis) 0.0) (float-vector 1 0 0) tmp-axis)) :angle 0.0000000000000000e+00))
                                               ))
     (send RLEG_LINK6_lk :assoc rfsensor-sensor-coords)

     ;; attach_sensor lists
     (setq force-sensors (list lhsensor-sensor-coords rhsensor-sensor-coords lfsensor-sensor-coords rfsensor-sensor-coords ))
     (setq imu-sensors (list gsensor-sensor-coords gyrometer-sensor-coords ))
     (setq cameras (list VISION_SENSOR1-sensor-coords VISION_SENSOR2-sensor-coords ))

     ;; init-ending
     (send self :init-ending) ;; :urdf

     ;; overwrite bodies to return draw-things links not (send link :bodies)
     (setq bodies (flatten (mapcar #'(lambda (b) (if (find-method b :bodies) (send b :bodies))) (list LARM_LINK1_lk LARM_LINK2_lk LARM_LINK3_lk LARM_LINK4_lk LARM_LINK5_lk LARM_LINK6_lk LARM_LINK7_lk LLEG_LINK1_lk LLEG_LINK2_lk LLEG_LINK3_lk LLEG_LINK4_lk LLEG_LINK5_lk LLEG_LINK6_lk RARM_LINK1_lk RARM_LINK2_lk RARM_LINK3_lk RARM_LINK4_lk RARM_LINK5_lk RARM_LINK6_lk RARM_LINK7_lk RLEG_LINK1_lk RLEG_LINK2_lk RLEG_LINK3_lk RLEG_LINK4_lk RLEG_LINK5_lk RLEG_LINK6_lk WAIST_LINK0_lk WAIST_LINK1_lk WAIST_LINK2_lk WAIST_LINK3_lk))))

     (when (member :reset-pose (send self :methods))           (send self :reset-pose)) ;; :set reset-pose

     self)) ;; end of :init

  ;; pre-defined pose methods

    (:reset-pose (&optional (limbs '(:rleg :rarm :lleg :larm :torso)))
      "Predefined pose named reset-pose."
      (unless (listp limbs) (setq limbs (list limbs)))
      (dolist (limb limbs)
        (case limb
          (:rleg (send self limb :angle-vector (float-vector -0.004457 -21.692900 -0.012020 47.672300 -25.930000 0.014025)))
          (:rarm (send self limb :angle-vector (float-vector 17.835600 -9.137590 -6.611880 -36.456000 0.000000 0.000000 0.000000)))
          (:lleg (send self limb :angle-vector (float-vector -0.004457 -21.692900 -0.012020 47.672300 -25.930000 0.014025)))
          (:larm (send self limb :angle-vector (float-vector 17.835600 9.137590 6.611880 -36.456000 0.000000 0.000000 0.000000)))
          (:torso (send self limb :angle-vector (float-vector 0.000000 0.000000 0.000000)))
          (t (format t "Unknown limb is passed: ~a~%" limb))))
      (send self :angle-vector))
    (:reset-manip-pose (&optional (limbs '(:rleg :rarm :lleg :larm :torso)))
      "Predefined pose named reset-manip-pose."
      (unless (listp limbs) (setq limbs (list limbs)))
      (dolist (limb limbs)
        (case limb
          (:rleg (send self limb :angle-vector (float-vector 0.000000 -20.000000 0.000000 47.000000 -27.000000 0.000000)))
          (:rarm (send self limb :angle-vector (float-vector 30.000000 0.000000 0.000000 -100.000000 9.000000 -6.500000 36.500000)))
          (:lleg (send self limb :angle-vector (float-vector 0.000000 -20.000000 0.000000 47.000000 -27.000000 0.000000)))
          (:larm (send self limb :angle-vector (float-vector 30.000000 0.000000 0.000000 -100.000000 -9.000000 -6.500000 -36.500000)))
          (:torso (send self limb :angle-vector (float-vector 0.000000 0.000000 0.000000)))
          (t (format t "Unknown limb is passed: ~a~%" limb))))
      (send self :angle-vector))
  ;; all joints
  (:CHEST (&rest args) (forward-message-to CHEST_jt args))
  (:LARM_ELBOW (&rest args) (forward-message-to LARM_ELBOW_jt args))
  (:LARM_SHOULDER_P (&rest args) (forward-message-to LARM_SHOULDER_P_jt args))
  (:LARM_SHOULDER_R (&rest args) (forward-message-to LARM_SHOULDER_R_jt args))
  (:LARM_SHOULDER_Y (&rest args) (forward-message-to LARM_SHOULDER_Y_jt args))
  (:LARM_WRIST_P (&rest args) (forward-message-to LARM_WRIST_P_jt args))
  (:LARM_WRIST_R (&rest args) (forward-message-to LARM_WRIST_R_jt args))
  (:LARM_WRIST_Y (&rest args) (forward-message-to LARM_WRIST_Y_jt args))
  (:LLEG_ANKLE_P (&rest args) (forward-message-to LLEG_ANKLE_P_jt args))
  (:LLEG_ANKLE_R (&rest args) (forward-message-to LLEG_ANKLE_R_jt args))
  (:LLEG_HIP_P (&rest args) (forward-message-to LLEG_HIP_P_jt args))
  (:LLEG_HIP_R (&rest args) (forward-message-to LLEG_HIP_R_jt args))
  (:LLEG_HIP_Y (&rest args) (forward-message-to LLEG_HIP_Y_jt args))
  (:LLEG_KNEE (&rest args) (forward-message-to LLEG_KNEE_jt args))
  (:RARM_ELBOW (&rest args) (forward-message-to RARM_ELBOW_jt args))
  (:RARM_SHOULDER_P (&rest args) (forward-message-to RARM_SHOULDER_P_jt args))
  (:RARM_SHOULDER_R (&rest args) (forward-message-to RARM_SHOULDER_R_jt args))
  (:RARM_SHOULDER_Y (&rest args) (forward-message-to RARM_SHOULDER_Y_jt args))
  (:RARM_WRIST_P (&rest args) (forward-message-to RARM_WRIST_P_jt args))
  (:RARM_WRIST_R (&rest args) (forward-message-to RARM_WRIST_R_jt args))
  (:RARM_WRIST_Y (&rest args) (forward-message-to RARM_WRIST_Y_jt args))
  (:RLEG_ANKLE_P (&rest args) (forward-message-to RLEG_ANKLE_P_jt args))
  (:RLEG_ANKLE_R (&rest args) (forward-message-to RLEG_ANKLE_R_jt args))
  (:RLEG_HIP_P (&rest args) (forward-message-to RLEG_HIP_P_jt args))
  (:RLEG_HIP_R (&rest args) (forward-message-to RLEG_HIP_R_jt args))
  (:RLEG_HIP_Y (&rest args) (forward-message-to RLEG_HIP_Y_jt args))
  (:RLEG_KNEE (&rest args) (forward-message-to RLEG_KNEE_jt args))
  (:WAIST_P (&rest args) (forward-message-to WAIST_P_jt args))
  (:WAIST_R (&rest args) (forward-message-to WAIST_R_jt args))

  ;; all links forwarding
  (:links (&rest args)
   (if (null args) (return-from :links (send-super :links)))
   (let ((key (car args))
           (nargs (cdr args)))
     (unless (keywordp key)
         (return-from :links (send-super* :links args)))
       (case key
       (:LARM_LINK1 (forward-message-to LARM_LINK1_lk nargs))
       (:LARM_LINK2 (forward-message-to LARM_LINK2_lk nargs))
       (:LARM_LINK3 (forward-message-to LARM_LINK3_lk nargs))
       (:LARM_LINK4 (forward-message-to LARM_LINK4_lk nargs))
       (:LARM_LINK5 (forward-message-to LARM_LINK5_lk nargs))
       (:LARM_LINK6 (forward-message-to LARM_LINK6_lk nargs))
       (:LARM_LINK7 (forward-message-to LARM_LINK7_lk nargs))
       (:LLEG_LINK1 (forward-message-to LLEG_LINK1_lk nargs))
       (:LLEG_LINK2 (forward-message-to LLEG_LINK2_lk nargs))
       (:LLEG_LINK3 (forward-message-to LLEG_LINK3_lk nargs))
       (:LLEG_LINK4 (forward-message-to LLEG_LINK4_lk nargs))
       (:LLEG_LINK5 (forward-message-to LLEG_LINK5_lk nargs))
       (:LLEG_LINK6 (forward-message-to LLEG_LINK6_lk nargs))
       (:RARM_LINK1 (forward-message-to RARM_LINK1_lk nargs))
       (:RARM_LINK2 (forward-message-to RARM_LINK2_lk nargs))
       (:RARM_LINK3 (forward-message-to RARM_LINK3_lk nargs))
       (:RARM_LINK4 (forward-message-to RARM_LINK4_lk nargs))
       (:RARM_LINK5 (forward-message-to RARM_LINK5_lk nargs))
       (:RARM_LINK6 (forward-message-to RARM_LINK6_lk nargs))
       (:RARM_LINK7 (forward-message-to RARM_LINK7_lk nargs))
       (:RLEG_LINK1 (forward-message-to RLEG_LINK1_lk nargs))
       (:RLEG_LINK2 (forward-message-to RLEG_LINK2_lk nargs))
       (:RLEG_LINK3 (forward-message-to RLEG_LINK3_lk nargs))
       (:RLEG_LINK4 (forward-message-to RLEG_LINK4_lk nargs))
       (:RLEG_LINK5 (forward-message-to RLEG_LINK5_lk nargs))
       (:RLEG_LINK6 (forward-message-to RLEG_LINK6_lk nargs))
       (:WAIST_LINK0 (forward-message-to WAIST_LINK0_lk nargs))
       (:WAIST_LINK1 (forward-message-to WAIST_LINK1_lk nargs))
       (:WAIST_LINK2 (forward-message-to WAIST_LINK2_lk nargs))
       (:WAIST_LINK3 (forward-message-to WAIST_LINK3_lk nargs))
       (t (send-super* :links args)))))

  ;; all links
  (:LARM_LINK1_lk (&rest args) (forward-message-to LARM_LINK1_lk args))
  (:LARM_LINK2_lk (&rest args) (forward-message-to LARM_LINK2_lk args))
  (:LARM_LINK3_lk (&rest args) (forward-message-to LARM_LINK3_lk args))
  (:LARM_LINK4_lk (&rest args) (forward-message-to LARM_LINK4_lk args))
  (:LARM_LINK5_lk (&rest args) (forward-message-to LARM_LINK5_lk args))
  (:LARM_LINK6_lk (&rest args) (forward-message-to LARM_LINK6_lk args))
  (:LARM_LINK7_lk (&rest args) (forward-message-to LARM_LINK7_lk args))
  (:LLEG_LINK1_lk (&rest args) (forward-message-to LLEG_LINK1_lk args))
  (:LLEG_LINK2_lk (&rest args) (forward-message-to LLEG_LINK2_lk args))
  (:LLEG_LINK3_lk (&rest args) (forward-message-to LLEG_LINK3_lk args))
  (:LLEG_LINK4_lk (&rest args) (forward-message-to LLEG_LINK4_lk args))
  (:LLEG_LINK5_lk (&rest args) (forward-message-to LLEG_LINK5_lk args))
  (:LLEG_LINK6_lk (&rest args) (forward-message-to LLEG_LINK6_lk args))
  (:RARM_LINK1_lk (&rest args) (forward-message-to RARM_LINK1_lk args))
  (:RARM_LINK2_lk (&rest args) (forward-message-to RARM_LINK2_lk args))
  (:RARM_LINK3_lk (&rest args) (forward-message-to RARM_LINK3_lk args))
  (:RARM_LINK4_lk (&rest args) (forward-message-to RARM_LINK4_lk args))
  (:RARM_LINK5_lk (&rest args) (forward-message-to RARM_LINK5_lk args))
  (:RARM_LINK6_lk (&rest args) (forward-message-to RARM_LINK6_lk args))
  (:RARM_LINK7_lk (&rest args) (forward-message-to RARM_LINK7_lk args))
  (:RLEG_LINK1_lk (&rest args) (forward-message-to RLEG_LINK1_lk args))
  (:RLEG_LINK2_lk (&rest args) (forward-message-to RLEG_LINK2_lk args))
  (:RLEG_LINK3_lk (&rest args) (forward-message-to RLEG_LINK3_lk args))
  (:RLEG_LINK4_lk (&rest args) (forward-message-to RLEG_LINK4_lk args))
  (:RLEG_LINK5_lk (&rest args) (forward-message-to RLEG_LINK5_lk args))
  (:RLEG_LINK6_lk (&rest args) (forward-message-to RLEG_LINK6_lk args))
  (:WAIST_LINK0_lk (&rest args) (forward-message-to WAIST_LINK0_lk args))
  (:WAIST_LINK1_lk (&rest args) (forward-message-to WAIST_LINK1_lk args))
  (:WAIST_LINK2_lk (&rest args) (forward-message-to WAIST_LINK2_lk args))
  (:WAIST_LINK3_lk (&rest args) (forward-message-to WAIST_LINK3_lk args))

  ;; user-defined joint
  (:rleg-crotch-r (&rest args) (forward-message-to RLEG_HIP_R_jt args))
  (:rleg-crotch-p (&rest args) (forward-message-to RLEG_HIP_P_jt args))
  (:rleg-crotch-y (&rest args) (forward-message-to RLEG_HIP_Y_jt args))
  (:rleg-knee-p (&rest args) (forward-message-to RLEG_KNEE_jt args))
  (:rleg-ankle-p (&rest args) (forward-message-to RLEG_ANKLE_P_jt args))
  (:rleg-ankle-r (&rest args) (forward-message-to RLEG_ANKLE_R_jt args))
  (:rarm-shoulder-p (&rest args) (forward-message-to RARM_SHOULDER_P_jt args))
  (:rarm-shoulder-r (&rest args) (forward-message-to RARM_SHOULDER_R_jt args))
  (:rarm-shoulder-y (&rest args) (forward-message-to RARM_SHOULDER_Y_jt args))
  (:rarm-elbow-p (&rest args) (forward-message-to RARM_ELBOW_jt args))
  (:rarm-wrist-y (&rest args) (forward-message-to RARM_WRIST_Y_jt args))
  (:rarm-wrist-p (&rest args) (forward-message-to RARM_WRIST_P_jt args))
  (:rarm-wrist-r (&rest args) (forward-message-to RARM_WRIST_R_jt args))
  (:lleg-crotch-r (&rest args) (forward-message-to LLEG_HIP_R_jt args))
  (:lleg-crotch-p (&rest args) (forward-message-to LLEG_HIP_P_jt args))
  (:lleg-crotch-y (&rest args) (forward-message-to LLEG_HIP_Y_jt args))
  (:lleg-knee-p (&rest args) (forward-message-to LLEG_KNEE_jt args))
  (:lleg-ankle-p (&rest args) (forward-message-to LLEG_ANKLE_P_jt args))
  (:lleg-ankle-r (&rest args) (forward-message-to LLEG_ANKLE_R_jt args))
  (:larm-shoulder-p (&rest args) (forward-message-to LARM_SHOULDER_P_jt args))
  (:larm-shoulder-r (&rest args) (forward-message-to LARM_SHOULDER_R_jt args))
  (:larm-shoulder-y (&rest args) (forward-message-to LARM_SHOULDER_Y_jt args))
  (:larm-elbow-p (&rest args) (forward-message-to LARM_ELBOW_jt args))
  (:larm-wrist-y (&rest args) (forward-message-to LARM_WRIST_Y_jt args))
  (:larm-wrist-p (&rest args) (forward-message-to LARM_WRIST_P_jt args))
  (:larm-wrist-r (&rest args) (forward-message-to LARM_WRIST_R_jt args))
  (:torso-waist-p (&rest args) (forward-message-to WAIST_P_jt args))
  (:torso-waist-r (&rest args) (forward-message-to WAIST_R_jt args))
  (:torso-waist-y (&rest args) (forward-message-to CHEST_jt args))

  ;; attach_sensor methods
  (:gsensor (&rest args) (forward-message-to gsensor-sensor-coords args))
  (:gyrometer (&rest args) (forward-message-to gyrometer-sensor-coords args))
  (:VISION_SENSOR1 (&rest args) (forward-message-to VISION_SENSOR1-sensor-coords args))
  (:VISION_SENSOR2 (&rest args) (forward-message-to VISION_SENSOR2-sensor-coords args))
  (:lhsensor (&rest args) (forward-message-to lhsensor-sensor-coords args))
  (:rhsensor (&rest args) (forward-message-to rhsensor-sensor-coords args))
  (:lfsensor (&rest args) (forward-message-to lfsensor-sensor-coords args))
  (:rfsensor (&rest args) (forward-message-to rfsensor-sensor-coords args))

  ;; geometries
  (:_make_instance_WAIST_LINK0_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 7.2350000000000000e+02))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 0.800000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 2 3 0 1 0 6 6 0 7 5 7 0 0 3 5 4 2 1 1 6 4 3 2 4 3 4 5 4 7 5 6 7 4 8 9 10 10 11 8 9 8 14 14 8 15 13 15 8 8 11 13 12 10 9 9 14 12 11 10 12 11 12 13 12 15 13 14 15 12))
                   (list :vertices (let ((mat (make-matrix 16 3))) (fvector-replace (array-entity mat) #f(-2.5000000372529030e+01 -2.5000000372529030e+01 -6.8349999189376831e+02 -2.5000000372529030e+01 -2.5000000372529030e+01 -5.7249999046325684e+02 -2.5000000372529030e+01 2.5000000372529030e+01 -5.7249999046325684e+02 -2.5000000372529030e+01 2.5000000372529030e+01 -6.8349999189376831e+02 2.5000000372529030e+01 2.5000000372529030e+01 -5.7249999046325684e+02 2.5000000372529030e+01 2.5000000372529030e+01 -6.8349999189376831e+02 2.5000000372529030e+01 -2.5000000372529030e+01 -5.7249999046325684e+02 2.5000000372529030e+01 -2.5000000372529030e+01 -6.8349999189376831e+02 -3.9999999105930328e+01 -3.9999999105930328e+01 -7.6349997520446777e+02 -3.9999999105930328e+01 -3.9999999105930328e+01 -6.8349999189376831e+02 -3.9999999105930328e+01 3.9999999105930328e+01 -6.8349999189376831e+02 -3.9999999105930328e+01 3.9999999105930328e+01 -7.6349997520446777e+02 3.9999999105930328e+01 3.9999999105930328e+01 -6.8349999189376831e+02 3.9999999105930328e+01 3.9999999105930328e+01 -7.6349997520446777e+02 3.9999999105930328e+01 -3.9999999105930328e+01 -6.8349999189376831e+02 3.9999999105930328e+01 -3.9999999105930328e+01 -7.6349997520446777e+02 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 72 -> 10 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 3.9999999105930328e+01 -3.9999999105930328e+01 -7.6349997520446777e+02) (float-vector -3.9999999105930328e+01 -3.9999999105930328e+01 -7.6349997520446777e+02) (float-vector -3.9999999105930328e+01 -3.9999999105930328e+01 -6.8349999189376831e+02) (float-vector 3.9999999105930328e+01 -3.9999999105930328e+01 -6.8349999189376831e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -3.9999999105930328e+01 3.9999999105930328e+01 -7.6349997520446777e+02) (float-vector -3.9999999105930328e+01 3.9999999105930328e+01 -6.8349999189376831e+02) (float-vector -3.9999999105930328e+01 -3.9999999105930328e+01 -6.8349999189376831e+02) (float-vector -3.9999999105930328e+01 -3.9999999105930328e+01 -7.6349997520446777e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 3.9999999105930328e+01 3.9999999105930328e+01 -7.6349997520446777e+02) (float-vector -3.9999999105930328e+01 3.9999999105930328e+01 -7.6349997520446777e+02) (float-vector -3.9999999105930328e+01 -3.9999999105930328e+01 -7.6349997520446777e+02) (float-vector 3.9999999105930328e+01 -3.9999999105930328e+01 -7.6349997520446777e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 -5.7249999046325684e+02) (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 -5.7249999046325684e+02) (float-vector -3.9999999105930328e+01 -3.9999999105930328e+01 -6.8349999189376831e+02) (float-vector -3.9999999105930328e+01 3.9999999105930328e+01 -6.8349999189376831e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 3.9999999105930328e+01 3.9999999105930328e+01 -7.6349997520446777e+02) (float-vector 3.9999999105930328e+01 3.9999999105930328e+01 -6.8349999189376831e+02) (float-vector -3.9999999105930328e+01 3.9999999105930328e+01 -6.8349999189376831e+02) (float-vector -3.9999999105930328e+01 3.9999999105930328e+01 -7.6349997520446777e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 3.9999999105930328e+01 3.9999999105930328e+01 -6.8349999189376831e+02) (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 -5.7249999046325684e+02) (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 -5.7249999046325684e+02) (float-vector -3.9999999105930328e+01 3.9999999105930328e+01 -6.8349999189376831e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 3.9999999105930328e+01 3.9999999105930328e+01 -6.8349999189376831e+02) (float-vector 3.9999999105930328e+01 3.9999999105930328e+01 -7.6349997520446777e+02) (float-vector 3.9999999105930328e+01 -3.9999999105930328e+01 -7.6349997520446777e+02) (float-vector 3.9999999105930328e+01 -3.9999999105930328e+01 -6.8349999189376831e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 -5.7249999046325684e+02) (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 -5.7249999046325684e+02) (float-vector 3.9999999105930328e+01 -3.9999999105930328e+01 -6.8349999189376831e+02) (float-vector -3.9999999105930328e+01 -3.9999999105930328e+01 -6.8349999189376831e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 3.9999999105930328e+01 -3.9999999105930328e+01 -6.8349999189376831e+02) (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 -5.7249999046325684e+02) (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 -5.7249999046325684e+02) (float-vector 3.9999999105930328e+01 3.9999999105930328e+01 -6.8349999189376831e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 -5.7249999046325684e+02) (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 -5.7249999046325684e+02) (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 -5.7249999046325684e+02) (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 -5.7249999046325684e+02)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_WAIST_LINK0_pzEbRe.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_WAIST_LINK1_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 1.7600000000000000e+02))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.600000 1.000000 0.600000 1.000000))))
                   (list :indices #i( 0 1 2 0 6 1 0 8 6 0 10 8 0 12 10 0 14 12 0 16 14 0 18 16 0 20 18 0 22 20 0 24 22 0 26 24 0 28 26 0 30 28 0 32 30 0 34 32 0 36 34 0 38 36 0 40 38 0 2 40 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 38 40 41 40 4 41 40 2 4 2 3 4 2 1 3 5 4 3 5 41 4 5 39 41 5 37 39 5 35 37 5 33 35 5 3 7 5 7 9 5 9 11 5 11 13 5 13 15 5 15 17 5 17 19 5 19 21 5 21 23 5 23 25 5 25 27 5 27 29 5 29 31 5 31 33 22 25 23 22 24 25 24 27 25 24 26 27 26 29 27 26 28 29 28 31 29 28 30 31 30 33 31 20 22 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 12 14 15 14 17 15 10 12 13 12 15 13 8 10 11 10 13 11 6 8 9 8 11 9 1 6 7 6 9 7 1 7 3))
                   (list :vertices (let ((mat (make-matrix 42 3))) (fvector-replace (array-entity mat) #f(0.0000000000000000e+00 2.5000000372529030e+01 -1.7599999904632568e+02 2.3776400834321976e+01 2.5000000372529030e+01 -1.6827499866485596e+02 2.5000000372529030e+01 2.5000000372529030e+01 -1.7599999904632568e+02 2.3776400834321976e+01 -2.5000000372529030e+01 -1.6827499866485596e+02 2.5000000372529030e+01 -2.5000000372529030e+01 -1.7599999904632568e+02 0.0000000000000000e+00 -2.5000000372529030e+01 -1.7599999904632568e+02 2.0225400105118752e+01 2.5000000372529030e+01 -1.6130499541759491e+02 2.0225400105118752e+01 -2.5000000372529030e+01 -1.6130499541759491e+02 1.4694600366055965e+01 2.5000000372529030e+01 -1.5577499568462372e+02 1.4694600366055965e+01 -2.5000000372529030e+01 -1.5577499568462372e+02 7.7254301868379116e+00 2.5000000372529030e+01 -1.5222400426864624e+02 7.7254301868379116e+00 -2.5000000372529030e+01 -1.5222400426864624e+02 1.5308100132975318e-15 2.5000000372529030e+01 -1.5099999308586121e+02 1.5308100132975318e-15 -2.5000000372529030e+01 -1.5099999308586121e+02 -7.7254301868379116e+00 2.5000000372529030e+01 -1.5222400426864624e+02 -7.7254301868379116e+00 -2.5000000372529030e+01 -1.5222400426864624e+02 -1.4694600366055965e+01 2.5000000372529030e+01 -1.5577499568462372e+02 -1.4694600366055965e+01 -2.5000000372529030e+01 -1.5577499568462372e+02 -2.0225400105118752e+01 2.5000000372529030e+01 -1.6130499541759491e+02 -2.0225400105118752e+01 -2.5000000372529030e+01 -1.6130499541759491e+02 -2.3776400834321976e+01 2.5000000372529030e+01 -1.6827499866485596e+02 -2.3776400834321976e+01 -2.5000000372529030e+01 -1.6827499866485596e+02 -2.5000000372529030e+01 2.5000000372529030e+01 -1.7599999904632568e+02 -2.5000000372529030e+01 -2.5000000372529030e+01 -1.7599999904632568e+02 -2.3776400834321976e+01 2.5000000372529030e+01 -1.8372499942779541e+02 -2.3776400834321976e+01 -2.5000000372529030e+01 -1.8372499942779541e+02 -2.0225400105118752e+01 2.5000000372529030e+01 -1.9069500267505646e+02 -2.0225400105118752e+01 -2.5000000372529030e+01 -1.9069500267505646e+02 -1.4694600366055965e+01 2.5000000372529030e+01 -1.9622500240802765e+02 -1.4694600366055965e+01 -2.5000000372529030e+01 -1.9622500240802765e+02 -7.7254301868379116e+00 2.5000000372529030e+01 -1.9977599382400513e+02 -7.7254301868379116e+00 -2.5000000372529030e+01 -1.9977599382400513e+02 -4.5924302466877485e-15 2.5000000372529030e+01 -2.0100000500679016e+02 -4.5924302466877485e-15 -2.5000000372529030e+01 -2.0100000500679016e+02 7.7254301868379116e+00 2.5000000372529030e+01 -1.9977599382400513e+02 7.7254301868379116e+00 -2.5000000372529030e+01 -1.9977599382400513e+02 1.4694600366055965e+01 2.5000000372529030e+01 -1.9622500240802765e+02 1.4694600366055965e+01 -2.5000000372529030e+01 -1.9622500240802765e+02 2.0225400105118752e+01 2.5000000372529030e+01 -1.9069500267505646e+02 2.0225400105118752e+01 -2.5000000372529030e+01 -1.9069500267505646e+02 2.3776400834321976e+01 2.5000000372529030e+01 -1.8372499942779541e+02 2.3776400834321976e+01 -2.5000000372529030e+01 -1.8372499942779541e+02 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 240 -> 12 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.0225400105118752e+01 -2.5000000372529030e+01 -1.6130499541759491e+02) (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 -1.7599999904632568e+02) (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 -1.7599999904632568e+02) (float-vector -2.0225400105118752e+01 2.5000000372529030e+01 -1.6130499541759491e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.0225400105118752e+01 2.5000000372529030e+01 -1.9069500267505646e+02) (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 -1.7599999904632568e+02) (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 -1.7599999904632568e+02) (float-vector -2.0225400105118752e+01 -2.5000000372529030e+01 -1.9069500267505646e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.0225400105118752e+01 -2.5000000372529030e+01 -1.9069500267505646e+02) (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 -1.7599999904632568e+02) (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 -1.7599999904632568e+02) (float-vector 2.0225400105118752e+01 2.5000000372529030e+01 -1.9069500267505646e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 -1.7599999904632568e+02) (float-vector 2.3776400834321976e+01 -2.5000000372529030e+01 -1.6827499866485596e+02) (float-vector 2.0225400105118752e+01 2.5000000372529030e+01 -1.6130499541759491e+02) (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 -1.7599999904632568e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.5924302466877485e-15 -2.5000000372529030e+01 -2.0100000500679016e+02) (float-vector 2.0225400105118752e+01 -2.5000000372529030e+01 -1.9069500267505646e+02) (float-vector 2.0225400105118752e+01 2.5000000372529030e+01 -1.9069500267505646e+02) (float-vector -4.5924302466877485e-15 2.5000000372529030e+01 -2.0100000500679016e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.5924302466877485e-15 2.5000000372529030e+01 -2.0100000500679016e+02) (float-vector -2.0225400105118752e+01 2.5000000372529030e+01 -1.9069500267505646e+02) (float-vector -2.0225400105118752e+01 -2.5000000372529030e+01 -1.9069500267505646e+02) (float-vector -4.5924302466877485e-15 -2.5000000372529030e+01 -2.0100000500679016e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 -1.7599999904632568e+02) (float-vector -2.0225400105118752e+01 2.5000000372529030e+01 -1.9069500267505646e+02) (float-vector -4.5924302466877485e-15 2.5000000372529030e+01 -2.0100000500679016e+02) (float-vector 2.0225400105118752e+01 2.5000000372529030e+01 -1.9069500267505646e+02) (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 -1.7599999904632568e+02) (float-vector 2.0225400105118752e+01 2.5000000372529030e+01 -1.6130499541759491e+02) (float-vector 7.7254301868379116e+00 2.5000000372529030e+01 -1.5222400426864624e+02) (float-vector 1.5308100132975318e-15 2.5000000372529030e+01 -1.5099999308586121e+02) (float-vector -2.0225400105118752e+01 2.5000000372529030e+01 -1.6130499541759491e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5308100132975318e-15 -2.5000000372529030e+01 -1.5099999308586121e+02) (float-vector -2.0225400105118752e+01 -2.5000000372529030e+01 -1.6130499541759491e+02) (float-vector -2.0225400105118752e+01 2.5000000372529030e+01 -1.6130499541759491e+02) (float-vector 1.5308100132975318e-15 2.5000000372529030e+01 -1.5099999308586121e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 -2.5000000372529030e+01 -1.5577499568462372e+02) (float-vector 2.0225400105118752e+01 2.5000000372529030e+01 -1.6130499541759491e+02) (float-vector 2.3776400834321976e+01 -2.5000000372529030e+01 -1.6827499866485596e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 -2.5000000372529030e+01 -1.5577499568462372e+02) (float-vector 7.7254301868379116e+00 2.5000000372529030e+01 -1.5222400426864624e+02) (float-vector 2.0225400105118752e+01 2.5000000372529030e+01 -1.6130499541759491e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 -1.7599999904632568e+02) (float-vector -2.0225400105118752e+01 -2.5000000372529030e+01 -1.6130499541759491e+02) (float-vector 1.5308100132975318e-15 -2.5000000372529030e+01 -1.5099999308586121e+02) (float-vector 1.4694600366055965e+01 -2.5000000372529030e+01 -1.5577499568462372e+02) (float-vector 2.3776400834321976e+01 -2.5000000372529030e+01 -1.6827499866485596e+02) (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 -1.7599999904632568e+02) (float-vector 2.0225400105118752e+01 -2.5000000372529030e+01 -1.9069500267505646e+02) (float-vector -4.5924302466877485e-15 -2.5000000372529030e+01 -2.0100000500679016e+02) (float-vector -2.0225400105118752e+01 -2.5000000372529030e+01 -1.9069500267505646e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5308100132975318e-15 2.5000000372529030e+01 -1.5099999308586121e+02) (float-vector 7.7254301868379116e+00 2.5000000372529030e+01 -1.5222400426864624e+02) (float-vector 1.4694600366055965e+01 -2.5000000372529030e+01 -1.5577499568462372e+02) (float-vector 1.5308100132975318e-15 -2.5000000372529030e+01 -1.5099999308586121e+02)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_WAIST_LINK1_0hIh3q.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_WAIST_LINK2_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.600000 0.800000 0.600000 1.000000))))
                   (list :indices #i( 0 1 2 2 3 0 1 0 6 6 0 7 5 7 0 0 3 5 4 2 1 1 6 4 3 2 4 3 4 5 4 7 5 6 7 4 8 9 10 8 14 9 8 16 14 8 18 16 8 20 18 8 22 20 8 24 22 8 26 24 8 28 26 8 30 28 8 32 30 8 34 32 8 36 34 8 38 36 8 40 38 8 42 40 8 44 42 8 46 44 8 48 46 8 10 48 38 40 41 40 43 41 40 42 43 42 45 43 42 44 45 44 47 45 44 46 47 46 49 47 46 48 49 48 12 49 48 10 12 10 11 12 10 9 11 13 12 11 13 49 12 13 47 49 13 45 47 13 43 45 13 41 43 13 11 15 13 15 17 13 17 19 13 19 21 13 21 23 13 23 25 13 25 27 13 27 29 13 29 31 13 31 33 13 33 35 13 35 37 13 37 39 13 39 41 30 33 31 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 28 30 31 26 28 29 28 31 29 24 26 27 26 29 27 22 24 25 24 27 25 20 22 23 22 25 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 9 14 15 14 17 15 9 15 11))
                   (list :vertices (let ((mat (make-matrix 50 3))) (fvector-replace (array-entity mat) #f(-2.5000000372529030e+01 -2.5000000372529030e+01 2.5000000372529030e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 3.0000001192092896e+02 -2.5000000372529030e+01 2.5000000372529030e+01 3.0000001192092896e+02 -2.5000000372529030e+01 2.5000000372529030e+01 2.5000000372529030e+01 2.5000000372529030e+01 2.5000000372529030e+01 3.0000001192092896e+02 2.5000000372529030e+01 2.5000000372529030e+01 2.5000000372529030e+01 2.5000000372529030e+01 -2.5000000372529030e+01 3.0000001192092896e+02 2.5000000372529030e+01 -2.5000000372529030e+01 2.5000000372529030e+01 -2.5000000372529030e+01 -9.1830102633139177e-05 0.0000000000000000e+00 -2.5000099092721939e+01 2.3776300251483917e+01 7.7254301868379116e+00 -2.5000099092721939e+01 2.4999899789690971e+01 0.0000000000000000e+00 2.4999899789690971e+01 2.3776499554514885e+01 7.7254301868379116e+00 2.4999899789690971e+01 2.5000099092721939e+01 0.0000000000000000e+00 2.5000000372529030e+01 9.1830102633139177e-05 0.0000000000000000e+00 -2.5000099092721939e+01 2.0225299522280693e+01 1.4694600366055965e+01 2.4999899789690971e+01 2.0225500687956810e+01 1.4694600366055965e+01 -2.5000099092721939e+01 1.4694499783217907e+01 2.0225400105118752e+01 2.4999899789690971e+01 1.4694700017571449e+01 2.0225400105118752e+01 -2.5000000372529030e+01 7.7253300696611404e+00 2.3776400834321976e+01 2.5000000372529030e+01 7.7255200594663620e+00 2.3776400834321976e+01 -2.5000000372529030e+01 -9.1830102633139177e-05 2.5000000372529030e+01 2.5000000372529030e+01 9.1830102633139177e-05 2.5000000372529030e+01 -2.5000000372529030e+01 -7.7255200594663620e+00 2.3776400834321976e+01 2.5000000372529030e+01 -7.7253300696611404e+00 2.3776400834321976e+01 -2.4999899789690971e+01 -1.4694700017571449e+01 2.0225400105118752e+01 2.5000099092721939e+01 -1.4694499783217907e+01 2.0225400105118752e+01 -2.4999899789690971e+01 -2.0225500687956810e+01 1.4694600366055965e+01 2.5000099092721939e+01 -2.0225299522280693e+01 1.4694600366055965e+01 -2.4999899789690971e+01 -2.3776499554514885e+01 7.7254301868379116e+00 2.5000099092721939e+01 -2.3776300251483917e+01 7.7254301868379116e+00 -2.4999899789690971e+01 -2.5000099092721939e+01 3.0616200265950636e-15 2.5000099092721939e+01 -2.4999899789690971e+01 3.0616200265950636e-15 -2.4999899789690971e+01 -2.3776499554514885e+01 -7.7254301868379116e+00 2.5000099092721939e+01 -2.3776300251483917e+01 -7.7254301868379116e+00 -2.4999899789690971e+01 -2.0225500687956810e+01 -1.4694600366055965e+01 2.5000099092721939e+01 -2.0225299522280693e+01 -1.4694600366055965e+01 -2.4999899789690971e+01 -1.4694700017571449e+01 -2.0225400105118752e+01 2.5000099092721939e+01 -1.4694499783217907e+01 -2.0225400105118752e+01 -2.5000000372529030e+01 -7.7255200594663620e+00 -2.3776400834321976e+01 2.5000000372529030e+01 -7.7253300696611404e+00 -2.3776400834321976e+01 -2.5000000372529030e+01 -9.1830102633139177e-05 -2.5000000372529030e+01 2.5000000372529030e+01 9.1830102633139177e-05 -2.5000000372529030e+01 -2.5000000372529030e+01 7.7253300696611404e+00 -2.3776400834321976e+01 2.5000000372529030e+01 7.7255200594663620e+00 -2.3776400834321976e+01 -2.5000099092721939e+01 1.4694499783217907e+01 -2.0225400105118752e+01 2.4999899789690971e+01 1.4694700017571449e+01 -2.0225400105118752e+01 -2.5000099092721939e+01 2.0225299522280693e+01 -1.4694600366055965e+01 2.4999899789690971e+01 2.0225500687956810e+01 -1.4694600366055965e+01 -2.5000099092721939e+01 2.3776300251483917e+01 -7.7254301868379116e+00 2.4999899789690971e+01 2.3776499554514885e+01 -7.7254301868379116e+00 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 276 -> 10 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 3.0000001192092896e+02) (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 3.0000001192092896e+02) (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 3.0000001192092896e+02) (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 3.0000001192092896e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 3.0000001192092896e+02) (float-vector 2.5000099092721939e+01 -2.4999899789690971e+01 3.0616200265950636e-15) (float-vector -2.4999899789690971e+01 -2.5000099092721939e+01 3.0616200265950636e-15) (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 3.0000001192092896e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.4999899789690971e+01 -2.0225500687956810e+01 -1.4694600366055965e+01) (float-vector -2.4999899789690971e+01 -2.5000099092721939e+01 3.0616200265950636e-15) (float-vector 2.5000099092721939e+01 -2.4999899789690971e+01 3.0616200265950636e-15) (float-vector 2.5000099092721939e+01 -2.0225299522280693e+01 -1.4694600366055965e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 3.0000001192092896e+02) (float-vector 2.4999899789690971e+01 2.5000099092721939e+01 0.0000000000000000e+00) (float-vector 2.4999899789690971e+01 2.0225500687956810e+01 -1.4694600366055965e+01) (float-vector 2.5000000372529030e+01 7.7255200594663620e+00 -2.3776400834321976e+01) (float-vector 2.5000000372529030e+01 -7.7253300696611404e+00 -2.3776400834321976e+01) (float-vector 2.5000099092721939e+01 -2.0225299522280693e+01 -1.4694600366055965e+01) (float-vector 2.5000099092721939e+01 -2.4999899789690971e+01 3.0616200265950636e-15) (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 3.0000001192092896e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -7.7253300696611404e+00 -2.3776400834321976e+01) (float-vector -2.5000000372529030e+01 -7.7255200594663620e+00 -2.3776400834321976e+01) (float-vector -2.4999899789690971e+01 -2.0225500687956810e+01 -1.4694600366055965e+01) (float-vector 2.5000099092721939e+01 -2.0225299522280693e+01 -1.4694600366055965e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000099092721939e+01 2.0225299522280693e+01 -1.4694600366055965e+01) (float-vector -2.5000000372529030e+01 7.7253300696611404e+00 -2.3776400834321976e+01) (float-vector 2.5000000372529030e+01 7.7255200594663620e+00 -2.3776400834321976e+01) (float-vector 2.4999899789690971e+01 2.0225500687956810e+01 -1.4694600366055965e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 7.7253300696611404e+00 -2.3776400834321976e+01) (float-vector -2.5000000372529030e+01 -7.7255200594663620e+00 -2.3776400834321976e+01) (float-vector 2.5000000372529030e+01 -7.7253300696611404e+00 -2.3776400834321976e+01) (float-vector 2.5000000372529030e+01 7.7255200594663620e+00 -2.3776400834321976e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 3.0000001192092896e+02) (float-vector -2.5000099092721939e+01 2.4999899789690971e+01 0.0000000000000000e+00) (float-vector 2.4999899789690971e+01 2.5000099092721939e+01 0.0000000000000000e+00) (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 3.0000001192092896e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.4999899789690971e+01 -2.0225500687956810e+01 -1.4694600366055965e+01) (float-vector -2.5000000372529030e+01 -7.7255200594663620e+00 -2.3776400834321976e+01) (float-vector -2.5000000372529030e+01 7.7253300696611404e+00 -2.3776400834321976e+01) (float-vector -2.5000099092721939e+01 2.0225299522280693e+01 -1.4694600366055965e+01) (float-vector -2.5000099092721939e+01 2.4999899789690971e+01 0.0000000000000000e+00) (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 3.0000001192092896e+02) (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 3.0000001192092896e+02) (float-vector -2.4999899789690971e+01 -2.5000099092721939e+01 3.0616200265950636e-15)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.4999899789690971e+01 2.5000099092721939e+01 0.0000000000000000e+00) (float-vector -2.5000099092721939e+01 2.4999899789690971e+01 0.0000000000000000e+00) (float-vector -2.5000099092721939e+01 2.0225299522280693e+01 -1.4694600366055965e+01) (float-vector 2.4999899789690971e+01 2.0225500687956810e+01 -1.4694600366055965e+01)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_WAIST_LINK2_lS7ZQP.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_WAIST_LINK3_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 3.5000000000000000e+02))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 0.800000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 2 3 0 1 0 6 6 0 7 5 7 0 0 3 5 4 2 1 1 6 4 3 2 4 3 4 5 4 7 5 6 7 4 8 9 10 8 14 9 8 16 14 8 18 16 8 20 18 8 22 20 8 24 22 8 26 24 8 28 26 8 30 28 8 32 30 8 34 32 8 36 34 8 38 36 8 40 38 8 42 40 8 44 42 8 46 44 8 48 46 8 10 48 38 40 41 40 43 41 40 42 43 42 45 43 42 44 45 44 47 45 44 46 47 46 49 47 46 48 49 48 12 49 48 10 12 10 11 12 10 9 11 13 12 11 13 49 12 13 47 49 13 45 47 13 43 45 13 41 43 13 11 15 13 15 17 13 17 19 13 19 21 13 21 23 13 23 25 13 25 27 13 27 29 13 29 31 13 31 33 13 33 35 13 35 37 13 37 39 13 39 41 30 33 31 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 28 30 31 26 28 29 28 31 29 24 26 27 26 29 27 22 24 25 24 27 25 20 22 23 22 25 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 9 14 15 14 17 15 9 15 11))
                   (list :vertices (let ((mat (make-matrix 50 3))) (fvector-replace (array-entity mat) #f(-7.5000002980232239e+01 -1.3500000536441803e+02 -3.7500000000000000e+02 -7.5000002980232239e+01 -1.3500000536441803e+02 -3.2499998807907104e+02 -7.5000002980232239e+01 1.3500000536441803e+02 -3.2499998807907104e+02 -7.5000002980232239e+01 1.3500000536441803e+02 -3.7500000000000000e+02 7.5000002980232239e+01 1.3500000536441803e+02 -3.2499998807907104e+02 7.5000002980232239e+01 1.3500000536441803e+02 -3.7500000000000000e+02 7.5000002980232239e+01 -1.3500000536441803e+02 -3.2499998807907104e+02 7.5000002980232239e+01 -1.3500000536441803e+02 -3.7500000000000000e+02 0.0000000000000000e+00 -1.8366000631431234e-04 -3.0000001192092896e+02 2.3776400834321976e+01 -7.7256099320948124e+00 -3.0000001192092896e+02 2.5000000372529030e+01 -1.8366000631431234e-04 -3.0000001192092896e+02 2.3776400834321976e+01 -7.7252401970326900e+00 -4.0000000596046448e+02 2.5000000372529030e+01 1.8366000631431234e-04 -4.0000000596046448e+02 0.0000000000000000e+00 1.8366000631431234e-04 -4.0000000596046448e+02 2.0225400105118752e+01 -1.4694799669086933e+01 -3.0000001192092896e+02 2.0225400105118752e+01 -1.4694400131702423e+01 -4.0000000596046448e+02 1.4694600366055965e+01 -2.0225599408149719e+01 -3.0000001192092896e+02 1.4694600366055965e+01 -2.0225200802087784e+01 -4.0000000596046448e+02 7.7254301868379116e+00 -2.3776600137352943e+01 -3.0000001192092896e+02 7.7254301868379116e+00 -2.3776199668645859e+01 -4.0000000596046448e+02 1.5308100132975318e-15 -2.5000199675559998e+01 -3.0000001192092896e+02 1.5308100132975318e-15 -2.4999799206852913e+01 -4.0000000596046448e+02 -7.7254301868379116e+00 -2.3776600137352943e+01 -3.0000001192092896e+02 -7.7254301868379116e+00 -2.3776199668645859e+01 -4.0000000596046448e+02 -1.4694600366055965e+01 -2.0225599408149719e+01 -3.0000001192092896e+02 -1.4694600366055965e+01 -2.0225200802087784e+01 -4.0000000596046448e+02 -2.0225400105118752e+01 -1.4694799669086933e+01 -3.0000001192092896e+02 -2.0225400105118752e+01 -1.4694400131702423e+01 -4.0000000596046448e+02 -2.3776400834321976e+01 -7.7256099320948124e+00 -3.0000001192092896e+02 -2.3776400834321976e+01 -7.7252401970326900e+00 -4.0000000596046448e+02 -2.5000000372529030e+01 -1.8366000631431234e-04 -3.0000001192092896e+02 -2.5000000372529030e+01 1.8366000631431234e-04 -4.0000000596046448e+02 -2.3776400834321976e+01 7.7252401970326900e+00 -3.0000001192092896e+02 -2.3776400834321976e+01 7.7256099320948124e+00 -4.0000000596046448e+02 -2.0225400105118752e+01 1.4694400131702423e+01 -3.0000001192092896e+02 -2.0225400105118752e+01 1.4694799669086933e+01 -4.0000000596046448e+02 -1.4694600366055965e+01 2.0225200802087784e+01 -3.0000001192092896e+02 -1.4694600366055965e+01 2.0225599408149719e+01 -4.0000000596046448e+02 -7.7254301868379116e+00 2.3776199668645859e+01 -3.0000001192092896e+02 -7.7254301868379116e+00 2.3776600137352943e+01 -4.0000000596046448e+02 -4.5924302466877485e-15 2.4999799206852913e+01 -3.0000001192092896e+02 -4.5924302466877485e-15 2.5000199675559998e+01 -4.0000000596046448e+02 7.7254301868379116e+00 2.3776199668645859e+01 -3.0000001192092896e+02 7.7254301868379116e+00 2.3776600137352943e+01 -4.0000000596046448e+02 1.4694600366055965e+01 2.0225200802087784e+01 -3.0000001192092896e+02 1.4694600366055965e+01 2.0225599408149719e+01 -4.0000000596046448e+02 2.0225400105118752e+01 1.4694400131702423e+01 -3.0000001192092896e+02 2.0225400105118752e+01 1.4694799669086933e+01 -4.0000000596046448e+02 2.3776400834321976e+01 7.7252401970326900e+00 -3.0000001192092896e+02 2.3776400834321976e+01 7.7256099320948124e+00 -4.0000000596046448e+02 )) mat)))
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.500000 0.800000 0.500000 1.000000))))
                   (list :indices #i( 0 1 2 2 3 0 1 0 6 6 0 7 5 7 0 0 3 5 4 2 1 1 6 4 3 2 4 3 4 5 4 7 5 6 7 4 8 9 10 10 11 8 9 8 14 14 8 15 13 15 8 8 11 13 12 10 9 9 14 12 11 10 12 11 12 13 12 15 13 14 15 12))
                   (list :vertices (let ((mat (make-matrix 16 3))) (fvector-replace (array-entity mat) #f(-1.7000000178813934e+02 -7.9999998211860657e+01 -2.7000001072883606e+02 -1.7000000178813934e+02 -7.9999998211860657e+01 -1.0999999940395355e+02 -1.7000000178813934e+02 7.9999998211860657e+01 -1.0999999940395355e+02 -1.7000000178813934e+02 7.9999998211860657e+01 -2.7000001072883606e+02 1.4000000059604645e+02 7.9999998211860657e+01 -1.0999999940395355e+02 1.4000000059604645e+02 7.9999998211860657e+01 -2.7000001072883606e+02 1.4000000059604645e+02 -7.9999998211860657e+01 -1.0999999940395355e+02 1.4000000059604645e+02 -7.9999998211860657e+01 -2.7000001072883606e+02 -2.5000000372529030e+01 -2.5000000372529030e+01 -3.0000001192092896e+02 -2.5000000372529030e+01 -2.5000000372529030e+01 -2.7000001072883606e+02 -2.5000000372529030e+01 2.5000000372529030e+01 -2.7000001072883606e+02 -2.5000000372529030e+01 2.5000000372529030e+01 -3.0000001192092896e+02 2.5000000372529030e+01 2.5000000372529030e+01 -2.7000001072883606e+02 2.5000000372529030e+01 2.5000000372529030e+01 -3.0000001192092896e+02 2.5000000372529030e+01 -2.5000000372529030e+01 -2.7000001072883606e+02 2.5000000372529030e+01 -2.5000000372529030e+01 -3.0000001192092896e+02 )) mat)))
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 1.000000 0.000000 0.000000 1.000000))))
                   (list :indices #i( 0 1 2 2 3 4 2 5 3 92 2 90 90 2 4 6 4 3 10 11 3 6 3 14 90 4 91 6 91 4 89 90 87 87 90 91 87 91 88 6 88 91 86 87 84 84 87 88 84 88 85 6 85 88 83 84 81 81 84 85 81 85 82 6 82 85 80 81 78 78 81 82 78 82 79 6 79 82 77 78 75 75 78 79 75 79 76 6 76 79 74 75 72 72 75 76 72 76 73 6 73 76 71 72 64 64 72 73 64 73 67 6 67 73 63 64 65 69 64 67 66 67 68 6 70 67 6 20 21 6 27 28 6 33 31 6 31 36 6 36 39 6 39 42 6 42 47 6 53 54 6 61 62 38 42 39 38 41 42 41 45 42 37 38 35 35 38 39 40 41 38 43 44 41 41 44 46 48 49 44 44 50 51 44 49 52 55 56 49 49 57 58 49 59 60 35 39 36 34 35 30 30 35 36 30 36 31 29 30 23 23 30 31 23 31 32 22 23 16 16 23 26 15 16 8 8 16 19 16 24 25 7 8 9 12 8 13 8 17 18 93 94 95 93 99 94 93 101 99 93 103 101 93 105 103 93 107 105 93 109 107 93 111 109 93 113 111 93 115 113 93 117 115 93 119 117 93 121 119 93 125 121 93 129 125 93 132 133 93 139 132 93 143 139 93 145 143 93 95 145 136 132 137 132 140 141 132 139 140 139 144 140 139 143 144 143 146 144 143 145 146 145 97 146 145 95 97 95 96 97 95 94 96 98 97 96 98 146 97 98 144 146 98 140 144 98 142 140 98 96 100 98 100 102 98 102 104 98 104 106 98 106 108 98 108 110 98 110 112 98 112 114 98 114 116 98 116 118 98 118 120 98 120 124 98 128 126 98 126 130 98 130 138 121 126 127 121 125 126 125 130 126 125 131 130 134 135 130 119 121 123 117 119 120 119 122 120 115 117 118 117 120 118 113 115 116 115 118 116 111 113 114 113 116 114 109 111 112 111 114 112 107 109 110 109 112 110 105 107 108 107 110 108 103 105 106 105 108 106 101 103 104 103 106 104 99 101 102 101 104 102 94 99 100 99 102 100 94 100 96))
                   (list :vertices (let ((mat (make-matrix 147 3))) (fvector-replace (array-entity mat) #f(1.5779399871826172e+02 -5.0000101327896118e+01 -2.0450000464916229e+02 1.6088399291038513e+02 -6.9021500647068024e+01 -1.9914799928665161e+02 1.5779399871826172e+02 -7.0000097155570984e+01 -2.0450000464916229e+02 1.4529600739479065e+02 -6.9021202623844147e+01 -1.9014799594879150e+02 1.4220499992370605e+02 -6.9999903440475464e+01 -1.9550000131130219e+02 1.6088399291038513e+02 -6.9021500647068024e+01 -1.9914799928665161e+02 1.4220599830150604e+02 -4.9999900162220001e+01 -1.9550000131130219e+02 1.5779399871826172e+02 -5.0000101327896118e+01 -2.0450000464916229e+02 1.6367200016975403e+02 -6.6180802881717682e+01 -1.9431999325752258e+02 1.6088399291038513e+02 -6.9021500647068024e+01 -1.9914799928665161e+02 1.6088399291038513e+02 -6.9021500647068024e+01 -1.9914799928665161e+02 1.4808300137519836e+02 -6.6180497407913208e+01 -1.8531900644302368e+02 1.6088399291038513e+02 -6.9021500647068024e+01 -1.9914799928665161e+02 1.4808300137519836e+02 -6.6180497407913208e+01 -1.8531900644302368e+02 1.4808300137519836e+02 -6.6180497407913208e+01 -1.8531900644302368e+02 1.5779399871826172e+02 -5.0000101327896118e+01 -2.0450000464916229e+02 1.6588400304317474e+02 -6.1756301671266556e+01 -1.9048799574375153e+02 1.5029600262641907e+02 -6.1755999922752380e+01 -1.8148800730705261e+02 1.4808300137519836e+02 -6.6180497407913208e+01 -1.8531900644302368e+02 1.5029600262641907e+02 -6.1755999922752380e+01 -1.8148800730705261e+02 1.4808300137519836e+02 -6.6180497407913208e+01 -1.8531900644302368e+02 1.5029600262641907e+02 -6.1755999922752380e+01 -1.8148800730705261e+02 1.5779399871826172e+02 -5.0000101327896118e+01 -2.0450000464916229e+02 1.6730499267578125e+02 -5.6180998682975769e+01 -1.8802799284458160e+02 1.5171700716018677e+02 -5.6180700659751892e+01 -1.7902700603008270e+02 1.5029600262641907e+02 -6.1755999922752380e+01 -1.8148800730705261e+02 1.5171700716018677e+02 -5.6180700659751892e+01 -1.7902700603008270e+02 1.5029600262641907e+02 -6.1755999922752380e+01 -1.8148800730705261e+02 1.5171700716018677e+02 -5.6180700659751892e+01 -1.7902700603008270e+02 1.5779399871826172e+02 -5.0000101327896118e+01 -2.0450000464916229e+02 1.6779400408267975e+02 -5.0000701099634171e+01 -1.8717999756336212e+02 1.5220600366592407e+02 -5.0000399351119995e+01 -1.7817999422550201e+02 1.5171700716018677e+02 -5.6180700659751892e+01 -1.7902700603008270e+02 1.5171700716018677e+02 -5.6180700659751892e+01 -1.7902700603008270e+02 1.5779399871826172e+02 -5.0000101327896118e+01 -2.0450000464916229e+02 1.6730499267578125e+02 -4.3820399791002274e+01 -1.8802699446678162e+02 1.5171700716018677e+02 -4.3820101767778397e+01 -1.7902700603008270e+02 1.5779399871826172e+02 -5.0000101327896118e+01 -2.0450000464916229e+02 1.6588500142097473e+02 -3.8244899362325668e+01 -1.9048699736595154e+02 1.5029700100421906e+02 -3.8244601339101791e+01 -1.8148699402809143e+02 1.5779399871826172e+02 -5.0000101327896118e+01 -2.0450000464916229e+02 1.6367299854755402e+02 -3.3820100128650665e+01 -1.9431899487972260e+02 1.4808399975299835e+02 -3.3819798380136490e+01 -1.8531900644302368e+02 1.5779399871826172e+02 -5.0000101327896118e+01 -2.0450000464916229e+02 1.6088500618934631e+02 -3.0979199334979057e+01 -1.9914799928665161e+02 1.4529700577259064e+02 -3.0978899449110031e+01 -1.9014699757099152e+02 1.4529700577259064e+02 -3.0978899449110031e+01 -1.9014699757099152e+02 1.4529700577259064e+02 -3.0978899449110031e+01 -1.9014699757099152e+02 1.5779399871826172e+02 -5.0000101327896118e+01 -2.0450000464916229e+02 1.5779499709606171e+02 -3.0000099912285805e+01 -2.0450000464916229e+02 1.4220599830150604e+02 -2.9999900609254837e+01 -1.9550000131130219e+02 1.4529700577259064e+02 -3.0978899449110031e+01 -1.9014699757099152e+02 1.4220599830150604e+02 -2.9999900609254837e+01 -1.9550000131130219e+02 1.4529700577259064e+02 -3.0978899449110031e+01 -1.9014699757099152e+02 1.4220599830150604e+02 -2.9999900609254837e+01 -1.9550000131130219e+02 1.5779399871826172e+02 -5.0000101327896118e+01 -2.0450000464916229e+02 1.5470400452613831e+02 -3.0978800728917122e+01 -2.0985199511051178e+02 1.3911600410938263e+02 -3.0978500843048096e+01 -2.0085200667381287e+02 1.4220599830150604e+02 -2.9999900609254837e+01 -1.9550000131130219e+02 1.5470400452613831e+02 -3.0978800728917122e+01 -2.0985199511051178e+02 1.3911600410938263e+02 -3.0978500843048096e+01 -2.0085200667381287e+02 1.4220599830150604e+02 -2.9999900609254837e+01 -1.9550000131130219e+02 1.3911600410938263e+02 -3.0978500843048096e+01 -2.0085200667381287e+02 1.5779399871826172e+02 -5.0000101327896118e+01 -2.0450000464916229e+02 1.5191699564456940e+02 -3.3819500356912613e+01 -2.1468099951744080e+02 1.5470400452613831e+02 -3.0978800728917122e+01 -2.0985199511051178e+02 1.5470400452613831e+02 -3.0978800728917122e+01 -2.0985199511051178e+02 1.3632799685001373e+02 -3.3819198608398438e+01 -2.0567999780178070e+02 1.3911600410938263e+02 -3.0978500843048096e+01 -2.0085200667381287e+02 1.5470400452613831e+02 -3.0978800728917122e+01 -2.0985199511051178e+02 1.3911600410938263e+02 -3.0978500843048096e+01 -2.0085200667381287e+02 1.5779399871826172e+02 -5.0000101327896118e+01 -2.0450000464916229e+02 1.4970399439334869e+02 -3.8244001567363739e+01 -2.1851199865341187e+02 1.3411599397659302e+02 -3.8243699818849564e+01 -2.0951199531555176e+02 1.5779399871826172e+02 -5.0000101327896118e+01 -2.0450000464916229e+02 1.4828300476074219e+02 -4.3819300830364227e+01 -2.2097299993038177e+02 1.3269500434398651e+02 -4.3818999081850052e+01 -2.1197199821472168e+02 1.5779399871826172e+02 -5.0000101327896118e+01 -2.0450000464916229e+02 1.4779399335384369e+02 -4.9999598413705826e+01 -2.2181999683380127e+02 1.3220599293708801e+02 -4.9999300390481949e+01 -2.1281999349594116e+02 1.5779399871826172e+02 -5.0000101327896118e+01 -2.0450000464916229e+02 1.4828300476074219e+02 -5.6179899722337723e+01 -2.2097299993038177e+02 1.3269500434398651e+02 -5.6179601699113846e+01 -2.1197299659252167e+02 1.5779399871826172e+02 -5.0000101327896118e+01 -2.0450000464916229e+02 1.4970299601554871e+02 -6.1755400151014328e+01 -2.1851299703121185e+02 1.3411499559879303e+02 -6.1755098402500153e+01 -2.0951299369335175e+02 1.5779399871826172e+02 -5.0000101327896118e+01 -2.0450000464916229e+02 1.5191599726676941e+02 -6.6180199384689331e+01 -2.1468099951744080e+02 1.3632699847221375e+02 -6.6179901361465454e+01 -2.0568099617958069e+02 1.5779399871826172e+02 -5.0000101327896118e+01 -2.0450000464916229e+02 1.5470300614833832e+02 -6.9021098315715790e+01 -2.0985299348831177e+02 1.3911500573158264e+02 -6.9020800292491913e+01 -2.0085200667381287e+02 1.5779399871826172e+02 -5.0000101327896118e+01 -2.0450000464916229e+02 1.5779399871826172e+02 4.9999900162220001e+01 -2.0450000464916229e+02 1.6088399291038513e+02 3.0978500843048096e+01 -1.9914799928665161e+02 1.5779399871826172e+02 2.9999900609254837e+01 -2.0450000464916229e+02 1.4529600739479065e+02 3.0978800728917122e+01 -1.9014799594879150e+02 1.4220499992370605e+02 3.0000099912285805e+01 -1.9550000131130219e+02 1.4220599830150604e+02 5.0000101327896118e+01 -1.9550000131130219e+02 1.6367200016975403e+02 3.3819198608398438e+01 -1.9431999325752258e+02 1.4808300137519836e+02 3.3819500356912613e+01 -1.8531900644302368e+02 1.6588400304317474e+02 3.8243699818849564e+01 -1.9048799574375153e+02 1.5029600262641907e+02 3.8244001567363739e+01 -1.8148800730705261e+02 1.6730499267578125e+02 4.3818999081850052e+01 -1.8802799284458160e+02 1.5171700716018677e+02 4.3819300830364227e+01 -1.7902700603008270e+02 1.6779400408267975e+02 4.9999300390481949e+01 -1.8717999756336212e+02 1.5220600366592407e+02 4.9999598413705826e+01 -1.7817999422550201e+02 1.6730499267578125e+02 5.6179601699113846e+01 -1.8802699446678162e+02 1.5171700716018677e+02 5.6179899722337723e+01 -1.7902700603008270e+02 1.6588500142097473e+02 6.1755098402500153e+01 -1.9048699736595154e+02 1.5029700100421906e+02 6.1755400151014328e+01 -1.8148699402809143e+02 1.6367299854755402e+02 6.6179901361465454e+01 -1.9431899487972260e+02 1.4808399975299835e+02 6.6180199384689331e+01 -1.8531900644302368e+02 1.6088500618934631e+02 6.9020800292491913e+01 -1.9914799928665161e+02 1.4529700577259064e+02 6.9021098315715790e+01 -1.9014699757099152e+02 1.5779499709606171e+02 6.9999903440475464e+01 -2.0450000464916229e+02 1.4220599830150604e+02 7.0000097155570984e+01 -1.9550000131130219e+02 1.5470400452613831e+02 6.9021202623844147e+01 -2.0985199511051178e+02 1.3911600410938263e+02 6.9021500647068024e+01 -2.0085200667381287e+02 1.5191699564456940e+02 6.6180497407913208e+01 -2.1468099951744080e+02 1.3632799685001373e+02 6.6180802881717682e+01 -2.0567999780178070e+02 1.4970399439334869e+02 6.1755999922752380e+01 -2.1851199865341187e+02 1.3411599397659302e+02 6.1756301671266556e+01 -2.0951199531555176e+02 1.3411599397659302e+02 6.1756301671266556e+01 -2.0951199531555176e+02 1.3411599397659302e+02 6.1756301671266556e+01 -2.0951199531555176e+02 1.4828300476074219e+02 5.6180700659751892e+01 -2.2097299993038177e+02 1.3269500434398651e+02 5.6180998682975769e+01 -2.1197199821472168e+02 1.3411599397659302e+02 6.1756301671266556e+01 -2.0951199531555176e+02 1.3411599397659302e+02 6.1756301671266556e+01 -2.0951199531555176e+02 1.4779399335384369e+02 5.0000399351119995e+01 -2.2181999683380127e+02 1.3220599293708801e+02 5.0000701099634171e+01 -2.1281999349594116e+02 1.4779399335384369e+02 5.0000399351119995e+01 -2.2181999683380127e+02 1.4828300476074219e+02 4.3820101767778397e+01 -2.2097299993038177e+02 1.4779399335384369e+02 5.0000399351119995e+01 -2.2181999683380127e+02 1.4779399335384369e+02 5.0000399351119995e+01 -2.2181999683380127e+02 1.3269500434398651e+02 4.3820399791002274e+01 -2.1197299659252167e+02 1.4779399335384369e+02 5.0000399351119995e+01 -2.2181999683380127e+02 1.3269500434398651e+02 4.3820399791002274e+01 -2.1197299659252167e+02 1.3269500434398651e+02 4.3820399791002274e+01 -2.1197299659252167e+02 1.4970299601554871e+02 3.8244601339101791e+01 -2.1851299703121185e+02 1.3411499559879303e+02 3.8244899362325668e+01 -2.0951299369335175e+02 1.3269500434398651e+02 4.3820399791002274e+01 -2.1197299659252167e+02 1.3269500434398651e+02 4.3820399791002274e+01 -2.1197299659252167e+02 1.5191599726676941e+02 3.3819798380136490e+01 -2.1468099951744080e+02 1.3632699847221375e+02 3.3820100128650665e+01 -2.0568099617958069e+02 1.5470300614833832e+02 3.0978899449110031e+01 -2.0985299348831177e+02 1.3911500573158264e+02 3.0979199334979057e+01 -2.0085200667381287e+02 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 828 -> 26 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.7000000178813934e+02 7.9999998211860657e+01 -1.0999999940395355e+02) (float-vector -1.7000000178813934e+02 -7.9999998211860657e+01 -1.0999999940395355e+02) (float-vector -1.7000000178813934e+02 -7.9999998211860657e+01 -2.7000001072883606e+02) (float-vector -1.7000000178813934e+02 7.9999998211860657e+01 -2.7000001072883606e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.5000002980232239e+01 -1.3500000536441803e+02 -3.2499998807907104e+02) (float-vector -1.7000000178813934e+02 -7.9999998211860657e+01 -1.0999999940395355e+02) (float-vector 1.4000000059604645e+02 -7.9999998211860657e+01 -1.0999999940395355e+02) (float-vector 7.5000002980232239e+01 -1.3500000536441803e+02 -3.2499998807907104e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4000000059604645e+02 7.9999998211860657e+01 -1.0999999940395355e+02) (float-vector 1.4000000059604645e+02 -7.9999998211860657e+01 -1.0999999940395355e+02) (float-vector -1.7000000178813934e+02 -7.9999998211860657e+01 -1.0999999940395355e+02) (float-vector -1.7000000178813934e+02 7.9999998211860657e+01 -1.0999999940395355e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.5000002980232239e+01 1.3500000536441803e+02 -3.2499998807907104e+02) (float-vector 7.5000002980232239e+01 1.3500000536441803e+02 -3.2499998807907104e+02) (float-vector 1.4000000059604645e+02 7.9999998211860657e+01 -1.0999999940395355e+02) (float-vector -1.7000000178813934e+02 7.9999998211860657e+01 -1.0999999940395355e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 7.5000002980232239e+01 1.3500000536441803e+02 -3.7500000000000000e+02) (float-vector 2.5000000372529030e+01 1.8366000631431234e-04 -4.0000000596046448e+02) (float-vector 7.5000002980232239e+01 -1.3500000536441803e+02 -3.7500000000000000e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.5000002980232239e+01 1.3500000536441803e+02 -3.7500000000000000e+02) (float-vector 7.5000002980232239e+01 1.3500000536441803e+02 -3.7500000000000000e+02) (float-vector 7.5000002980232239e+01 1.3500000536441803e+02 -3.2499998807907104e+02) (float-vector -7.5000002980232239e+01 1.3500000536441803e+02 -3.2499998807907104e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.5000002980232239e+01 1.3500000536441803e+02 -3.7500000000000000e+02) (float-vector -7.5000002980232239e+01 1.3500000536441803e+02 -3.2499998807907104e+02) (float-vector -1.7000000178813934e+02 7.9999998211860657e+01 -1.0999999940395355e+02) (float-vector -1.7000000178813934e+02 7.9999998211860657e+01 -2.7000001072883606e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.6088399291038513e+02 -6.9021500647068024e+01 -1.9914799928665161e+02) (float-vector 1.4000000059604645e+02 -7.9999998211860657e+01 -2.7000001072883606e+02) (float-vector 7.5000002980232239e+01 -1.3500000536441803e+02 -3.7500000000000000e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.6730499267578125e+02 -5.6180998682975769e+01 -1.8802799284458160e+02) (float-vector 1.6088399291038513e+02 -6.9021500647068024e+01 -1.9914799928665161e+02) (float-vector 1.4000000059604645e+02 -7.9999998211860657e+01 -1.0999999940395355e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.6088399291038513e+02 -6.9021500647068024e+01 -1.9914799928665161e+02) (float-vector 7.5000002980232239e+01 -1.3500000536441803e+02 -3.7500000000000000e+02) (float-vector 7.5000002980232239e+01 -1.3500000536441803e+02 -3.2499998807907104e+02) (float-vector 1.4000000059604645e+02 -7.9999998211860657e+01 -1.0999999940395355e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.6588500142097473e+02 6.1755098402500153e+01 -1.9048699736595154e+02) (float-vector 1.6730499267578125e+02 -5.6180998682975769e+01 -1.8802799284458160e+02) (float-vector 1.4000000059604645e+02 -7.9999998211860657e+01 -1.0999999940395355e+02) (float-vector 1.4000000059604645e+02 7.9999998211860657e+01 -1.0999999940395355e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.5000002980232239e+01 1.3500000536441803e+02 -3.7500000000000000e+02) (float-vector -7.5000002980232239e+01 -1.3500000536441803e+02 -3.7500000000000000e+02) (float-vector -2.5000000372529030e+01 1.8366000631431234e-04 -4.0000000596046448e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.5000002980232239e+01 -1.3500000536441803e+02 -3.7500000000000000e+02) (float-vector -1.4694600366055965e+01 -2.0225200802087784e+01 -4.0000000596046448e+02) (float-vector -2.5000000372529030e+01 1.8366000631431234e-04 -4.0000000596046448e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.5000002980232239e+01 -1.3500000536441803e+02 -3.7500000000000000e+02) (float-vector -7.5000002980232239e+01 1.3500000536441803e+02 -3.7500000000000000e+02) (float-vector -1.7000000178813934e+02 7.9999998211860657e+01 -2.7000001072883606e+02) (float-vector -1.7000000178813934e+02 -7.9999998211860657e+01 -2.7000001072883606e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.5000002980232239e+01 -1.3500000536441803e+02 -3.2499998807907104e+02) (float-vector -7.5000002980232239e+01 -1.3500000536441803e+02 -3.7500000000000000e+02) (float-vector -1.7000000178813934e+02 -7.9999998211860657e+01 -2.7000001072883606e+02) (float-vector -1.7000000178813934e+02 -7.9999998211860657e+01 -1.0999999940395355e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 7.5000002980232239e+01 -1.3500000536441803e+02 -3.7500000000000000e+02) (float-vector -7.5000002980232239e+01 -1.3500000536441803e+02 -3.7500000000000000e+02) (float-vector -7.5000002980232239e+01 -1.3500000536441803e+02 -3.2499998807907104e+02) (float-vector 7.5000002980232239e+01 -1.3500000536441803e+02 -3.2499998807907104e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.5000002980232239e+01 1.3500000536441803e+02 -3.7500000000000000e+02) (float-vector -4.5924302466877485e-15 2.5000199675559998e+01 -4.0000000596046448e+02) (float-vector 7.5000002980232239e+01 1.3500000536441803e+02 -3.7500000000000000e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.5924302466877485e-15 2.5000199675559998e+01 -4.0000000596046448e+02) (float-vector 2.5000000372529030e+01 1.8366000631431234e-04 -4.0000000596046448e+02) (float-vector 7.5000002980232239e+01 1.3500000536441803e+02 -3.7500000000000000e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.5924302466877485e-15 2.5000199675559998e+01 -4.0000000596046448e+02) (float-vector -7.5000002980232239e+01 1.3500000536441803e+02 -3.7500000000000000e+02) (float-vector -2.5000000372529030e+01 1.8366000631431234e-04 -4.0000000596046448e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 1.8366000631431234e-04 -4.0000000596046448e+02) (float-vector 7.7254301868379116e+00 -2.3776199668645859e+01 -4.0000000596046448e+02) (float-vector 7.5000002980232239e+01 -1.3500000536441803e+02 -3.7500000000000000e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 1.8366000631431234e-04 -4.0000000596046448e+02) (float-vector -1.4694600366055965e+01 -2.0225200802087784e+01 -4.0000000596046448e+02) (float-vector 7.7254301868379116e+00 -2.3776199668645859e+01 -4.0000000596046448e+02) (float-vector 2.5000000372529030e+01 1.8366000631431234e-04 -4.0000000596046448e+02) (float-vector -4.5924302466877485e-15 2.5000199675559998e+01 -4.0000000596046448e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 7.7254301868379116e+00 -2.3776199668645859e+01 -4.0000000596046448e+02) (float-vector -1.4694600366055965e+01 -2.0225200802087784e+01 -4.0000000596046448e+02) (float-vector -7.5000002980232239e+01 -1.3500000536441803e+02 -3.7500000000000000e+02) (float-vector 7.5000002980232239e+01 -1.3500000536441803e+02 -3.7500000000000000e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 7.5000002980232239e+01 1.3500000536441803e+02 -3.7500000000000000e+02) (float-vector 7.5000002980232239e+01 -1.3500000536441803e+02 -3.7500000000000000e+02) (float-vector 1.4000000059604645e+02 -7.9999998211860657e+01 -2.7000001072883606e+02) (float-vector 1.4000000059604645e+02 7.9999998211860657e+01 -2.7000001072883606e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4000000059604645e+02 7.9999998211860657e+01 -2.7000001072883606e+02) (float-vector 1.6088500618934631e+02 6.9020800292491913e+01 -1.9914799928665161e+02) (float-vector 7.5000002980232239e+01 1.3500000536441803e+02 -3.7500000000000000e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.6588500142097473e+02 6.1755098402500153e+01 -1.9048699736595154e+02) (float-vector 1.6088500618934631e+02 6.9020800292491913e+01 -1.9914799928665161e+02) (float-vector 1.4000000059604645e+02 7.9999998211860657e+01 -2.7000001072883606e+02) (float-vector 1.4000000059604645e+02 -7.9999998211860657e+01 -2.7000001072883606e+02) (float-vector 1.6088399291038513e+02 -6.9021500647068024e+01 -1.9914799928665161e+02) (float-vector 1.6730499267578125e+02 -5.6180998682975769e+01 -1.8802799284458160e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 7.5000002980232239e+01 1.3500000536441803e+02 -3.7500000000000000e+02) (float-vector 1.6088500618934631e+02 6.9020800292491913e+01 -1.9914799928665161e+02) (float-vector 1.6588500142097473e+02 6.1755098402500153e+01 -1.9048699736595154e+02) (float-vector 1.4000000059604645e+02 7.9999998211860657e+01 -1.0999999940395355e+02) (float-vector 7.5000002980232239e+01 1.3500000536441803e+02 -3.2499998807907104e+02)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_WAIST_LINK3_wn8QEe.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_LARM_LINK1_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 2.1000000000000000e+02 0.0000000000000000e+00))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 0.800000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 0 6 1 0 8 6 0 10 8 0 12 10 0 14 12 0 16 14 0 18 16 0 20 18 0 22 20 0 24 22 0 26 24 0 28 26 0 30 28 0 32 30 0 34 32 0 36 34 0 38 36 0 40 38 0 2 40 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 38 40 41 40 4 41 40 2 4 2 3 4 2 1 3 5 4 3 5 41 4 5 39 41 5 37 39 5 35 37 5 33 35 5 3 7 5 7 9 5 9 11 5 11 13 5 13 15 5 15 17 5 17 19 5 19 21 5 21 23 5 23 25 5 25 27 5 27 29 5 29 31 5 31 33 22 25 23 22 24 25 24 27 25 24 26 27 26 29 27 26 28 29 28 31 29 28 30 31 30 33 31 20 22 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 12 14 15 14 17 15 10 12 13 12 15 13 8 10 11 10 13 11 6 8 9 8 11 9 1 6 7 6 9 7 1 7 3))
                   (list :vertices (let ((mat (make-matrix 42 3))) (fvector-replace (array-entity mat) #f(0.0000000000000000e+00 -2.3499999940395355e+02 0.0000000000000000e+00 2.3776400834321976e+01 -2.3499999940395355e+02 7.7254301868379116e+00 2.5000000372529030e+01 -2.3499999940395355e+02 0.0000000000000000e+00 2.3776400834321976e+01 -2.8499999642372131e+02 7.7254301868379116e+00 2.5000000372529030e+01 -2.8499999642372131e+02 0.0000000000000000e+00 0.0000000000000000e+00 -2.8499999642372131e+02 0.0000000000000000e+00 2.0225400105118752e+01 -2.3499999940395355e+02 1.4694600366055965e+01 2.0225400105118752e+01 -2.8499999642372131e+02 1.4694600366055965e+01 1.4694600366055965e+01 -2.3499999940395355e+02 2.0225400105118752e+01 1.4694600366055965e+01 -2.8499999642372131e+02 2.0225400105118752e+01 7.7254301868379116e+00 -2.3499999940395355e+02 2.3776400834321976e+01 7.7254301868379116e+00 -2.8499999642372131e+02 2.3776400834321976e+01 1.5308100132975318e-15 -2.3499999940395355e+02 2.5000000372529030e+01 1.5308100132975318e-15 -2.8499999642372131e+02 2.5000000372529030e+01 -7.7254301868379116e+00 -2.3499999940395355e+02 2.3776400834321976e+01 -7.7254301868379116e+00 -2.8499999642372131e+02 2.3776400834321976e+01 -1.4694600366055965e+01 -2.3499999940395355e+02 2.0225400105118752e+01 -1.4694600366055965e+01 -2.8499999642372131e+02 2.0225400105118752e+01 -2.0225400105118752e+01 -2.3499999940395355e+02 1.4694600366055965e+01 -2.0225400105118752e+01 -2.8499999642372131e+02 1.4694600366055965e+01 -2.3776400834321976e+01 -2.3499999940395355e+02 7.7254301868379116e+00 -2.3776400834321976e+01 -2.8499999642372131e+02 7.7254301868379116e+00 -2.5000000372529030e+01 -2.3499999940395355e+02 3.0616200265950636e-15 -2.5000000372529030e+01 -2.8499999642372131e+02 3.0616200265950636e-15 -2.3776400834321976e+01 -2.3499999940395355e+02 -7.7254301868379116e+00 -2.3776400834321976e+01 -2.8499999642372131e+02 -7.7254301868379116e+00 -2.0225400105118752e+01 -2.3499999940395355e+02 -1.4694600366055965e+01 -2.0225400105118752e+01 -2.8499999642372131e+02 -1.4694600366055965e+01 -1.4694600366055965e+01 -2.3499999940395355e+02 -2.0225400105118752e+01 -1.4694600366055965e+01 -2.8499999642372131e+02 -2.0225400105118752e+01 -7.7254301868379116e+00 -2.3499999940395355e+02 -2.3776400834321976e+01 -7.7254301868379116e+00 -2.8499999642372131e+02 -2.3776400834321976e+01 -4.5924302466877485e-15 -2.3499999940395355e+02 -2.5000000372529030e+01 -4.5924302466877485e-15 -2.8499999642372131e+02 -2.5000000372529030e+01 7.7254301868379116e+00 -2.3499999940395355e+02 -2.3776400834321976e+01 7.7254301868379116e+00 -2.8499999642372131e+02 -2.3776400834321976e+01 1.4694600366055965e+01 -2.3499999940395355e+02 -2.0225400105118752e+01 1.4694600366055965e+01 -2.8499999642372131e+02 -2.0225400105118752e+01 2.0225400105118752e+01 -2.3499999940395355e+02 -1.4694600366055965e+01 2.0225400105118752e+01 -2.8499999642372131e+02 -1.4694600366055965e+01 2.3776400834321976e+01 -2.3499999940395355e+02 -7.7254301868379116e+00 2.3776400834321976e+01 -2.8499999642372131e+02 -7.7254301868379116e+00 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 240 -> 10 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 -2.8499999642372131e+02 3.0616200265950636e-15) (float-vector -2.0225400105118752e+01 -2.8499999642372131e+02 -1.4694600366055965e+01) (float-vector -2.0225400105118752e+01 -2.3499999940395355e+02 -1.4694600366055965e+01) (float-vector -2.5000000372529030e+01 -2.3499999940395355e+02 3.0616200265950636e-15)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.5924302466877485e-15 -2.8499999642372131e+02 -2.5000000372529030e+01) (float-vector 1.4694600366055965e+01 -2.8499999642372131e+02 -2.0225400105118752e+01) (float-vector 1.4694600366055965e+01 -2.3499999940395355e+02 -2.0225400105118752e+01) (float-vector -4.5924302466877485e-15 -2.3499999940395355e+02 -2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.0225400105118752e+01 -2.3499999940395355e+02 1.4694600366055965e+01) (float-vector 1.5308100132975318e-15 -2.3499999940395355e+02 2.5000000372529030e+01) (float-vector -1.4694600366055965e+01 -2.3499999940395355e+02 2.0225400105118752e+01) (float-vector -2.5000000372529030e+01 -2.3499999940395355e+02 3.0616200265950636e-15) (float-vector -2.0225400105118752e+01 -2.3499999940395355e+02 -1.4694600366055965e+01) (float-vector -4.5924302466877485e-15 -2.3499999940395355e+02 -2.5000000372529030e+01) (float-vector 1.4694600366055965e+01 -2.3499999940395355e+02 -2.0225400105118752e+01) (float-vector 2.5000000372529030e+01 -2.3499999940395355e+02 0.0000000000000000e+00)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.0225400105118752e+01 -2.8499999642372131e+02 -1.4694600366055965e+01) (float-vector -4.5924302466877485e-15 -2.8499999642372131e+02 -2.5000000372529030e+01) (float-vector -4.5924302466877485e-15 -2.3499999940395355e+02 -2.5000000372529030e+01) (float-vector -2.0225400105118752e+01 -2.3499999940395355e+02 -1.4694600366055965e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5308100132975318e-15 -2.8499999642372131e+02 2.5000000372529030e+01) (float-vector -1.4694600366055965e+01 -2.8499999642372131e+02 2.0225400105118752e+01) (float-vector -1.4694600366055965e+01 -2.3499999940395355e+02 2.0225400105118752e+01) (float-vector 1.5308100132975318e-15 -2.3499999940395355e+02 2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 -2.8499999642372131e+02 -2.0225400105118752e+01) (float-vector 2.5000000372529030e+01 -2.8499999642372131e+02 0.0000000000000000e+00) (float-vector 2.5000000372529030e+01 -2.3499999940395355e+02 0.0000000000000000e+00) (float-vector 1.4694600366055965e+01 -2.3499999940395355e+02 -2.0225400105118752e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -2.8499999642372131e+02 0.0000000000000000e+00) (float-vector 2.0225400105118752e+01 -2.8499999642372131e+02 1.4694600366055965e+01) (float-vector 2.0225400105118752e+01 -2.3499999940395355e+02 1.4694600366055965e+01) (float-vector 2.5000000372529030e+01 -2.3499999940395355e+02 0.0000000000000000e+00)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.4694600366055965e+01 -2.8499999642372131e+02 2.0225400105118752e+01) (float-vector -2.5000000372529030e+01 -2.8499999642372131e+02 3.0616200265950636e-15) (float-vector -2.5000000372529030e+01 -2.3499999940395355e+02 3.0616200265950636e-15) (float-vector -1.4694600366055965e+01 -2.3499999940395355e+02 2.0225400105118752e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 -2.8499999642372131e+02 3.0616200265950636e-15) (float-vector -1.4694600366055965e+01 -2.8499999642372131e+02 2.0225400105118752e+01) (float-vector 1.5308100132975318e-15 -2.8499999642372131e+02 2.5000000372529030e+01) (float-vector 2.0225400105118752e+01 -2.8499999642372131e+02 1.4694600366055965e+01) (float-vector 2.5000000372529030e+01 -2.8499999642372131e+02 0.0000000000000000e+00) (float-vector 1.4694600366055965e+01 -2.8499999642372131e+02 -2.0225400105118752e+01) (float-vector -4.5924302466877485e-15 -2.8499999642372131e+02 -2.5000000372529030e+01) (float-vector -2.0225400105118752e+01 -2.8499999642372131e+02 -1.4694600366055965e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.0225400105118752e+01 -2.8499999642372131e+02 1.4694600366055965e+01) (float-vector 1.5308100132975318e-15 -2.8499999642372131e+02 2.5000000372529030e+01) (float-vector 1.5308100132975318e-15 -2.3499999940395355e+02 2.5000000372529030e+01) (float-vector 2.0225400105118752e+01 -2.3499999940395355e+02 1.4694600366055965e+01)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_LARM_LINK1_mexGcr.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_LARM_LINK2_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 0.900000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 2 3 0 1 0 6 6 0 7 5 7 0 0 3 5 4 2 1 1 6 4 3 2 4 3 4 5 4 7 5 6 7 4 8 9 10 8 14 9 8 16 14 8 18 16 8 20 18 8 22 20 8 24 22 8 26 24 8 28 26 8 30 28 8 32 30 8 34 32 8 36 34 8 38 36 8 40 38 8 42 40 8 44 42 8 46 44 8 48 46 8 10 48 38 40 41 40 43 41 40 42 43 42 45 43 42 44 45 44 47 45 44 46 47 46 49 47 46 48 49 48 12 49 48 10 12 10 11 12 10 9 11 13 12 11 13 49 12 13 47 49 13 45 47 13 43 45 13 41 43 13 11 15 13 15 17 13 17 19 13 19 21 13 21 23 13 23 25 13 25 27 13 27 29 13 29 31 13 31 33 13 33 35 13 35 37 13 37 39 13 39 41 30 33 31 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 28 30 31 26 28 29 28 31 29 24 26 27 26 29 27 22 24 25 24 27 25 20 22 23 22 25 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 9 14 15 14 17 15 9 15 11))
                   (list :vertices (let ((mat (make-matrix 50 3))) (fvector-replace (array-entity mat) #f(-2.5000000372529030e+01 -2.5000000372529030e+01 -1.8799999356269836e+02 -2.5000000372529030e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 2.5000000372529030e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 2.5000000372529030e+01 -1.8799999356269836e+02 2.5000000372529030e+01 2.5000000372529030e+01 -2.5000000372529030e+01 2.5000000372529030e+01 2.5000000372529030e+01 -1.8799999356269836e+02 2.5000000372529030e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 2.5000000372529030e+01 -2.5000000372529030e+01 -1.8799999356269836e+02 -2.5000000372529030e+01 -9.1830102633139177e-05 0.0000000000000000e+00 -2.5000099092721939e+01 2.3776300251483917e+01 7.7254301868379116e+00 -2.5000099092721939e+01 2.4999899789690971e+01 0.0000000000000000e+00 2.4999899789690971e+01 2.3776499554514885e+01 7.7254301868379116e+00 2.4999899789690971e+01 2.5000099092721939e+01 0.0000000000000000e+00 2.5000000372529030e+01 9.1830102633139177e-05 0.0000000000000000e+00 -2.5000099092721939e+01 2.0225299522280693e+01 1.4694600366055965e+01 2.4999899789690971e+01 2.0225500687956810e+01 1.4694600366055965e+01 -2.5000099092721939e+01 1.4694499783217907e+01 2.0225400105118752e+01 2.4999899789690971e+01 1.4694700017571449e+01 2.0225400105118752e+01 -2.5000000372529030e+01 7.7253300696611404e+00 2.3776400834321976e+01 2.5000000372529030e+01 7.7255200594663620e+00 2.3776400834321976e+01 -2.5000000372529030e+01 -9.1830102633139177e-05 2.5000000372529030e+01 2.5000000372529030e+01 9.1830102633139177e-05 2.5000000372529030e+01 -2.5000000372529030e+01 -7.7255200594663620e+00 2.3776400834321976e+01 2.5000000372529030e+01 -7.7253300696611404e+00 2.3776400834321976e+01 -2.4999899789690971e+01 -1.4694700017571449e+01 2.0225400105118752e+01 2.5000099092721939e+01 -1.4694499783217907e+01 2.0225400105118752e+01 -2.4999899789690971e+01 -2.0225500687956810e+01 1.4694600366055965e+01 2.5000099092721939e+01 -2.0225299522280693e+01 1.4694600366055965e+01 -2.4999899789690971e+01 -2.3776499554514885e+01 7.7254301868379116e+00 2.5000099092721939e+01 -2.3776300251483917e+01 7.7254301868379116e+00 -2.4999899789690971e+01 -2.5000099092721939e+01 3.0616200265950636e-15 2.5000099092721939e+01 -2.4999899789690971e+01 3.0616200265950636e-15 -2.4999899789690971e+01 -2.3776499554514885e+01 -7.7254301868379116e+00 2.5000099092721939e+01 -2.3776300251483917e+01 -7.7254301868379116e+00 -2.4999899789690971e+01 -2.0225500687956810e+01 -1.4694600366055965e+01 2.5000099092721939e+01 -2.0225299522280693e+01 -1.4694600366055965e+01 -2.4999899789690971e+01 -1.4694700017571449e+01 -2.0225400105118752e+01 2.5000099092721939e+01 -1.4694499783217907e+01 -2.0225400105118752e+01 -2.5000000372529030e+01 -7.7255200594663620e+00 -2.3776400834321976e+01 2.5000000372529030e+01 -7.7253300696611404e+00 -2.3776400834321976e+01 -2.5000000372529030e+01 -9.1830102633139177e-05 -2.5000000372529030e+01 2.5000000372529030e+01 9.1830102633139177e-05 -2.5000000372529030e+01 -2.5000000372529030e+01 7.7253300696611404e+00 -2.3776400834321976e+01 2.5000000372529030e+01 7.7255200594663620e+00 -2.3776400834321976e+01 -2.5000099092721939e+01 1.4694499783217907e+01 -2.0225400105118752e+01 2.4999899789690971e+01 1.4694700017571449e+01 -2.0225400105118752e+01 -2.5000099092721939e+01 2.0225299522280693e+01 -1.4694600366055965e+01 2.4999899789690971e+01 2.0225500687956810e+01 -1.4694600366055965e+01 -2.5000099092721939e+01 2.3776300251483917e+01 -7.7254301868379116e+00 2.4999899789690971e+01 2.3776499554514885e+01 -7.7254301868379116e+00 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 276 -> 11 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000099092721939e+01 2.3776300251483917e+01 7.7254301868379116e+00) (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 -1.8799999356269836e+02) (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 -1.8799999356269836e+02) (float-vector 2.4999899789690971e+01 2.3776499554514885e+01 7.7254301868379116e+00)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.4999899789690971e+01 -2.0225500687956810e+01 1.4694600366055965e+01) (float-vector -2.5000000372529030e+01 -7.7255200594663620e+00 2.3776400834321976e+01) (float-vector 2.5000099092721939e+01 -1.4694499783217907e+01 2.0225400105118752e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 -1.8799999356269836e+02) (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 -1.8799999356269836e+02) (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 -1.8799999356269836e+02) (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 -1.8799999356269836e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.4999899789690971e+01 -2.0225500687956810e+01 1.4694600366055965e+01) (float-vector 2.5000099092721939e+01 -2.3776300251483917e+01 7.7254301868379116e+00) (float-vector -2.4999899789690971e+01 -2.5000099092721939e+01 3.0616200265950636e-15)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000099092721939e+01 -2.3776300251483917e+01 7.7254301868379116e+00) (float-vector -2.4999899789690971e+01 -2.0225500687956810e+01 1.4694600366055965e+01) (float-vector 2.5000099092721939e+01 -1.4694499783217907e+01 2.0225400105118752e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000099092721939e+01 -2.3776300251483917e+01 7.7254301868379116e+00) (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 -1.8799999356269836e+02) (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 -1.8799999356269836e+02) (float-vector -2.4999899789690971e+01 -2.5000099092721939e+01 3.0616200265950636e-15)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 -1.8799999356269836e+02) (float-vector -2.5000099092721939e+01 2.3776300251483917e+01 7.7254301868379116e+00) (float-vector -2.5000000372529030e+01 7.7253300696611404e+00 2.3776400834321976e+01) (float-vector -2.5000000372529030e+01 -7.7255200594663620e+00 2.3776400834321976e+01) (float-vector -2.4999899789690971e+01 -2.0225500687956810e+01 1.4694600366055965e+01) (float-vector -2.4999899789690971e+01 -2.5000099092721939e+01 3.0616200265950636e-15) (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 -1.8799999356269836e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 -7.7255200594663620e+00 2.3776400834321976e+01) (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.5000000372529030e+01) (float-vector 2.5000099092721939e+01 -1.4694499783217907e+01 2.0225400105118752e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 7.7255200594663620e+00 2.3776400834321976e+01) (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.5000000372529030e+01) (float-vector -2.5000000372529030e+01 -7.7255200594663620e+00 2.3776400834321976e+01) (float-vector -2.5000000372529030e+01 7.7253300696611404e+00 2.3776400834321976e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 -1.8799999356269836e+02) (float-vector 2.5000099092721939e+01 -2.3776300251483917e+01 7.7254301868379116e+00) (float-vector 2.5000099092721939e+01 -1.4694499783217907e+01 2.0225400105118752e+01) (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.5000000372529030e+01) (float-vector 2.5000000372529030e+01 7.7255200594663620e+00 2.3776400834321976e+01) (float-vector 2.4999899789690971e+01 2.3776499554514885e+01 7.7254301868379116e+00) (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 -1.8799999356269836e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.4999899789690971e+01 2.3776499554514885e+01 7.7254301868379116e+00) (float-vector 2.5000000372529030e+01 7.7255200594663620e+00 2.3776400834321976e+01) (float-vector -2.5000000372529030e+01 7.7253300696611404e+00 2.3776400834321976e+01) (float-vector -2.5000099092721939e+01 2.3776300251483917e+01 7.7254301868379116e+00)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_LARM_LINK2_pnS71P.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_RARM_LINK4_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 1.000000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 2 3 0 1 0 6 6 0 7 5 7 0 0 3 5 4 2 1 1 6 4 3 2 4 3 4 5 4 7 5 6 7 4 8 9 10 8 14 9 8 16 14 8 18 16 8 20 18 8 22 20 8 24 22 8 26 24 8 29 30 8 34 29 8 36 34 8 38 36 8 40 38 8 42 40 8 44 42 8 46 44 8 48 46 8 50 48 8 54 50 8 10 54 42 44 45 44 47 45 44 46 47 46 49 47 46 48 49 48 51 49 48 50 52 50 55 56 50 54 55 13 57 55 54 12 55 13 55 12 10 11 12 13 12 11 54 10 12 10 9 11 9 15 11 13 11 15 9 14 15 14 17 15 13 15 17 14 16 17 16 19 17 13 17 19 16 18 19 18 21 19 13 19 21 18 20 21 20 23 21 13 21 23 20 22 23 22 25 23 13 23 25 22 24 25 24 27 25 13 25 27 24 28 27 31 32 27 13 27 32 33 29 32 29 35 32 13 32 35 29 34 35 34 37 35 13 35 37 34 36 37 36 39 37 13 37 39 36 38 39 38 41 39 13 39 41 38 40 41 40 43 41 13 41 43 40 42 43 42 45 43 13 43 45 13 45 47 13 47 49 13 49 53))
                   (list :vertices (let ((mat (make-matrix 58 3))) (fvector-replace (array-entity mat) #f(-2.5000000372529030e+01 -2.5000000372529030e+01 -1.7200000584125519e+02 -2.5000000372529030e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 2.5000000372529030e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 2.5000000372529030e+01 -1.7200000584125519e+02 2.5000000372529030e+01 2.5000000372529030e+01 -2.5000000372529030e+01 2.5000000372529030e+01 2.5000000372529030e+01 -1.7200000584125519e+02 2.5000000372529030e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 2.5000000372529030e+01 -2.5000000372529030e+01 -1.7200000584125519e+02 0.0000000000000000e+00 2.5000000372529030e+01 0.0000000000000000e+00 2.3776400834321976e+01 2.5000000372529030e+01 7.7254301868379116e+00 2.5000000372529030e+01 2.5000000372529030e+01 0.0000000000000000e+00 2.3776400834321976e+01 -2.5000000372529030e+01 7.7254301868379116e+00 2.5000000372529030e+01 -2.5000000372529030e+01 0.0000000000000000e+00 0.0000000000000000e+00 -2.5000000372529030e+01 0.0000000000000000e+00 2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 2.0225400105118752e+01 -2.5000000372529030e+01 1.4694600366055965e+01 1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01 1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01 7.7254301868379116e+00 2.5000000372529030e+01 2.3776400834321976e+01 7.7254301868379116e+00 -2.5000000372529030e+01 2.3776400834321976e+01 1.5308100132975318e-15 2.5000000372529030e+01 2.5000000372529030e+01 1.5308100132975318e-15 -2.5000000372529030e+01 2.5000000372529030e+01 -7.7254301868379116e+00 2.5000000372529030e+01 2.3776400834321976e+01 -7.7254301868379116e+00 -2.5000000372529030e+01 2.3776400834321976e+01 -1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01 -1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01 -2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 -2.0225400105118752e+01 -2.5000000372529030e+01 1.4694600366055965e+01 -2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 -2.3776400834321976e+01 2.5000000372529030e+01 7.7254301868379116e+00 -2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 -2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 -2.3776400834321976e+01 -2.5000000372529030e+01 7.7254301868379116e+00 -2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 -2.5000000372529030e+01 2.5000000372529030e+01 3.0616200265950636e-15 -2.5000000372529030e+01 -2.5000000372529030e+01 3.0616200265950636e-15 -2.3776400834321976e+01 2.5000000372529030e+01 -7.7254301868379116e+00 -2.3776400834321976e+01 -2.5000000372529030e+01 -7.7254301868379116e+00 -2.0225400105118752e+01 2.5000000372529030e+01 -1.4694600366055965e+01 -2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 -1.4694600366055965e+01 2.5000000372529030e+01 -2.0225400105118752e+01 -1.4694600366055965e+01 -2.5000000372529030e+01 -2.0225400105118752e+01 -7.7254301868379116e+00 2.5000000372529030e+01 -2.3776400834321976e+01 -7.7254301868379116e+00 -2.5000000372529030e+01 -2.3776400834321976e+01 -4.5924302466877485e-15 2.5000000372529030e+01 -2.5000000372529030e+01 -4.5924302466877485e-15 -2.5000000372529030e+01 -2.5000000372529030e+01 7.7254301868379116e+00 2.5000000372529030e+01 -2.3776400834321976e+01 7.7254301868379116e+00 -2.5000000372529030e+01 -2.3776400834321976e+01 1.4694600366055965e+01 2.5000000372529030e+01 -2.0225400105118752e+01 1.4694600366055965e+01 -2.5000000372529030e+01 -2.0225400105118752e+01 2.0225400105118752e+01 2.5000000372529030e+01 -1.4694600366055965e+01 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 2.3776400834321976e+01 2.5000000372529030e+01 -7.7254301868379116e+00 2.3776400834321976e+01 -2.5000000372529030e+01 -7.7254301868379116e+00 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 276 -> 9 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 -1.7200000584125519e+02) (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 -1.7200000584125519e+02) (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 -1.7200000584125519e+02) (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 -1.7200000584125519e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 -1.7200000584125519e+02) (float-vector -2.3776400834321976e+01 2.5000000372529030e+01 7.7254301868379116e+00) (float-vector -2.3776400834321976e+01 -2.5000000372529030e+01 7.7254301868379116e+00) (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 -1.7200000584125519e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 1.5308100132975318e-15 -2.5000000372529030e+01 2.5000000372529030e+01) (float-vector 1.5308100132975318e-15 2.5000000372529030e+01 2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 -1.7200000584125519e+02) (float-vector -2.3776400834321976e+01 -2.5000000372529030e+01 7.7254301868379116e+00) (float-vector -1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 1.5308100132975318e-15 -2.5000000372529030e+01 2.5000000372529030e+01) (float-vector 1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 2.3776400834321976e+01 -2.5000000372529030e+01 7.7254301868379116e+00) (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 -1.7200000584125519e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector -1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01) (float-vector -2.3776400834321976e+01 -2.5000000372529030e+01 7.7254301868379116e+00) (float-vector -2.3776400834321976e+01 2.5000000372529030e+01 7.7254301868379116e+00)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5308100132975318e-15 -2.5000000372529030e+01 2.5000000372529030e+01) (float-vector -1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01) (float-vector -1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 1.5308100132975318e-15 2.5000000372529030e+01 2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 1.5308100132975318e-15 2.5000000372529030e+01 2.5000000372529030e+01) (float-vector -1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector -2.3776400834321976e+01 2.5000000372529030e+01 7.7254301868379116e+00) (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 -1.7200000584125519e+02) (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 -1.7200000584125519e+02) (float-vector 2.3776400834321976e+01 2.5000000372529030e+01 7.7254301868379116e+00)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 2.3776400834321976e+01 2.5000000372529030e+01 7.7254301868379116e+00) (float-vector 2.3776400834321976e+01 -2.5000000372529030e+01 7.7254301868379116e+00) (float-vector 1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.3776400834321976e+01 2.5000000372529030e+01 7.7254301868379116e+00) (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 -1.7200000584125519e+02) (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 -1.7200000584125519e+02) (float-vector 2.3776400834321976e+01 -2.5000000372529030e+01 7.7254301868379116e+00)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_RARM_LINK4_4azEUP.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_RARM_LINK5_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 -2.4700000000000000e+02))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 0.800000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 0 6 1 0 8 6 0 10 8 0 12 10 0 14 12 0 16 14 0 18 16 0 20 18 0 22 20 0 24 22 0 26 24 0 28 26 0 30 28 0 32 30 0 34 32 0 36 34 0 38 36 0 40 38 0 2 40 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 38 40 41 40 4 41 40 2 4 2 3 4 2 1 3 5 4 3 5 41 4 5 39 41 5 37 39 5 35 37 5 33 35 5 3 7 5 7 9 5 9 11 5 11 13 5 13 15 5 15 17 5 17 19 5 19 21 5 21 23 5 23 25 5 25 27 5 27 29 5 29 31 5 31 33 22 25 23 22 24 25 24 27 25 24 26 27 26 29 27 26 28 29 28 31 29 28 30 31 30 33 31 20 22 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 12 14 15 14 17 15 10 12 13 12 15 13 8 10 11 10 13 11 6 8 9 8 11 9 1 6 7 6 9 7 1 7 3))
                   (list :vertices (let ((mat (make-matrix 42 3))) (fvector-replace (array-entity mat) #f(0.0000000000000000e+00 -9.1830102633139177e-05 3.2199999690055847e+02 2.3776400834321976e+01 -7.7255200594663620e+00 3.2199999690055847e+02 2.5000000372529030e+01 -9.1830102633139177e-05 3.2199999690055847e+02 2.3776400834321976e+01 -7.7253300696611404e+00 2.7200001478195190e+02 2.5000000372529030e+01 9.1830102633139177e-05 2.7200001478195190e+02 0.0000000000000000e+00 9.1830102633139177e-05 2.7200001478195190e+02 2.0225400105118752e+01 -1.4694700017571449e+01 3.2199999690055847e+02 2.0225400105118752e+01 -1.4694499783217907e+01 2.7200001478195190e+02 1.4694600366055965e+01 -2.0225500687956810e+01 3.2199999690055847e+02 1.4694600366055965e+01 -2.0225299522280693e+01 2.7200001478195190e+02 7.7254301868379116e+00 -2.3776499554514885e+01 3.2199999690055847e+02 7.7254301868379116e+00 -2.3776300251483917e+01 2.7200001478195190e+02 1.5308100132975318e-15 -2.5000099092721939e+01 3.2199999690055847e+02 1.5308100132975318e-15 -2.4999899789690971e+01 2.7200001478195190e+02 -7.7254301868379116e+00 -2.3776499554514885e+01 3.2199999690055847e+02 -7.7254301868379116e+00 -2.3776300251483917e+01 2.7200001478195190e+02 -1.4694600366055965e+01 -2.0225500687956810e+01 3.2199999690055847e+02 -1.4694600366055965e+01 -2.0225299522280693e+01 2.7200001478195190e+02 -2.0225400105118752e+01 -1.4694700017571449e+01 3.2199999690055847e+02 -2.0225400105118752e+01 -1.4694499783217907e+01 2.7200001478195190e+02 -2.3776400834321976e+01 -7.7255200594663620e+00 3.2199999690055847e+02 -2.3776400834321976e+01 -7.7253300696611404e+00 2.7200001478195190e+02 -2.5000000372529030e+01 -9.1830102633139177e-05 3.2199999690055847e+02 -2.5000000372529030e+01 9.1830102633139177e-05 2.7200001478195190e+02 -2.3776400834321976e+01 7.7253300696611404e+00 3.2199999690055847e+02 -2.3776400834321976e+01 7.7255200594663620e+00 2.7200001478195190e+02 -2.0225400105118752e+01 1.4694499783217907e+01 3.2199999690055847e+02 -2.0225400105118752e+01 1.4694700017571449e+01 2.7200001478195190e+02 -1.4694600366055965e+01 2.0225299522280693e+01 3.2199999690055847e+02 -1.4694600366055965e+01 2.0225500687956810e+01 2.7200001478195190e+02 -7.7254301868379116e+00 2.3776300251483917e+01 3.2199999690055847e+02 -7.7254301868379116e+00 2.3776499554514885e+01 2.7200001478195190e+02 -4.5924302466877485e-15 2.4999899789690971e+01 3.2199999690055847e+02 -4.5924302466877485e-15 2.5000099092721939e+01 2.7200001478195190e+02 7.7254301868379116e+00 2.3776300251483917e+01 3.2199999690055847e+02 7.7254301868379116e+00 2.3776499554514885e+01 2.7200001478195190e+02 1.4694600366055965e+01 2.0225299522280693e+01 3.2199999690055847e+02 1.4694600366055965e+01 2.0225500687956810e+01 2.7200001478195190e+02 2.0225400105118752e+01 1.4694499783217907e+01 3.2199999690055847e+02 2.0225400105118752e+01 1.4694700017571449e+01 2.7200001478195190e+02 2.3776400834321976e+01 7.7253300696611404e+00 3.2199999690055847e+02 2.3776400834321976e+01 7.7255200594663620e+00 2.7200001478195190e+02 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 240 -> 14 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.0225400105118752e+01 -1.4694499783217907e+01 2.7200001478195190e+02) (float-vector -2.5000000372529030e+01 9.1830102633139177e-05 2.7200001478195190e+02) (float-vector -2.5000000372529030e+01 -9.1830102633139177e-05 3.2199999690055847e+02) (float-vector -2.0225400105118752e+01 -1.4694700017571449e+01 3.2199999690055847e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.4694600366055965e+01 2.0225500687956810e+01 2.7200001478195190e+02) (float-vector -4.5924302466877485e-15 2.5000099092721939e+01 2.7200001478195190e+02) (float-vector -4.5924302466877485e-15 2.4999899789690971e+01 3.2199999690055847e+02) (float-vector -1.4694600366055965e+01 2.0225299522280693e+01 3.2199999690055847e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.0225400105118752e+01 1.4694700017571449e+01 2.7200001478195190e+02) (float-vector 2.3776400834321976e+01 7.7253300696611404e+00 3.2199999690055847e+02) (float-vector 1.4694600366055965e+01 2.0225299522280693e+01 3.2199999690055847e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 7.7254301868379116e+00 2.3776499554514885e+01 2.7200001478195190e+02) (float-vector 2.0225400105118752e+01 1.4694700017571449e+01 2.7200001478195190e+02) (float-vector 1.4694600366055965e+01 2.0225299522280693e+01 3.2199999690055847e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.5924302466877485e-15 2.5000099092721939e+01 2.7200001478195190e+02) (float-vector 7.7254301868379116e+00 2.3776499554514885e+01 2.7200001478195190e+02) (float-vector 1.4694600366055965e+01 2.0225299522280693e+01 3.2199999690055847e+02) (float-vector -4.5924302466877485e-15 2.4999899789690971e+01 3.2199999690055847e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.4694600366055965e+01 2.0225299522280693e+01 3.2199999690055847e+02) (float-vector -2.5000000372529030e+01 -9.1830102633139177e-05 3.2199999690055847e+02) (float-vector -2.5000000372529030e+01 9.1830102633139177e-05 2.7200001478195190e+02) (float-vector -1.4694600366055965e+01 2.0225500687956810e+01 2.7200001478195190e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 -9.1830102633139177e-05 3.2199999690055847e+02) (float-vector -1.4694600366055965e+01 2.0225299522280693e+01 3.2199999690055847e+02) (float-vector -4.5924302466877485e-15 2.4999899789690971e+01 3.2199999690055847e+02) (float-vector 1.4694600366055965e+01 2.0225299522280693e+01 3.2199999690055847e+02) (float-vector 2.3776400834321976e+01 7.7253300696611404e+00 3.2199999690055847e+02) (float-vector 2.5000000372529030e+01 -9.1830102633139177e-05 3.2199999690055847e+02) (float-vector 2.0225400105118752e+01 -1.4694700017571449e+01 3.2199999690055847e+02) (float-vector 7.7254301868379116e+00 -2.3776499554514885e+01 3.2199999690055847e+02) (float-vector 1.5308100132975318e-15 -2.5000099092721939e+01 3.2199999690055847e+02) (float-vector -2.0225400105118752e+01 -1.4694700017571449e+01 3.2199999690055847e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5308100132975318e-15 -2.4999899789690971e+01 2.7200001478195190e+02) (float-vector -2.0225400105118752e+01 -1.4694499783217907e+01 2.7200001478195190e+02) (float-vector -2.0225400105118752e+01 -1.4694700017571449e+01 3.2199999690055847e+02) (float-vector 1.5308100132975318e-15 -2.5000099092721939e+01 3.2199999690055847e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.7200001478195190e+02) (float-vector 2.3776400834321976e+01 -7.7253300696611404e+00 2.7200001478195190e+02) (float-vector 2.0225400105118752e+01 -1.4694700017571449e+01 3.2199999690055847e+02) (float-vector 2.5000000372529030e+01 -9.1830102633139177e-05 3.2199999690055847e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -9.1830102633139177e-05 3.2199999690055847e+02) (float-vector 2.3776400834321976e+01 7.7253300696611404e+00 3.2199999690055847e+02) (float-vector 2.0225400105118752e+01 1.4694700017571449e+01 2.7200001478195190e+02) (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.7200001478195190e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 -2.0225299522280693e+01 2.7200001478195190e+02) (float-vector 7.7254301868379116e+00 -2.3776499554514885e+01 3.2199999690055847e+02) (float-vector 2.0225400105118752e+01 -1.4694700017571449e+01 3.2199999690055847e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 -2.0225299522280693e+01 2.7200001478195190e+02) (float-vector 2.0225400105118752e+01 -1.4694700017571449e+01 3.2199999690055847e+02) (float-vector 2.3776400834321976e+01 -7.7253300696611404e+00 2.7200001478195190e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 9.1830102633139177e-05 2.7200001478195190e+02) (float-vector -2.0225400105118752e+01 -1.4694499783217907e+01 2.7200001478195190e+02) (float-vector 1.5308100132975318e-15 -2.4999899789690971e+01 2.7200001478195190e+02) (float-vector 1.4694600366055965e+01 -2.0225299522280693e+01 2.7200001478195190e+02) (float-vector 2.3776400834321976e+01 -7.7253300696611404e+00 2.7200001478195190e+02) (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.7200001478195190e+02) (float-vector 2.0225400105118752e+01 1.4694700017571449e+01 2.7200001478195190e+02) (float-vector 7.7254301868379116e+00 2.3776499554514885e+01 2.7200001478195190e+02) (float-vector -4.5924302466877485e-15 2.5000099092721939e+01 2.7200001478195190e+02) (float-vector -1.4694600366055965e+01 2.0225500687956810e+01 2.7200001478195190e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5308100132975318e-15 -2.5000099092721939e+01 3.2199999690055847e+02) (float-vector 7.7254301868379116e+00 -2.3776499554514885e+01 3.2199999690055847e+02) (float-vector 1.4694600366055965e+01 -2.0225299522280693e+01 2.7200001478195190e+02) (float-vector 1.5308100132975318e-15 -2.4999899789690971e+01 2.7200001478195190e+02)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_RARM_LINK5_n7OsJe.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_LARM_LINK3_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 -2.6300000000000000e+02))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 0.800000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 0 6 1 0 8 6 0 10 8 0 12 10 0 14 12 0 16 14 0 18 16 0 20 18 0 22 20 0 24 22 0 26 24 0 28 26 0 30 28 0 32 30 0 34 32 0 36 34 0 38 36 0 40 38 0 2 40 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 38 40 41 40 4 41 40 2 4 2 3 4 2 1 3 5 4 3 5 41 4 5 39 41 5 37 39 5 35 37 5 33 35 5 3 7 5 7 9 5 9 11 5 11 13 5 13 15 5 15 17 5 17 19 5 19 21 5 21 23 5 23 25 5 25 27 5 27 29 5 29 31 5 31 33 22 25 23 22 24 25 24 27 25 24 26 27 26 29 27 26 28 29 28 31 29 28 30 31 30 33 31 20 22 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 12 14 15 14 17 15 10 12 13 12 15 13 8 10 11 10 13 11 6 8 9 8 11 9 1 6 7 6 9 7 1 7 3))
                   (list :vertices (let ((mat (make-matrix 42 3))) (fvector-replace (array-entity mat) #f(0.0000000000000000e+00 -9.1830102633139177e-05 3.3799999952316284e+02 2.3776400834321976e+01 -7.7255200594663620e+00 3.3799999952316284e+02 2.5000000372529030e+01 -9.1830102633139177e-05 3.3799999952316284e+02 2.3776400834321976e+01 -7.7253300696611404e+00 2.8799998760223389e+02 2.5000000372529030e+01 9.1830102633139177e-05 2.8799998760223389e+02 0.0000000000000000e+00 9.1830102633139177e-05 2.8799998760223389e+02 2.0225400105118752e+01 -1.4694700017571449e+01 3.3799999952316284e+02 2.0225400105118752e+01 -1.4694499783217907e+01 2.8799998760223389e+02 1.4694600366055965e+01 -2.0225500687956810e+01 3.3799999952316284e+02 1.4694600366055965e+01 -2.0225299522280693e+01 2.8799998760223389e+02 7.7254301868379116e+00 -2.3776499554514885e+01 3.3799999952316284e+02 7.7254301868379116e+00 -2.3776300251483917e+01 2.8799998760223389e+02 1.5308100132975318e-15 -2.5000099092721939e+01 3.3799999952316284e+02 1.5308100132975318e-15 -2.4999899789690971e+01 2.8799998760223389e+02 -7.7254301868379116e+00 -2.3776499554514885e+01 3.3799999952316284e+02 -7.7254301868379116e+00 -2.3776300251483917e+01 2.8799998760223389e+02 -1.4694600366055965e+01 -2.0225500687956810e+01 3.3799999952316284e+02 -1.4694600366055965e+01 -2.0225299522280693e+01 2.8799998760223389e+02 -2.0225400105118752e+01 -1.4694700017571449e+01 3.3799999952316284e+02 -2.0225400105118752e+01 -1.4694499783217907e+01 2.8799998760223389e+02 -2.3776400834321976e+01 -7.7255200594663620e+00 3.3799999952316284e+02 -2.3776400834321976e+01 -7.7253300696611404e+00 2.8799998760223389e+02 -2.5000000372529030e+01 -9.1830102633139177e-05 3.3799999952316284e+02 -2.5000000372529030e+01 9.1830102633139177e-05 2.8799998760223389e+02 -2.3776400834321976e+01 7.7253300696611404e+00 3.3799999952316284e+02 -2.3776400834321976e+01 7.7255200594663620e+00 2.8799998760223389e+02 -2.0225400105118752e+01 1.4694499783217907e+01 3.3799999952316284e+02 -2.0225400105118752e+01 1.4694700017571449e+01 2.8799998760223389e+02 -1.4694600366055965e+01 2.0225299522280693e+01 3.3799999952316284e+02 -1.4694600366055965e+01 2.0225500687956810e+01 2.8799998760223389e+02 -7.7254301868379116e+00 2.3776300251483917e+01 3.3799999952316284e+02 -7.7254301868379116e+00 2.3776499554514885e+01 2.8799998760223389e+02 -4.5924302466877485e-15 2.4999899789690971e+01 3.3799999952316284e+02 -4.5924302466877485e-15 2.5000099092721939e+01 2.8799998760223389e+02 7.7254301868379116e+00 2.3776300251483917e+01 3.3799999952316284e+02 7.7254301868379116e+00 2.3776499554514885e+01 2.8799998760223389e+02 1.4694600366055965e+01 2.0225299522280693e+01 3.3799999952316284e+02 1.4694600366055965e+01 2.0225500687956810e+01 2.8799998760223389e+02 2.0225400105118752e+01 1.4694499783217907e+01 3.3799999952316284e+02 2.0225400105118752e+01 1.4694700017571449e+01 2.8799998760223389e+02 2.3776400834321976e+01 7.7253300696611404e+00 3.3799999952316284e+02 2.3776400834321976e+01 7.7255200594663620e+00 2.8799998760223389e+02 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 240 -> 14 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.0225400105118752e+01 -1.4694499783217907e+01 2.8799998760223389e+02) (float-vector -2.5000000372529030e+01 9.1830102633139177e-05 2.8799998760223389e+02) (float-vector -2.5000000372529030e+01 -9.1830102633139177e-05 3.3799999952316284e+02) (float-vector -2.0225400105118752e+01 -1.4694700017571449e+01 3.3799999952316284e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.4694600366055965e+01 2.0225500687956810e+01 2.8799998760223389e+02) (float-vector -4.5924302466877485e-15 2.5000099092721939e+01 2.8799998760223389e+02) (float-vector -4.5924302466877485e-15 2.4999899789690971e+01 3.3799999952316284e+02) (float-vector -1.4694600366055965e+01 2.0225299522280693e+01 3.3799999952316284e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.0225400105118752e+01 1.4694700017571449e+01 2.8799998760223389e+02) (float-vector 2.3776400834321976e+01 7.7253300696611404e+00 3.3799999952316284e+02) (float-vector 1.4694600366055965e+01 2.0225299522280693e+01 3.3799999952316284e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 7.7254301868379116e+00 2.3776499554514885e+01 2.8799998760223389e+02) (float-vector 2.0225400105118752e+01 1.4694700017571449e+01 2.8799998760223389e+02) (float-vector 1.4694600366055965e+01 2.0225299522280693e+01 3.3799999952316284e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.5924302466877485e-15 2.5000099092721939e+01 2.8799998760223389e+02) (float-vector 7.7254301868379116e+00 2.3776499554514885e+01 2.8799998760223389e+02) (float-vector 1.4694600366055965e+01 2.0225299522280693e+01 3.3799999952316284e+02) (float-vector -4.5924302466877485e-15 2.4999899789690971e+01 3.3799999952316284e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.4694600366055965e+01 2.0225299522280693e+01 3.3799999952316284e+02) (float-vector -2.5000000372529030e+01 -9.1830102633139177e-05 3.3799999952316284e+02) (float-vector -2.5000000372529030e+01 9.1830102633139177e-05 2.8799998760223389e+02) (float-vector -1.4694600366055965e+01 2.0225500687956810e+01 2.8799998760223389e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 -9.1830102633139177e-05 3.3799999952316284e+02) (float-vector -1.4694600366055965e+01 2.0225299522280693e+01 3.3799999952316284e+02) (float-vector -4.5924302466877485e-15 2.4999899789690971e+01 3.3799999952316284e+02) (float-vector 1.4694600366055965e+01 2.0225299522280693e+01 3.3799999952316284e+02) (float-vector 2.3776400834321976e+01 7.7253300696611404e+00 3.3799999952316284e+02) (float-vector 2.5000000372529030e+01 -9.1830102633139177e-05 3.3799999952316284e+02) (float-vector 2.0225400105118752e+01 -1.4694700017571449e+01 3.3799999952316284e+02) (float-vector 7.7254301868379116e+00 -2.3776499554514885e+01 3.3799999952316284e+02) (float-vector 1.5308100132975318e-15 -2.5000099092721939e+01 3.3799999952316284e+02) (float-vector -2.0225400105118752e+01 -1.4694700017571449e+01 3.3799999952316284e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5308100132975318e-15 -2.4999899789690971e+01 2.8799998760223389e+02) (float-vector -2.0225400105118752e+01 -1.4694499783217907e+01 2.8799998760223389e+02) (float-vector -2.0225400105118752e+01 -1.4694700017571449e+01 3.3799999952316284e+02) (float-vector 1.5308100132975318e-15 -2.5000099092721939e+01 3.3799999952316284e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.8799998760223389e+02) (float-vector 2.3776400834321976e+01 -7.7253300696611404e+00 2.8799998760223389e+02) (float-vector 2.0225400105118752e+01 -1.4694700017571449e+01 3.3799999952316284e+02) (float-vector 2.5000000372529030e+01 -9.1830102633139177e-05 3.3799999952316284e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -9.1830102633139177e-05 3.3799999952316284e+02) (float-vector 2.3776400834321976e+01 7.7253300696611404e+00 3.3799999952316284e+02) (float-vector 2.0225400105118752e+01 1.4694700017571449e+01 2.8799998760223389e+02) (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.8799998760223389e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 -2.0225299522280693e+01 2.8799998760223389e+02) (float-vector 7.7254301868379116e+00 -2.3776499554514885e+01 3.3799999952316284e+02) (float-vector 2.0225400105118752e+01 -1.4694700017571449e+01 3.3799999952316284e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 -2.0225299522280693e+01 2.8799998760223389e+02) (float-vector 2.0225400105118752e+01 -1.4694700017571449e+01 3.3799999952316284e+02) (float-vector 2.3776400834321976e+01 -7.7253300696611404e+00 2.8799998760223389e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 9.1830102633139177e-05 2.8799998760223389e+02) (float-vector -2.0225400105118752e+01 -1.4694499783217907e+01 2.8799998760223389e+02) (float-vector 1.5308100132975318e-15 -2.4999899789690971e+01 2.8799998760223389e+02) (float-vector 1.4694600366055965e+01 -2.0225299522280693e+01 2.8799998760223389e+02) (float-vector 2.3776400834321976e+01 -7.7253300696611404e+00 2.8799998760223389e+02) (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.8799998760223389e+02) (float-vector 2.0225400105118752e+01 1.4694700017571449e+01 2.8799998760223389e+02) (float-vector 7.7254301868379116e+00 2.3776499554514885e+01 2.8799998760223389e+02) (float-vector -4.5924302466877485e-15 2.5000099092721939e+01 2.8799998760223389e+02) (float-vector -1.4694600366055965e+01 2.0225500687956810e+01 2.8799998760223389e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5308100132975318e-15 -2.5000099092721939e+01 3.3799999952316284e+02) (float-vector 7.7254301868379116e+00 -2.3776499554514885e+01 3.3799999952316284e+02) (float-vector 1.4694600366055965e+01 -2.0225299522280693e+01 2.8799998760223389e+02) (float-vector 1.5308100132975318e-15 -2.4999899789690971e+01 2.8799998760223389e+02)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_LARM_LINK3_2ocGRe.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_RARM_LINK3_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 -2.6300000000000000e+02))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 0.800000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 0 6 1 0 8 6 0 10 8 0 12 10 0 14 12 0 16 14 0 18 16 0 20 18 0 22 20 0 24 22 0 26 24 0 28 26 0 30 28 0 32 30 0 34 32 0 36 34 0 38 36 0 40 38 0 2 40 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 38 40 41 40 4 41 40 2 4 2 3 4 2 1 3 5 4 3 5 41 4 5 39 41 5 37 39 5 35 37 5 33 35 5 3 7 5 7 9 5 9 11 5 11 13 5 13 15 5 15 17 5 17 19 5 19 21 5 21 23 5 23 25 5 25 27 5 27 29 5 29 31 5 31 33 22 25 23 22 24 25 24 27 25 24 26 27 26 29 27 26 28 29 28 31 29 28 30 31 30 33 31 20 22 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 12 14 15 14 17 15 10 12 13 12 15 13 8 10 11 10 13 11 6 8 9 8 11 9 1 6 7 6 9 7 1 7 3))
                   (list :vertices (let ((mat (make-matrix 42 3))) (fvector-replace (array-entity mat) #f(0.0000000000000000e+00 -9.1830102633139177e-05 3.3799999952316284e+02 2.3776400834321976e+01 -7.7255200594663620e+00 3.3799999952316284e+02 2.5000000372529030e+01 -9.1830102633139177e-05 3.3799999952316284e+02 2.3776400834321976e+01 -7.7253300696611404e+00 2.8799998760223389e+02 2.5000000372529030e+01 9.1830102633139177e-05 2.8799998760223389e+02 0.0000000000000000e+00 9.1830102633139177e-05 2.8799998760223389e+02 2.0225400105118752e+01 -1.4694700017571449e+01 3.3799999952316284e+02 2.0225400105118752e+01 -1.4694499783217907e+01 2.8799998760223389e+02 1.4694600366055965e+01 -2.0225500687956810e+01 3.3799999952316284e+02 1.4694600366055965e+01 -2.0225299522280693e+01 2.8799998760223389e+02 7.7254301868379116e+00 -2.3776499554514885e+01 3.3799999952316284e+02 7.7254301868379116e+00 -2.3776300251483917e+01 2.8799998760223389e+02 1.5308100132975318e-15 -2.5000099092721939e+01 3.3799999952316284e+02 1.5308100132975318e-15 -2.4999899789690971e+01 2.8799998760223389e+02 -7.7254301868379116e+00 -2.3776499554514885e+01 3.3799999952316284e+02 -7.7254301868379116e+00 -2.3776300251483917e+01 2.8799998760223389e+02 -1.4694600366055965e+01 -2.0225500687956810e+01 3.3799999952316284e+02 -1.4694600366055965e+01 -2.0225299522280693e+01 2.8799998760223389e+02 -2.0225400105118752e+01 -1.4694700017571449e+01 3.3799999952316284e+02 -2.0225400105118752e+01 -1.4694499783217907e+01 2.8799998760223389e+02 -2.3776400834321976e+01 -7.7255200594663620e+00 3.3799999952316284e+02 -2.3776400834321976e+01 -7.7253300696611404e+00 2.8799998760223389e+02 -2.5000000372529030e+01 -9.1830102633139177e-05 3.3799999952316284e+02 -2.5000000372529030e+01 9.1830102633139177e-05 2.8799998760223389e+02 -2.3776400834321976e+01 7.7253300696611404e+00 3.3799999952316284e+02 -2.3776400834321976e+01 7.7255200594663620e+00 2.8799998760223389e+02 -2.0225400105118752e+01 1.4694499783217907e+01 3.3799999952316284e+02 -2.0225400105118752e+01 1.4694700017571449e+01 2.8799998760223389e+02 -1.4694600366055965e+01 2.0225299522280693e+01 3.3799999952316284e+02 -1.4694600366055965e+01 2.0225500687956810e+01 2.8799998760223389e+02 -7.7254301868379116e+00 2.3776300251483917e+01 3.3799999952316284e+02 -7.7254301868379116e+00 2.3776499554514885e+01 2.8799998760223389e+02 -4.5924302466877485e-15 2.4999899789690971e+01 3.3799999952316284e+02 -4.5924302466877485e-15 2.5000099092721939e+01 2.8799998760223389e+02 7.7254301868379116e+00 2.3776300251483917e+01 3.3799999952316284e+02 7.7254301868379116e+00 2.3776499554514885e+01 2.8799998760223389e+02 1.4694600366055965e+01 2.0225299522280693e+01 3.3799999952316284e+02 1.4694600366055965e+01 2.0225500687956810e+01 2.8799998760223389e+02 2.0225400105118752e+01 1.4694499783217907e+01 3.3799999952316284e+02 2.0225400105118752e+01 1.4694700017571449e+01 2.8799998760223389e+02 2.3776400834321976e+01 7.7253300696611404e+00 3.3799999952316284e+02 2.3776400834321976e+01 7.7255200594663620e+00 2.8799998760223389e+02 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 240 -> 14 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.0225400105118752e+01 -1.4694499783217907e+01 2.8799998760223389e+02) (float-vector -2.5000000372529030e+01 9.1830102633139177e-05 2.8799998760223389e+02) (float-vector -2.5000000372529030e+01 -9.1830102633139177e-05 3.3799999952316284e+02) (float-vector -2.0225400105118752e+01 -1.4694700017571449e+01 3.3799999952316284e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.4694600366055965e+01 2.0225500687956810e+01 2.8799998760223389e+02) (float-vector -4.5924302466877485e-15 2.5000099092721939e+01 2.8799998760223389e+02) (float-vector -4.5924302466877485e-15 2.4999899789690971e+01 3.3799999952316284e+02) (float-vector -1.4694600366055965e+01 2.0225299522280693e+01 3.3799999952316284e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.0225400105118752e+01 1.4694700017571449e+01 2.8799998760223389e+02) (float-vector 2.3776400834321976e+01 7.7253300696611404e+00 3.3799999952316284e+02) (float-vector 1.4694600366055965e+01 2.0225299522280693e+01 3.3799999952316284e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 7.7254301868379116e+00 2.3776499554514885e+01 2.8799998760223389e+02) (float-vector 2.0225400105118752e+01 1.4694700017571449e+01 2.8799998760223389e+02) (float-vector 1.4694600366055965e+01 2.0225299522280693e+01 3.3799999952316284e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.5924302466877485e-15 2.5000099092721939e+01 2.8799998760223389e+02) (float-vector 7.7254301868379116e+00 2.3776499554514885e+01 2.8799998760223389e+02) (float-vector 1.4694600366055965e+01 2.0225299522280693e+01 3.3799999952316284e+02) (float-vector -4.5924302466877485e-15 2.4999899789690971e+01 3.3799999952316284e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.4694600366055965e+01 2.0225299522280693e+01 3.3799999952316284e+02) (float-vector -2.5000000372529030e+01 -9.1830102633139177e-05 3.3799999952316284e+02) (float-vector -2.5000000372529030e+01 9.1830102633139177e-05 2.8799998760223389e+02) (float-vector -1.4694600366055965e+01 2.0225500687956810e+01 2.8799998760223389e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 -9.1830102633139177e-05 3.3799999952316284e+02) (float-vector -1.4694600366055965e+01 2.0225299522280693e+01 3.3799999952316284e+02) (float-vector -4.5924302466877485e-15 2.4999899789690971e+01 3.3799999952316284e+02) (float-vector 1.4694600366055965e+01 2.0225299522280693e+01 3.3799999952316284e+02) (float-vector 2.3776400834321976e+01 7.7253300696611404e+00 3.3799999952316284e+02) (float-vector 2.5000000372529030e+01 -9.1830102633139177e-05 3.3799999952316284e+02) (float-vector 2.0225400105118752e+01 -1.4694700017571449e+01 3.3799999952316284e+02) (float-vector 7.7254301868379116e+00 -2.3776499554514885e+01 3.3799999952316284e+02) (float-vector 1.5308100132975318e-15 -2.5000099092721939e+01 3.3799999952316284e+02) (float-vector -2.0225400105118752e+01 -1.4694700017571449e+01 3.3799999952316284e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5308100132975318e-15 -2.4999899789690971e+01 2.8799998760223389e+02) (float-vector -2.0225400105118752e+01 -1.4694499783217907e+01 2.8799998760223389e+02) (float-vector -2.0225400105118752e+01 -1.4694700017571449e+01 3.3799999952316284e+02) (float-vector 1.5308100132975318e-15 -2.5000099092721939e+01 3.3799999952316284e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.8799998760223389e+02) (float-vector 2.3776400834321976e+01 -7.7253300696611404e+00 2.8799998760223389e+02) (float-vector 2.0225400105118752e+01 -1.4694700017571449e+01 3.3799999952316284e+02) (float-vector 2.5000000372529030e+01 -9.1830102633139177e-05 3.3799999952316284e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -9.1830102633139177e-05 3.3799999952316284e+02) (float-vector 2.3776400834321976e+01 7.7253300696611404e+00 3.3799999952316284e+02) (float-vector 2.0225400105118752e+01 1.4694700017571449e+01 2.8799998760223389e+02) (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.8799998760223389e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 -2.0225299522280693e+01 2.8799998760223389e+02) (float-vector 7.7254301868379116e+00 -2.3776499554514885e+01 3.3799999952316284e+02) (float-vector 2.0225400105118752e+01 -1.4694700017571449e+01 3.3799999952316284e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 -2.0225299522280693e+01 2.8799998760223389e+02) (float-vector 2.0225400105118752e+01 -1.4694700017571449e+01 3.3799999952316284e+02) (float-vector 2.3776400834321976e+01 -7.7253300696611404e+00 2.8799998760223389e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 9.1830102633139177e-05 2.8799998760223389e+02) (float-vector -2.0225400105118752e+01 -1.4694499783217907e+01 2.8799998760223389e+02) (float-vector 1.5308100132975318e-15 -2.4999899789690971e+01 2.8799998760223389e+02) (float-vector 1.4694600366055965e+01 -2.0225299522280693e+01 2.8799998760223389e+02) (float-vector 2.3776400834321976e+01 -7.7253300696611404e+00 2.8799998760223389e+02) (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.8799998760223389e+02) (float-vector 2.0225400105118752e+01 1.4694700017571449e+01 2.8799998760223389e+02) (float-vector 7.7254301868379116e+00 2.3776499554514885e+01 2.8799998760223389e+02) (float-vector -4.5924302466877485e-15 2.5000099092721939e+01 2.8799998760223389e+02) (float-vector -1.4694600366055965e+01 2.0225500687956810e+01 2.8799998760223389e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5308100132975318e-15 -2.5000099092721939e+01 3.3799999952316284e+02) (float-vector 7.7254301868379116e+00 -2.3776499554514885e+01 3.3799999952316284e+02) (float-vector 1.4694600366055965e+01 -2.0225299522280693e+01 2.8799998760223389e+02) (float-vector 1.5308100132975318e-15 -2.4999899789690971e+01 2.8799998760223389e+02)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_RARM_LINK3_zVYV5q.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_RLEG_LINK3_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 -3.5350000000000000e+02))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 0.900000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 2 3 0 1 0 6 6 0 7 5 7 0 0 3 5 4 2 1 1 6 4 3 2 4 3 4 5 4 7 5 6 7 4 8 9 10 8 14 9 8 16 14 8 18 16 8 20 18 8 22 20 8 24 22 8 26 24 8 28 26 8 30 28 8 32 30 8 34 32 8 36 34 8 38 36 8 40 38 8 42 40 8 44 42 8 46 44 8 48 46 8 10 48 38 40 41 40 43 41 40 42 43 42 45 43 42 44 45 44 47 45 44 46 47 46 49 47 46 48 49 48 12 49 48 10 12 10 11 12 10 9 11 13 12 11 13 49 12 13 47 49 13 45 47 13 43 45 13 41 43 13 11 15 13 15 17 13 17 19 13 19 21 13 21 23 13 23 25 13 25 27 13 27 29 13 29 31 13 31 33 13 33 35 13 35 37 13 37 39 13 39 41 30 33 31 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 28 30 31 26 28 29 28 31 29 24 26 27 26 29 27 22 24 25 24 27 25 20 22 23 22 25 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 9 14 15 14 17 15 9 15 11))
                   (list :vertices (let ((mat (make-matrix 50 3))) (fvector-replace (array-entity mat) #f(-5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02 -5.0000000745058060e+01 -5.0000000745058060e+01 6.5700000524520874e+02 -5.0000000745058060e+01 5.0000000745058060e+01 6.5700000524520874e+02 -5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02 5.0000000745058060e+01 5.0000000745058060e+01 6.5700000524520874e+02 5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02 5.0000000745058060e+01 -5.0000000745058060e+01 6.5700000524520874e+02 5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02 0.0000000000000000e+00 -1.8366000631431234e-04 5.0349998474121094e+02 4.7552801668643951e+01 -1.5451000072062016e+01 5.0349998474121094e+02 5.0000000745058060e+01 -1.8366000631431234e-04 5.0349998474121094e+02 4.7552801668643951e+01 -1.5450700186192989e+01 4.0349999070167542e+02 5.0000000745058060e+01 1.8366000631431234e-04 4.0349999070167542e+02 0.0000000000000000e+00 1.8366000631431234e-04 4.0349999070167542e+02 4.0450800210237503e+01 -2.9389400035142899e+01 5.0349998474121094e+02 4.0450800210237503e+01 -2.9389100149273872e+01 4.0349999070167542e+02 2.9389299452304840e+01 -4.0451001375913620e+01 5.0349998474121094e+02 2.9389299452304840e+01 -4.0450699627399445e+01 4.0349999070167542e+02 1.5450900420546532e+01 -4.7552999109029770e+01 5.0349998474121094e+02 1.5450900420546532e+01 -4.7552600502967834e+01 4.0349999070167542e+02 3.0616200265950636e-15 -5.0000198185443878e+01 5.0349998474121094e+02 3.0616200265950636e-15 -4.9999799579381943e+01 4.0349999070167542e+02 -1.5450900420546532e+01 -4.7552999109029770e+01 5.0349998474121094e+02 -1.5450900420546532e+01 -4.7552600502967834e+01 4.0349999070167542e+02 -2.9389299452304840e+01 -4.0451001375913620e+01 5.0349998474121094e+02 -2.9389299452304840e+01 -4.0450699627399445e+01 4.0349999070167542e+02 -4.0450800210237503e+01 -2.9389400035142899e+01 5.0349998474121094e+02 -4.0450800210237503e+01 -2.9389100149273872e+01 4.0349999070167542e+02 -4.7552801668643951e+01 -1.5451000072062016e+01 5.0349998474121094e+02 -4.7552801668643951e+01 -1.5450700186192989e+01 4.0349999070167542e+02 -5.0000000745058060e+01 -1.8366000631431234e-04 5.0349998474121094e+02 -5.0000000745058060e+01 1.8366000631431234e-04 4.0349999070167542e+02 -4.7552801668643951e+01 1.5450700186192989e+01 5.0349998474121094e+02 -4.7552801668643951e+01 1.5451000072062016e+01 4.0349999070167542e+02 -4.0450800210237503e+01 2.9389100149273872e+01 5.0349998474121094e+02 -4.0450800210237503e+01 2.9389400035142899e+01 4.0349999070167542e+02 -2.9389299452304840e+01 4.0450699627399445e+01 5.0349998474121094e+02 -2.9389299452304840e+01 4.0451001375913620e+01 4.0349999070167542e+02 -1.5450900420546532e+01 4.7552600502967834e+01 5.0349998474121094e+02 -1.5450900420546532e+01 4.7552999109029770e+01 4.0349999070167542e+02 -9.1848497400275338e-15 4.9999799579381943e+01 5.0349998474121094e+02 -9.1848497400275338e-15 5.0000198185443878e+01 4.0349999070167542e+02 1.5450900420546532e+01 4.7552600502967834e+01 5.0349998474121094e+02 1.5450900420546532e+01 4.7552999109029770e+01 4.0349999070167542e+02 2.9389299452304840e+01 4.0450699627399445e+01 5.0349998474121094e+02 2.9389299452304840e+01 4.0451001375913620e+01 4.0349999070167542e+02 4.0450800210237503e+01 2.9389100149273872e+01 5.0349998474121094e+02 4.0450800210237503e+01 2.9389400035142899e+01 4.0349999070167542e+02 4.7552801668643951e+01 1.5450700186192989e+01 5.0349998474121094e+02 4.7552801668643951e+01 1.5451000072062016e+01 4.0349999070167542e+02 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 276 -> 18 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 6.5700000524520874e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 6.5700000524520874e+02) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 6.5700000524520874e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 6.5700000524520874e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.5450900420546532e+01 -4.7552600502967834e+01 4.0349999070167542e+02) (float-vector -2.9389299452304840e+01 -4.0450699627399445e+01 4.0349999070167542e+02) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 6.5700000524520874e+02) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02) (float-vector 4.7552801668643951e+01 1.5451000072062016e+01 4.0349999070167542e+02) (float-vector 4.7552801668643951e+01 -1.5450700186192989e+01 4.0349999070167542e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 6.5700000524520874e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.7552801668643951e+01 -1.5450700186192989e+01 4.0349999070167542e+02) (float-vector 4.0450800210237503e+01 -2.9389100149273872e+01 4.0349999070167542e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02) (float-vector 4.0450800210237503e+01 -2.9389100149273872e+01 4.0349999070167542e+02) (float-vector 2.9389299452304840e+01 -4.0450699627399445e+01 4.0349999070167542e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.0450800210237503e+01 -2.9389100149273872e+01 4.0349999070167542e+02) (float-vector -4.7552801668643951e+01 -1.5450700186192989e+01 4.0349999070167542e+02) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.9389299452304840e+01 -4.0450699627399445e+01 4.0349999070167542e+02) (float-vector -4.0450800210237503e+01 -2.9389100149273872e+01 4.0349999070167542e+02) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5450900420546532e+01 -4.7552600502967834e+01 4.0349999070167542e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02) (float-vector 2.9389299452304840e+01 -4.0450699627399445e+01 4.0349999070167542e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02) (float-vector 1.5450900420546532e+01 -4.7552600502967834e+01 4.0349999070167542e+02) (float-vector -1.5450900420546532e+01 -4.7552600502967834e+01 4.0349999070167542e+02) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 6.5700000524520874e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 6.5700000524520874e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.0450800210237503e+01 2.9389400035142899e+01 4.0349999070167542e+02) (float-vector -2.9389299452304840e+01 4.0451001375913620e+01 4.0349999070167542e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5450900420546532e+01 4.7552999109029770e+01 4.0349999070167542e+02) (float-vector 2.9389299452304840e+01 4.0451001375913620e+01 4.0349999070167542e+02) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02) (float-vector 4.0450800210237503e+01 2.9389400035142899e+01 4.0349999070167542e+02) (float-vector 4.7552801668643951e+01 1.5451000072062016e+01 4.0349999070167542e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.9389299452304840e+01 4.0451001375913620e+01 4.0349999070167542e+02) (float-vector 4.0450800210237503e+01 2.9389400035142899e+01 4.0349999070167542e+02) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.7552801668643951e+01 1.5451000072062016e+01 4.0349999070167542e+02) (float-vector -4.0450800210237503e+01 2.9389400035142899e+01 4.0349999070167542e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02) (float-vector -4.7552801668643951e+01 -1.5450700186192989e+01 4.0349999070167542e+02) (float-vector -4.7552801668643951e+01 1.5451000072062016e+01 4.0349999070167542e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 6.5700000524520874e+02) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 6.5700000524520874e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.9389299452304840e+01 4.0451001375913620e+01 4.0349999070167542e+02) (float-vector -1.5450900420546532e+01 4.7552999109029770e+01 4.0349999070167542e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.5450900420546532e+01 4.7552999109029770e+01 4.0349999070167542e+02) (float-vector -2.9389299452304840e+01 4.0451001375913620e+01 4.0349999070167542e+02) (float-vector -4.0450800210237503e+01 2.9389400035142899e+01 4.0349999070167542e+02) (float-vector -4.7552801668643951e+01 1.5451000072062016e+01 4.0349999070167542e+02) (float-vector -4.7552801668643951e+01 -1.5450700186192989e+01 4.0349999070167542e+02) (float-vector -4.0450800210237503e+01 -2.9389100149273872e+01 4.0349999070167542e+02) (float-vector -2.9389299452304840e+01 -4.0450699627399445e+01 4.0349999070167542e+02) (float-vector -1.5450900420546532e+01 -4.7552600502967834e+01 4.0349999070167542e+02) (float-vector 1.5450900420546532e+01 -4.7552600502967834e+01 4.0349999070167542e+02) (float-vector 2.9389299452304840e+01 -4.0450699627399445e+01 4.0349999070167542e+02) (float-vector 4.0450800210237503e+01 -2.9389100149273872e+01 4.0349999070167542e+02) (float-vector 4.7552801668643951e+01 -1.5450700186192989e+01 4.0349999070167542e+02) (float-vector 4.7552801668643951e+01 1.5451000072062016e+01 4.0349999070167542e+02) (float-vector 4.0450800210237503e+01 2.9389400035142899e+01 4.0349999070167542e+02) (float-vector 2.9389299452304840e+01 4.0451001375913620e+01 4.0349999070167542e+02) (float-vector 1.5450900420546532e+01 4.7552999109029770e+01 4.0349999070167542e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02) (float-vector -1.5450900420546532e+01 4.7552999109029770e+01 4.0349999070167542e+02) (float-vector 1.5450900420546532e+01 4.7552999109029770e+01 4.0349999070167542e+02) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 6.5700000524520874e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 6.5700000524520874e+02)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_RLEG_LINK3_gKImbr.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_RARM_LINK6_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 0.800000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 0 6 1 0 8 6 0 10 8 0 12 10 0 14 12 0 16 14 0 18 16 0 21 22 0 26 21 0 28 26 0 30 28 0 32 30 0 34 32 0 36 34 0 38 36 0 40 38 0 42 40 0 46 42 0 2 46 34 36 37 36 39 37 36 38 39 38 41 39 38 40 41 40 43 41 40 42 44 42 47 48 42 46 47 5 49 47 46 4 47 5 47 4 2 3 4 5 4 3 46 2 4 2 1 3 1 7 3 5 3 7 1 6 7 6 9 7 5 7 9 6 8 9 8 11 9 5 9 11 8 10 11 10 13 11 5 11 13 10 12 13 12 15 13 5 13 15 12 14 15 14 17 15 5 15 17 14 16 17 16 19 17 5 17 19 16 20 19 23 24 19 5 19 24 25 21 24 21 27 24 5 24 27 21 26 27 26 29 27 5 27 29 26 28 29 28 31 29 5 29 31 28 30 31 30 33 31 5 31 33 30 32 33 32 35 33 5 33 35 32 34 35 34 37 35 5 35 37 5 37 39 5 39 41 5 41 45))
                   (list :vertices (let ((mat (make-matrix 50 3))) (fvector-replace (array-entity mat) #f(0.0000000000000000e+00 2.5000000372529030e+01 0.0000000000000000e+00 2.3776400834321976e+01 2.5000000372529030e+01 7.7254301868379116e+00 2.5000000372529030e+01 2.5000000372529030e+01 0.0000000000000000e+00 2.3776400834321976e+01 -2.5000000372529030e+01 7.7254301868379116e+00 2.5000000372529030e+01 -2.5000000372529030e+01 0.0000000000000000e+00 0.0000000000000000e+00 -2.5000000372529030e+01 0.0000000000000000e+00 2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 2.0225400105118752e+01 -2.5000000372529030e+01 1.4694600366055965e+01 1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01 1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01 7.7254301868379116e+00 2.5000000372529030e+01 2.3776400834321976e+01 7.7254301868379116e+00 -2.5000000372529030e+01 2.3776400834321976e+01 1.5308100132975318e-15 2.5000000372529030e+01 2.5000000372529030e+01 1.5308100132975318e-15 -2.5000000372529030e+01 2.5000000372529030e+01 -7.7254301868379116e+00 2.5000000372529030e+01 2.3776400834321976e+01 -7.7254301868379116e+00 -2.5000000372529030e+01 2.3776400834321976e+01 -1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01 -1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01 -2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 -2.0225400105118752e+01 -2.5000000372529030e+01 1.4694600366055965e+01 -2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 -2.3776400834321976e+01 2.5000000372529030e+01 7.7254301868379116e+00 -2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 -2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 -2.3776400834321976e+01 -2.5000000372529030e+01 7.7254301868379116e+00 -2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 -2.5000000372529030e+01 2.5000000372529030e+01 3.0616200265950636e-15 -2.5000000372529030e+01 -2.5000000372529030e+01 3.0616200265950636e-15 -2.3776400834321976e+01 2.5000000372529030e+01 -7.7254301868379116e+00 -2.3776400834321976e+01 -2.5000000372529030e+01 -7.7254301868379116e+00 -2.0225400105118752e+01 2.5000000372529030e+01 -1.4694600366055965e+01 -2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 -1.4694600366055965e+01 2.5000000372529030e+01 -2.0225400105118752e+01 -1.4694600366055965e+01 -2.5000000372529030e+01 -2.0225400105118752e+01 -7.7254301868379116e+00 2.5000000372529030e+01 -2.3776400834321976e+01 -7.7254301868379116e+00 -2.5000000372529030e+01 -2.3776400834321976e+01 -4.5924302466877485e-15 2.5000000372529030e+01 -2.5000000372529030e+01 -4.5924302466877485e-15 -2.5000000372529030e+01 -2.5000000372529030e+01 7.7254301868379116e+00 2.5000000372529030e+01 -2.3776400834321976e+01 7.7254301868379116e+00 -2.5000000372529030e+01 -2.3776400834321976e+01 1.4694600366055965e+01 2.5000000372529030e+01 -2.0225400105118752e+01 1.4694600366055965e+01 -2.5000000372529030e+01 -2.0225400105118752e+01 2.0225400105118752e+01 2.5000000372529030e+01 -1.4694600366055965e+01 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 2.3776400834321976e+01 2.5000000372529030e+01 -7.7254301868379116e+00 2.3776400834321976e+01 -2.5000000372529030e+01 -7.7254301868379116e+00 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 )) mat)))
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.700000 0.900000 0.700000 1.000000))))
                   (list :indices #i( 0 1 2 2 3 0 1 0 6 6 0 7 5 7 0 0 3 5 4 2 1 1 6 4 3 2 4 3 4 5 4 7 5 6 7 4 8 9 10 8 14 9 8 16 14 8 18 16 8 20 18 8 22 20 8 24 22 8 26 24 8 28 26 8 30 28 8 32 30 8 34 32 8 36 34 8 38 36 8 40 38 8 42 40 8 44 42 8 46 44 8 48 46 8 10 48 38 40 41 40 43 41 40 42 43 42 45 43 42 44 45 44 47 45 44 46 47 46 49 47 46 48 49 48 12 49 48 10 12 10 11 12 10 9 11 13 12 11 13 49 12 13 47 49 13 45 47 13 43 45 13 41 43 13 11 15 13 15 17 13 17 19 13 19 21 13 21 23 13 23 25 13 25 27 13 27 29 13 29 31 13 31 33 13 33 35 13 35 37 13 37 39 13 39 41 30 33 31 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 28 30 31 26 28 29 28 31 29 24 26 27 26 29 27 22 24 25 24 27 25 20 22 23 22 25 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 9 14 15 14 17 15 9 15 11))
                   (list :vertices (let ((mat (make-matrix 50 3))) (fvector-replace (array-entity mat) #f(-2.5000000372529030e+01 -4.5000001788139343e+01 -2.0000000298023224e+02 -2.5000000372529030e+01 -4.5000001788139343e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 -1.4999999664723873e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 -1.4999999664723873e+01 -2.0000000298023224e+02 2.5000000372529030e+01 -1.4999999664723873e+01 -2.5000000372529030e+01 2.5000000372529030e+01 -1.4999999664723873e+01 -2.0000000298023224e+02 2.5000000372529030e+01 -4.5000001788139343e+01 -2.5000000372529030e+01 2.5000000372529030e+01 -4.5000001788139343e+01 -2.0000000298023224e+02 -2.5000000372529030e+01 -9.1830102633139177e-05 0.0000000000000000e+00 -2.5000099092721939e+01 2.3776300251483917e+01 7.7254301868379116e+00 -2.5000099092721939e+01 2.4999899789690971e+01 0.0000000000000000e+00 2.4999899789690971e+01 2.3776499554514885e+01 7.7254301868379116e+00 2.4999899789690971e+01 2.5000099092721939e+01 0.0000000000000000e+00 2.5000000372529030e+01 9.1830102633139177e-05 0.0000000000000000e+00 -2.5000099092721939e+01 2.0225299522280693e+01 1.4694600366055965e+01 2.4999899789690971e+01 2.0225500687956810e+01 1.4694600366055965e+01 -2.5000099092721939e+01 1.4694499783217907e+01 2.0225400105118752e+01 2.4999899789690971e+01 1.4694700017571449e+01 2.0225400105118752e+01 -2.5000000372529030e+01 7.7253300696611404e+00 2.3776400834321976e+01 2.5000000372529030e+01 7.7255200594663620e+00 2.3776400834321976e+01 -2.5000000372529030e+01 -9.1830102633139177e-05 2.5000000372529030e+01 2.5000000372529030e+01 9.1830102633139177e-05 2.5000000372529030e+01 -2.5000000372529030e+01 -7.7255200594663620e+00 2.3776400834321976e+01 2.5000000372529030e+01 -7.7253300696611404e+00 2.3776400834321976e+01 -2.4999899789690971e+01 -1.4694700017571449e+01 2.0225400105118752e+01 2.5000099092721939e+01 -1.4694499783217907e+01 2.0225400105118752e+01 -2.4999899789690971e+01 -2.0225500687956810e+01 1.4694600366055965e+01 2.5000099092721939e+01 -2.0225299522280693e+01 1.4694600366055965e+01 -2.4999899789690971e+01 -2.3776499554514885e+01 7.7254301868379116e+00 2.5000099092721939e+01 -2.3776300251483917e+01 7.7254301868379116e+00 -2.4999899789690971e+01 -2.5000099092721939e+01 3.0616200265950636e-15 2.5000099092721939e+01 -2.4999899789690971e+01 3.0616200265950636e-15 -2.4999899789690971e+01 -2.3776499554514885e+01 -7.7254301868379116e+00 2.5000099092721939e+01 -2.3776300251483917e+01 -7.7254301868379116e+00 -2.4999899789690971e+01 -2.0225500687956810e+01 -1.4694600366055965e+01 2.5000099092721939e+01 -2.0225299522280693e+01 -1.4694600366055965e+01 -2.4999899789690971e+01 -1.4694700017571449e+01 -2.0225400105118752e+01 2.5000099092721939e+01 -1.4694499783217907e+01 -2.0225400105118752e+01 -2.5000000372529030e+01 -7.7255200594663620e+00 -2.3776400834321976e+01 2.5000000372529030e+01 -7.7253300696611404e+00 -2.3776400834321976e+01 -2.5000000372529030e+01 -9.1830102633139177e-05 -2.5000000372529030e+01 2.5000000372529030e+01 9.1830102633139177e-05 -2.5000000372529030e+01 -2.5000000372529030e+01 7.7253300696611404e+00 -2.3776400834321976e+01 2.5000000372529030e+01 7.7255200594663620e+00 -2.3776400834321976e+01 -2.5000099092721939e+01 1.4694499783217907e+01 -2.0225400105118752e+01 2.4999899789690971e+01 1.4694700017571449e+01 -2.0225400105118752e+01 -2.5000099092721939e+01 2.0225299522280693e+01 -1.4694600366055965e+01 2.4999899789690971e+01 2.0225500687956810e+01 -1.4694600366055965e+01 -2.5000099092721939e+01 2.3776300251483917e+01 -7.7254301868379116e+00 2.4999899789690971e+01 2.3776499554514885e+01 -7.7254301868379116e+00 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 516 -> 20 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -4.5000001788139343e+01 -2.5000000372529030e+01) (float-vector 2.5000000372529030e+01 -4.5000001788139343e+01 -2.0000000298023224e+02) (float-vector -2.5000000372529030e+01 -4.5000001788139343e+01 -2.0000000298023224e+02) (float-vector -2.5000000372529030e+01 -4.5000001788139343e+01 -2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -4.5000001788139343e+01 -2.0000000298023224e+02) (float-vector 2.5000000372529030e+01 -1.4999999664723873e+01 -2.0000000298023224e+02) (float-vector -2.5000000372529030e+01 -1.4999999664723873e+01 -2.0000000298023224e+02) (float-vector -2.5000000372529030e+01 -4.5000001788139343e+01 -2.0000000298023224e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -4.5000001788139343e+01 -2.5000000372529030e+01) (float-vector 1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 2.5000099092721939e+01 -1.4694499783217907e+01 2.0225400105118752e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 2.5000000372529030e+01 7.7255200594663620e+00 2.3776400834321976e+01) (float-vector 1.5308100132975318e-15 2.5000000372529030e+01 2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.7254301868379116e+00 2.5000000372529030e+01 -2.3776400834321976e+01) (float-vector -2.3776400834321976e+01 2.5000000372529030e+01 -7.7254301868379116e+00) (float-vector -2.5000000372529030e+01 -1.4999999664723873e+01 -2.0000000298023224e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 2.5000000372529030e+01 -2.0225400105118752e+01) (float-vector 2.5000000372529030e+01 -1.4999999664723873e+01 -2.0000000298023224e+02) (float-vector 2.4999899789690971e+01 2.5000099092721939e+01 0.0000000000000000e+00)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 2.5000000372529030e+01 -2.0225400105118752e+01) (float-vector -7.7254301868379116e+00 2.5000000372529030e+01 -2.3776400834321976e+01) (float-vector -2.5000000372529030e+01 -1.4999999664723873e+01 -2.0000000298023224e+02) (float-vector 2.5000000372529030e+01 -1.4999999664723873e+01 -2.0000000298023224e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.4999899789690971e+01 2.0225500687956810e+01 1.4694600366055965e+01) (float-vector 1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 2.4999899789690971e+01 2.5000099092721939e+01 0.0000000000000000e+00)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 2.4999899789690971e+01 2.0225500687956810e+01 1.4694600366055965e+01) (float-vector 2.5000000372529030e+01 7.7255200594663620e+00 2.3776400834321976e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -4.5000001788139343e+01 -2.5000000372529030e+01) (float-vector 2.5000099092721939e+01 -1.4694499783217907e+01 2.0225400105118752e+01) (float-vector 2.5000000372529030e+01 7.7255200594663620e+00 2.3776400834321976e+01) (float-vector 2.4999899789690971e+01 2.0225500687956810e+01 1.4694600366055965e+01) (float-vector 2.4999899789690971e+01 2.5000099092721939e+01 0.0000000000000000e+00) (float-vector 2.5000000372529030e+01 -1.4999999664723873e+01 -2.0000000298023224e+02) (float-vector 2.5000000372529030e+01 -4.5000001788139343e+01 -2.0000000298023224e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector -2.5000099092721939e+01 1.4694499783217907e+01 2.0225400105118752e+01) (float-vector -2.5000099092721939e+01 2.3776300251483917e+01 7.7254301868379116e+00)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector -2.5000099092721939e+01 2.3776300251483917e+01 7.7254301868379116e+00) (float-vector -2.3776400834321976e+01 2.5000000372529030e+01 -7.7254301868379116e+00) (float-vector -7.7254301868379116e+00 2.5000000372529030e+01 -2.3776400834321976e+01) (float-vector 1.4694600366055965e+01 2.5000000372529030e+01 -2.0225400105118752e+01) (float-vector 2.4999899789690971e+01 2.5000099092721939e+01 0.0000000000000000e+00) (float-vector 1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 1.5308100132975318e-15 2.5000000372529030e+01 2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 1.5308100132975318e-15 2.5000000372529030e+01 2.5000000372529030e+01) (float-vector -2.5000000372529030e+01 -9.1830102633139177e-05 2.5000000372529030e+01) (float-vector -2.5000099092721939e+01 1.4694499783217907e+01 2.0225400105118752e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.7254301868379116e+00 -2.5000000372529030e+01 2.3776400834321976e+01) (float-vector 1.5308100132975318e-15 -2.5000000372529030e+01 2.5000000372529030e+01) (float-vector 1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 2.5000000372529030e+01 -4.5000001788139343e+01 -2.5000000372529030e+01) (float-vector -2.5000000372529030e+01 -4.5000001788139343e+01 -2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5308100132975318e-15 -2.5000000372529030e+01 2.5000000372529030e+01) (float-vector -7.7254301868379116e+00 -2.5000000372529030e+01 2.3776400834321976e+01) (float-vector -2.5000000372529030e+01 -7.7255200594663620e+00 2.3776400834321976e+01) (float-vector -2.5000000372529030e+01 -9.1830102633139177e-05 2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5308100132975318e-15 2.5000000372529030e+01 2.5000000372529030e+01) (float-vector 2.5000000372529030e+01 7.7255200594663620e+00 2.3776400834321976e+01) (float-vector 1.5308100132975318e-15 -2.5000000372529030e+01 2.5000000372529030e+01) (float-vector -2.5000000372529030e+01 -9.1830102633139177e-05 2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 1.5308100132975318e-15 -2.5000000372529030e+01 2.5000000372529030e+01) (float-vector 2.5000000372529030e+01 7.7255200594663620e+00 2.3776400834321976e+01) (float-vector 2.5000099092721939e+01 -1.4694499783217907e+01 2.0225400105118752e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.3776400834321976e+01 2.5000000372529030e+01 -7.7254301868379116e+00) (float-vector -2.5000099092721939e+01 2.3776300251483917e+01 7.7254301868379116e+00) (float-vector -2.5000099092721939e+01 1.4694499783217907e+01 2.0225400105118752e+01) (float-vector -2.5000000372529030e+01 -9.1830102633139177e-05 2.5000000372529030e+01) (float-vector -2.5000000372529030e+01 -7.7255200594663620e+00 2.3776400834321976e+01) (float-vector -2.4999899789690971e+01 -2.0225500687956810e+01 1.4694600366055965e+01) (float-vector -2.5000000372529030e+01 -4.5000001788139343e+01 -2.5000000372529030e+01) (float-vector -2.5000000372529030e+01 -4.5000001788139343e+01 -2.0000000298023224e+02) (float-vector -2.5000000372529030e+01 -1.4999999664723873e+01 -2.0000000298023224e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.4999899789690971e+01 -2.0225500687956810e+01 1.4694600366055965e+01) (float-vector -2.5000000372529030e+01 -7.7255200594663620e+00 2.3776400834321976e+01) (float-vector -7.7254301868379116e+00 -2.5000000372529030e+01 2.3776400834321976e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.4999899789690971e+01 -2.0225500687956810e+01 1.4694600366055965e+01) (float-vector -7.7254301868379116e+00 -2.5000000372529030e+01 2.3776400834321976e+01) (float-vector -2.5000000372529030e+01 -4.5000001788139343e+01 -2.5000000372529030e+01)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_RARM_LINK6_etZoyD.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_LARM_LINK4_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 1.000000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 2 3 0 1 0 6 6 0 7 5 7 0 0 3 5 4 2 1 1 6 4 3 2 4 3 4 5 4 7 5 6 7 4 8 9 10 8 14 9 8 16 14 8 18 16 8 20 18 8 22 20 8 24 22 8 26 24 8 29 30 8 34 29 8 36 34 8 38 36 8 40 38 8 42 40 8 44 42 8 46 44 8 48 46 8 50 48 8 54 50 8 10 54 42 44 45 44 47 45 44 46 47 46 49 47 46 48 49 48 51 49 48 50 52 50 55 56 50 54 55 13 57 55 54 12 55 13 55 12 10 11 12 13 12 11 54 10 12 10 9 11 9 15 11 13 11 15 9 14 15 14 17 15 13 15 17 14 16 17 16 19 17 13 17 19 16 18 19 18 21 19 13 19 21 18 20 21 20 23 21 13 21 23 20 22 23 22 25 23 13 23 25 22 24 25 24 27 25 13 25 27 24 28 27 31 32 27 13 27 32 33 29 32 29 35 32 13 32 35 29 34 35 34 37 35 13 35 37 34 36 37 36 39 37 13 37 39 36 38 39 38 41 39 13 39 41 38 40 41 40 43 41 13 41 43 40 42 43 42 45 43 13 43 45 13 45 47 13 47 49 13 49 53))
                   (list :vertices (let ((mat (make-matrix 58 3))) (fvector-replace (array-entity mat) #f(-2.5000000372529030e+01 -2.5000000372529030e+01 -1.7200000584125519e+02 -2.5000000372529030e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 2.5000000372529030e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 2.5000000372529030e+01 -1.7200000584125519e+02 2.5000000372529030e+01 2.5000000372529030e+01 -2.5000000372529030e+01 2.5000000372529030e+01 2.5000000372529030e+01 -1.7200000584125519e+02 2.5000000372529030e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 2.5000000372529030e+01 -2.5000000372529030e+01 -1.7200000584125519e+02 0.0000000000000000e+00 2.5000000372529030e+01 0.0000000000000000e+00 2.3776400834321976e+01 2.5000000372529030e+01 7.7254301868379116e+00 2.5000000372529030e+01 2.5000000372529030e+01 0.0000000000000000e+00 2.3776400834321976e+01 -2.5000000372529030e+01 7.7254301868379116e+00 2.5000000372529030e+01 -2.5000000372529030e+01 0.0000000000000000e+00 0.0000000000000000e+00 -2.5000000372529030e+01 0.0000000000000000e+00 2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 2.0225400105118752e+01 -2.5000000372529030e+01 1.4694600366055965e+01 1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01 1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01 7.7254301868379116e+00 2.5000000372529030e+01 2.3776400834321976e+01 7.7254301868379116e+00 -2.5000000372529030e+01 2.3776400834321976e+01 1.5308100132975318e-15 2.5000000372529030e+01 2.5000000372529030e+01 1.5308100132975318e-15 -2.5000000372529030e+01 2.5000000372529030e+01 -7.7254301868379116e+00 2.5000000372529030e+01 2.3776400834321976e+01 -7.7254301868379116e+00 -2.5000000372529030e+01 2.3776400834321976e+01 -1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01 -1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01 -2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 -2.0225400105118752e+01 -2.5000000372529030e+01 1.4694600366055965e+01 -2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 -2.3776400834321976e+01 2.5000000372529030e+01 7.7254301868379116e+00 -2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 -2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 -2.3776400834321976e+01 -2.5000000372529030e+01 7.7254301868379116e+00 -2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 -2.5000000372529030e+01 2.5000000372529030e+01 3.0616200265950636e-15 -2.5000000372529030e+01 -2.5000000372529030e+01 3.0616200265950636e-15 -2.3776400834321976e+01 2.5000000372529030e+01 -7.7254301868379116e+00 -2.3776400834321976e+01 -2.5000000372529030e+01 -7.7254301868379116e+00 -2.0225400105118752e+01 2.5000000372529030e+01 -1.4694600366055965e+01 -2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 -1.4694600366055965e+01 2.5000000372529030e+01 -2.0225400105118752e+01 -1.4694600366055965e+01 -2.5000000372529030e+01 -2.0225400105118752e+01 -7.7254301868379116e+00 2.5000000372529030e+01 -2.3776400834321976e+01 -7.7254301868379116e+00 -2.5000000372529030e+01 -2.3776400834321976e+01 -4.5924302466877485e-15 2.5000000372529030e+01 -2.5000000372529030e+01 -4.5924302466877485e-15 -2.5000000372529030e+01 -2.5000000372529030e+01 7.7254301868379116e+00 2.5000000372529030e+01 -2.3776400834321976e+01 7.7254301868379116e+00 -2.5000000372529030e+01 -2.3776400834321976e+01 1.4694600366055965e+01 2.5000000372529030e+01 -2.0225400105118752e+01 1.4694600366055965e+01 -2.5000000372529030e+01 -2.0225400105118752e+01 2.0225400105118752e+01 2.5000000372529030e+01 -1.4694600366055965e+01 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 2.3776400834321976e+01 2.5000000372529030e+01 -7.7254301868379116e+00 2.3776400834321976e+01 -2.5000000372529030e+01 -7.7254301868379116e+00 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 276 -> 9 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 -1.7200000584125519e+02) (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 -1.7200000584125519e+02) (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 -1.7200000584125519e+02) (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 -1.7200000584125519e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 -1.7200000584125519e+02) (float-vector -2.3776400834321976e+01 2.5000000372529030e+01 7.7254301868379116e+00) (float-vector -2.3776400834321976e+01 -2.5000000372529030e+01 7.7254301868379116e+00) (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 -1.7200000584125519e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 1.5308100132975318e-15 -2.5000000372529030e+01 2.5000000372529030e+01) (float-vector 1.5308100132975318e-15 2.5000000372529030e+01 2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 -1.7200000584125519e+02) (float-vector -2.3776400834321976e+01 -2.5000000372529030e+01 7.7254301868379116e+00) (float-vector -1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 1.5308100132975318e-15 -2.5000000372529030e+01 2.5000000372529030e+01) (float-vector 1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 2.3776400834321976e+01 -2.5000000372529030e+01 7.7254301868379116e+00) (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 -1.7200000584125519e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector -1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01) (float-vector -2.3776400834321976e+01 -2.5000000372529030e+01 7.7254301868379116e+00) (float-vector -2.3776400834321976e+01 2.5000000372529030e+01 7.7254301868379116e+00)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5308100132975318e-15 -2.5000000372529030e+01 2.5000000372529030e+01) (float-vector -1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01) (float-vector -1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 1.5308100132975318e-15 2.5000000372529030e+01 2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 1.5308100132975318e-15 2.5000000372529030e+01 2.5000000372529030e+01) (float-vector -1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector -2.3776400834321976e+01 2.5000000372529030e+01 7.7254301868379116e+00) (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 -1.7200000584125519e+02) (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 -1.7200000584125519e+02) (float-vector 2.3776400834321976e+01 2.5000000372529030e+01 7.7254301868379116e+00)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 2.3776400834321976e+01 2.5000000372529030e+01 7.7254301868379116e+00) (float-vector 2.3776400834321976e+01 -2.5000000372529030e+01 7.7254301868379116e+00) (float-vector 1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.3776400834321976e+01 2.5000000372529030e+01 7.7254301868379116e+00) (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 -1.7200000584125519e+02) (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 -1.7200000584125519e+02) (float-vector 2.3776400834321976e+01 -2.5000000372529030e+01 7.7254301868379116e+00)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_LARM_LINK4_tWimHD.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_RARM_LINK7_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.700000 0.900000 0.700000 1.000000))))
                   (list :indices #i( 0 1 2 2 3 0 1 0 6 6 0 7 5 7 0 0 3 5 4 2 1 1 6 4 3 2 4 3 4 5 4 7 5 6 7 4 8 9 10 10 11 8 9 8 14 14 8 15 13 15 8 8 11 13 12 10 9 9 14 12 11 10 12 11 12 13 12 15 13 14 15 12))
                   (list :vertices (let ((mat (make-matrix 16 3))) (fvector-replace (array-entity mat) #f(-2.5000000372529030e+01 6.3588800840079784e+00 -1.6612300276756287e+02 -2.5000000372529030e+01 2.4239100515842438e+01 -7.7917002141475677e+01 -2.5000000372529030e+01 5.3641099482774734e+01 -8.3876997232437134e+01 -2.5000000372529030e+01 3.5760898143053055e+01 -1.7208300530910492e+02 2.5000000372529030e+01 5.3641099482774734e+01 -8.3876997232437134e+01 2.5000000372529030e+01 3.5760898143053055e+01 -1.7208300530910492e+02 2.5000000372529030e+01 2.4239100515842438e+01 -7.7917002141475677e+01 2.5000000372529030e+01 6.3588800840079784e+00 -1.6612300276756287e+02 -2.5000000372529030e+01 2.4239100515842438e+01 -1.2208300083875656e+02 -2.5000000372529030e+01 6.3588800840079784e+00 -3.3877000212669373e+01 -2.5000000372529030e+01 3.5760898143053055e+01 -2.7916999533772469e+01 -2.5000000372529030e+01 5.3641099482774734e+01 -1.1612299829721451e+02 2.5000000372529030e+01 3.5760898143053055e+01 -2.7916999533772469e+01 2.5000000372529030e+01 5.3641099482774734e+01 -1.1612299829721451e+02 2.5000000372529030e+01 6.3588800840079784e+00 -3.3877000212669373e+01 2.5000000372529030e+01 2.4239100515842438e+01 -1.2208300083875656e+02 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 72 -> 8 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 3.5760898143053055e+01 -1.7208300530910492e+02) (float-vector -2.5000000372529030e+01 6.3588800840079784e+00 -1.6612300276756287e+02) (float-vector 2.5000000372529030e+01 6.3588800840079784e+00 -1.6612300276756287e+02) (float-vector 2.5000000372529030e+01 3.5760898143053055e+01 -1.7208300530910492e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 5.3641099482774734e+01 -8.3876997232437134e+01) (float-vector 2.5000000372529030e+01 3.5760898143053055e+01 -2.7916999533772469e+01) (float-vector -2.5000000372529030e+01 3.5760898143053055e+01 -2.7916999533772469e+01) (float-vector -2.5000000372529030e+01 5.3641099482774734e+01 -8.3876997232437134e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 3.5760898143053055e+01 -2.7916999533772469e+01) (float-vector 2.5000000372529030e+01 6.3588800840079784e+00 -3.3877000212669373e+01) (float-vector -2.5000000372529030e+01 6.3588800840079784e+00 -3.3877000212669373e+01) (float-vector -2.5000000372529030e+01 3.5760898143053055e+01 -2.7916999533772469e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 6.3588800840079784e+00 -3.3877000212669373e+01) (float-vector 2.5000000372529030e+01 6.3588800840079784e+00 -1.6612300276756287e+02) (float-vector -2.5000000372529030e+01 6.3588800840079784e+00 -1.6612300276756287e+02) (float-vector -2.5000000372529030e+01 6.3588800840079784e+00 -3.3877000212669373e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 6.3588800840079784e+00 -3.3877000212669373e+01) (float-vector -2.5000000372529030e+01 6.3588800840079784e+00 -1.6612300276756287e+02) (float-vector -2.5000000372529030e+01 3.5760898143053055e+01 -1.7208300530910492e+02) (float-vector -2.5000000372529030e+01 5.3641099482774734e+01 -1.1612299829721451e+02) (float-vector -2.5000000372529030e+01 5.3641099482774734e+01 -8.3876997232437134e+01) (float-vector -2.5000000372529030e+01 3.5760898143053055e+01 -2.7916999533772469e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 6.3588800840079784e+00 -3.3877000212669373e+01) (float-vector 2.5000000372529030e+01 3.5760898143053055e+01 -2.7916999533772469e+01) (float-vector 2.5000000372529030e+01 5.3641099482774734e+01 -8.3876997232437134e+01) (float-vector 2.5000000372529030e+01 5.3641099482774734e+01 -1.1612299829721451e+02) (float-vector 2.5000000372529030e+01 3.5760898143053055e+01 -1.7208300530910492e+02) (float-vector 2.5000000372529030e+01 6.3588800840079784e+00 -1.6612300276756287e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 5.3641099482774734e+01 -1.1612299829721451e+02) (float-vector -2.5000000372529030e+01 5.3641099482774734e+01 -1.1612299829721451e+02) (float-vector -2.5000000372529030e+01 3.5760898143053055e+01 -1.7208300530910492e+02) (float-vector 2.5000000372529030e+01 3.5760898143053055e+01 -1.7208300530910492e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 5.3641099482774734e+01 -1.1612299829721451e+02) (float-vector 2.5000000372529030e+01 5.3641099482774734e+01 -1.1612299829721451e+02) (float-vector 2.5000000372529030e+01 5.3641099482774734e+01 -8.3876997232437134e+01) (float-vector -2.5000000372529030e+01 5.3641099482774734e+01 -8.3876997232437134e+01)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_RARM_LINK7_JXlrn2.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_RLEG_LINK2_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 0.800000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 0 6 1 0 8 6 0 10 8 0 12 10 0 14 12 0 16 14 0 18 16 0 21 22 0 26 21 0 28 26 0 30 28 0 32 30 0 34 32 0 36 34 0 38 36 0 40 38 0 42 40 0 46 42 0 2 46 34 36 37 36 39 37 36 38 39 38 41 39 38 40 41 40 43 41 40 42 44 42 47 48 42 46 47 5 49 47 46 4 47 5 47 4 2 3 4 5 4 3 46 2 4 2 1 3 1 7 3 5 3 7 1 6 7 6 9 7 5 7 9 6 8 9 8 11 9 5 9 11 8 10 11 10 13 11 5 11 13 10 12 13 12 15 13 5 13 15 12 14 15 14 17 15 5 15 17 14 16 17 16 19 17 5 17 19 16 20 19 23 24 19 5 19 24 25 21 24 21 27 24 5 24 27 21 26 27 26 29 27 5 27 29 26 28 29 28 31 29 5 29 31 28 30 31 30 33 31 5 31 33 30 32 33 32 35 33 5 33 35 32 34 35 34 37 35 5 35 37 5 37 39 5 39 41 5 41 45))
                   (list :vertices (let ((mat (make-matrix 50 3))) (fvector-replace (array-entity mat) #f(0.0000000000000000e+00 5.0000000745058060e+01 0.0000000000000000e+00 4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01 5.0000000745058060e+01 5.0000000745058060e+01 0.0000000000000000e+00 4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01 5.0000000745058060e+01 -5.0000000745058060e+01 0.0000000000000000e+00 0.0000000000000000e+00 -5.0000000745058060e+01 0.0000000000000000e+00 4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 4.0450800210237503e+01 -5.0000000745058060e+01 2.9389299452304840e+01 2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01 2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01 1.5450900420546532e+01 5.0000000745058060e+01 4.7552801668643951e+01 1.5450900420546532e+01 -5.0000000745058060e+01 4.7552801668643951e+01 3.0616200265950636e-15 5.0000000745058060e+01 5.0000000745058060e+01 3.0616200265950636e-15 -5.0000000745058060e+01 5.0000000745058060e+01 -1.5450900420546532e+01 5.0000000745058060e+01 4.7552801668643951e+01 -1.5450900420546532e+01 -5.0000000745058060e+01 4.7552801668643951e+01 -2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01 -2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01 -4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 -4.0450800210237503e+01 -5.0000000745058060e+01 2.9389299452304840e+01 -4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 -4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01 -4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 -4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 -4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01 -4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 -5.0000000745058060e+01 5.0000000745058060e+01 6.1232301270227765e-15 -5.0000000745058060e+01 -5.0000000745058060e+01 6.1232301270227765e-15 -4.7552801668643951e+01 5.0000000745058060e+01 -1.5450900420546532e+01 -4.7552801668643951e+01 -5.0000000745058060e+01 -1.5450900420546532e+01 -4.0450800210237503e+01 5.0000000745058060e+01 -2.9389299452304840e+01 -4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 -2.9389299452304840e+01 5.0000000745058060e+01 -4.0450800210237503e+01 -2.9389299452304840e+01 -5.0000000745058060e+01 -4.0450800210237503e+01 -1.5450900420546532e+01 5.0000000745058060e+01 -4.7552801668643951e+01 -1.5450900420546532e+01 -5.0000000745058060e+01 -4.7552801668643951e+01 -9.1848497400275338e-15 5.0000000745058060e+01 -5.0000000745058060e+01 -9.1848497400275338e-15 -5.0000000745058060e+01 -5.0000000745058060e+01 1.5450900420546532e+01 5.0000000745058060e+01 -4.7552801668643951e+01 1.5450900420546532e+01 -5.0000000745058060e+01 -4.7552801668643951e+01 2.9389299452304840e+01 5.0000000745058060e+01 -4.0450800210237503e+01 2.9389299452304840e+01 -5.0000000745058060e+01 -4.0450800210237503e+01 4.0450800210237503e+01 5.0000000745058060e+01 -2.9389299452304840e+01 4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 4.7552801668643951e+01 5.0000000745058060e+01 -1.5450900420546532e+01 4.7552801668643951e+01 -5.0000000745058060e+01 -1.5450900420546532e+01 4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 240 -> 14 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 6.1232301270227765e-15) (float-vector -4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01) (float-vector -4.0450800210237503e+01 5.0000000745058060e+01 -2.9389299452304840e+01) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 6.1232301270227765e-15)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 0.0000000000000000e+00) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 -1.5450900420546532e+01) (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 -1.5450900420546532e+01) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 0.0000000000000000e+00)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.5450900420546532e+01 -5.0000000745058060e+01 -4.7552801668643951e+01) (float-vector -9.1848497400275338e-15 -5.0000000745058060e+01 -5.0000000745058060e+01) (float-vector -9.1848497400275338e-15 5.0000000745058060e+01 -5.0000000745058060e+01) (float-vector -1.5450900420546532e+01 5.0000000745058060e+01 -4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 3.0616200265950636e-15 -5.0000000745058060e+01 5.0000000745058060e+01) (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01) (float-vector 3.0616200265950636e-15 5.0000000745058060e+01 5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -9.1848497400275338e-15 -5.0000000745058060e+01 -5.0000000745058060e+01) (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 -4.0450800210237503e+01) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 -4.0450800210237503e+01) (float-vector -9.1848497400275338e-15 5.0000000745058060e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -9.1848497400275338e-15 5.0000000745058060e+01 -5.0000000745058060e+01) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 -4.0450800210237503e+01) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 -1.5450900420546532e+01) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 0.0000000000000000e+00) (float-vector 4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01) (float-vector 1.5450900420546532e+01 5.0000000745058060e+01 4.7552801668643951e+01) (float-vector 3.0616200265950636e-15 5.0000000745058060e+01 5.0000000745058060e+01) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01) (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 6.1232301270227765e-15) (float-vector -4.0450800210237503e+01 5.0000000745058060e+01 -2.9389299452304840e+01) (float-vector -1.5450900420546532e+01 5.0000000745058060e+01 -4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 0.0000000000000000e+00) (float-vector 4.0450800210237503e+01 -5.0000000745058060e+01 2.9389299452304840e+01) (float-vector 4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 0.0000000000000000e+00)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01) (float-vector -1.5450900420546532e+01 -5.0000000745058060e+01 -4.7552801668643951e+01) (float-vector -1.5450900420546532e+01 5.0000000745058060e+01 -4.7552801668643951e+01) (float-vector -4.0450800210237503e+01 5.0000000745058060e+01 -2.9389299452304840e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 6.1232301270227765e-15) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 6.1232301270227765e-15)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 -4.0450800210237503e+01) (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 -1.5450900420546532e+01) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 -1.5450900420546532e+01) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 -4.0450800210237503e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5450900420546532e+01 -5.0000000745058060e+01 4.7552801668643951e+01) (float-vector 3.0616200265950636e-15 -5.0000000745058060e+01 5.0000000745058060e+01) (float-vector 3.0616200265950636e-15 5.0000000745058060e+01 5.0000000745058060e+01) (float-vector 1.5450900420546532e+01 5.0000000745058060e+01 4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01) (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01) (float-vector 3.0616200265950636e-15 -5.0000000745058060e+01 5.0000000745058060e+01) (float-vector 1.5450900420546532e+01 -5.0000000745058060e+01 4.7552801668643951e+01) (float-vector 4.0450800210237503e+01 -5.0000000745058060e+01 2.9389299452304840e+01) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 0.0000000000000000e+00) (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 -1.5450900420546532e+01) (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 -4.0450800210237503e+01) (float-vector -9.1848497400275338e-15 -5.0000000745058060e+01 -5.0000000745058060e+01) (float-vector -1.5450900420546532e+01 -5.0000000745058060e+01 -4.7552801668643951e+01) (float-vector -4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 6.1232301270227765e-15)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.0450800210237503e+01 -5.0000000745058060e+01 2.9389299452304840e+01) (float-vector 1.5450900420546532e+01 -5.0000000745058060e+01 4.7552801668643951e+01) (float-vector 1.5450900420546532e+01 5.0000000745058060e+01 4.7552801668643951e+01) (float-vector 4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_RLEG_LINK2_NvQep2.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_LARM_LINK5_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 -2.4700000000000000e+02))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 0.800000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 0 6 1 0 8 6 0 10 8 0 12 10 0 14 12 0 16 14 0 18 16 0 20 18 0 22 20 0 24 22 0 26 24 0 28 26 0 30 28 0 32 30 0 34 32 0 36 34 0 38 36 0 40 38 0 2 40 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 38 40 41 40 4 41 40 2 4 2 3 4 2 1 3 5 4 3 5 41 4 5 39 41 5 37 39 5 35 37 5 33 35 5 3 7 5 7 9 5 9 11 5 11 13 5 13 15 5 15 17 5 17 19 5 19 21 5 21 23 5 23 25 5 25 27 5 27 29 5 29 31 5 31 33 22 25 23 22 24 25 24 27 25 24 26 27 26 29 27 26 28 29 28 31 29 28 30 31 30 33 31 20 22 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 12 14 15 14 17 15 10 12 13 12 15 13 8 10 11 10 13 11 6 8 9 8 11 9 1 6 7 6 9 7 1 7 3))
                   (list :vertices (let ((mat (make-matrix 42 3))) (fvector-replace (array-entity mat) #f(0.0000000000000000e+00 -9.1830102633139177e-05 3.2199999690055847e+02 2.3776400834321976e+01 -7.7255200594663620e+00 3.2199999690055847e+02 2.5000000372529030e+01 -9.1830102633139177e-05 3.2199999690055847e+02 2.3776400834321976e+01 -7.7253300696611404e+00 2.7200001478195190e+02 2.5000000372529030e+01 9.1830102633139177e-05 2.7200001478195190e+02 0.0000000000000000e+00 9.1830102633139177e-05 2.7200001478195190e+02 2.0225400105118752e+01 -1.4694700017571449e+01 3.2199999690055847e+02 2.0225400105118752e+01 -1.4694499783217907e+01 2.7200001478195190e+02 1.4694600366055965e+01 -2.0225500687956810e+01 3.2199999690055847e+02 1.4694600366055965e+01 -2.0225299522280693e+01 2.7200001478195190e+02 7.7254301868379116e+00 -2.3776499554514885e+01 3.2199999690055847e+02 7.7254301868379116e+00 -2.3776300251483917e+01 2.7200001478195190e+02 1.5308100132975318e-15 -2.5000099092721939e+01 3.2199999690055847e+02 1.5308100132975318e-15 -2.4999899789690971e+01 2.7200001478195190e+02 -7.7254301868379116e+00 -2.3776499554514885e+01 3.2199999690055847e+02 -7.7254301868379116e+00 -2.3776300251483917e+01 2.7200001478195190e+02 -1.4694600366055965e+01 -2.0225500687956810e+01 3.2199999690055847e+02 -1.4694600366055965e+01 -2.0225299522280693e+01 2.7200001478195190e+02 -2.0225400105118752e+01 -1.4694700017571449e+01 3.2199999690055847e+02 -2.0225400105118752e+01 -1.4694499783217907e+01 2.7200001478195190e+02 -2.3776400834321976e+01 -7.7255200594663620e+00 3.2199999690055847e+02 -2.3776400834321976e+01 -7.7253300696611404e+00 2.7200001478195190e+02 -2.5000000372529030e+01 -9.1830102633139177e-05 3.2199999690055847e+02 -2.5000000372529030e+01 9.1830102633139177e-05 2.7200001478195190e+02 -2.3776400834321976e+01 7.7253300696611404e+00 3.2199999690055847e+02 -2.3776400834321976e+01 7.7255200594663620e+00 2.7200001478195190e+02 -2.0225400105118752e+01 1.4694499783217907e+01 3.2199999690055847e+02 -2.0225400105118752e+01 1.4694700017571449e+01 2.7200001478195190e+02 -1.4694600366055965e+01 2.0225299522280693e+01 3.2199999690055847e+02 -1.4694600366055965e+01 2.0225500687956810e+01 2.7200001478195190e+02 -7.7254301868379116e+00 2.3776300251483917e+01 3.2199999690055847e+02 -7.7254301868379116e+00 2.3776499554514885e+01 2.7200001478195190e+02 -4.5924302466877485e-15 2.4999899789690971e+01 3.2199999690055847e+02 -4.5924302466877485e-15 2.5000099092721939e+01 2.7200001478195190e+02 7.7254301868379116e+00 2.3776300251483917e+01 3.2199999690055847e+02 7.7254301868379116e+00 2.3776499554514885e+01 2.7200001478195190e+02 1.4694600366055965e+01 2.0225299522280693e+01 3.2199999690055847e+02 1.4694600366055965e+01 2.0225500687956810e+01 2.7200001478195190e+02 2.0225400105118752e+01 1.4694499783217907e+01 3.2199999690055847e+02 2.0225400105118752e+01 1.4694700017571449e+01 2.7200001478195190e+02 2.3776400834321976e+01 7.7253300696611404e+00 3.2199999690055847e+02 2.3776400834321976e+01 7.7255200594663620e+00 2.7200001478195190e+02 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 240 -> 14 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.0225400105118752e+01 -1.4694499783217907e+01 2.7200001478195190e+02) (float-vector -2.5000000372529030e+01 9.1830102633139177e-05 2.7200001478195190e+02) (float-vector -2.5000000372529030e+01 -9.1830102633139177e-05 3.2199999690055847e+02) (float-vector -2.0225400105118752e+01 -1.4694700017571449e+01 3.2199999690055847e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.4694600366055965e+01 2.0225500687956810e+01 2.7200001478195190e+02) (float-vector -4.5924302466877485e-15 2.5000099092721939e+01 2.7200001478195190e+02) (float-vector -4.5924302466877485e-15 2.4999899789690971e+01 3.2199999690055847e+02) (float-vector -1.4694600366055965e+01 2.0225299522280693e+01 3.2199999690055847e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.0225400105118752e+01 1.4694700017571449e+01 2.7200001478195190e+02) (float-vector 2.3776400834321976e+01 7.7253300696611404e+00 3.2199999690055847e+02) (float-vector 1.4694600366055965e+01 2.0225299522280693e+01 3.2199999690055847e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 7.7254301868379116e+00 2.3776499554514885e+01 2.7200001478195190e+02) (float-vector 2.0225400105118752e+01 1.4694700017571449e+01 2.7200001478195190e+02) (float-vector 1.4694600366055965e+01 2.0225299522280693e+01 3.2199999690055847e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.5924302466877485e-15 2.5000099092721939e+01 2.7200001478195190e+02) (float-vector 7.7254301868379116e+00 2.3776499554514885e+01 2.7200001478195190e+02) (float-vector 1.4694600366055965e+01 2.0225299522280693e+01 3.2199999690055847e+02) (float-vector -4.5924302466877485e-15 2.4999899789690971e+01 3.2199999690055847e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.4694600366055965e+01 2.0225299522280693e+01 3.2199999690055847e+02) (float-vector -2.5000000372529030e+01 -9.1830102633139177e-05 3.2199999690055847e+02) (float-vector -2.5000000372529030e+01 9.1830102633139177e-05 2.7200001478195190e+02) (float-vector -1.4694600366055965e+01 2.0225500687956810e+01 2.7200001478195190e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 -9.1830102633139177e-05 3.2199999690055847e+02) (float-vector -1.4694600366055965e+01 2.0225299522280693e+01 3.2199999690055847e+02) (float-vector -4.5924302466877485e-15 2.4999899789690971e+01 3.2199999690055847e+02) (float-vector 1.4694600366055965e+01 2.0225299522280693e+01 3.2199999690055847e+02) (float-vector 2.3776400834321976e+01 7.7253300696611404e+00 3.2199999690055847e+02) (float-vector 2.5000000372529030e+01 -9.1830102633139177e-05 3.2199999690055847e+02) (float-vector 2.0225400105118752e+01 -1.4694700017571449e+01 3.2199999690055847e+02) (float-vector 7.7254301868379116e+00 -2.3776499554514885e+01 3.2199999690055847e+02) (float-vector 1.5308100132975318e-15 -2.5000099092721939e+01 3.2199999690055847e+02) (float-vector -2.0225400105118752e+01 -1.4694700017571449e+01 3.2199999690055847e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5308100132975318e-15 -2.4999899789690971e+01 2.7200001478195190e+02) (float-vector -2.0225400105118752e+01 -1.4694499783217907e+01 2.7200001478195190e+02) (float-vector -2.0225400105118752e+01 -1.4694700017571449e+01 3.2199999690055847e+02) (float-vector 1.5308100132975318e-15 -2.5000099092721939e+01 3.2199999690055847e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.7200001478195190e+02) (float-vector 2.3776400834321976e+01 -7.7253300696611404e+00 2.7200001478195190e+02) (float-vector 2.0225400105118752e+01 -1.4694700017571449e+01 3.2199999690055847e+02) (float-vector 2.5000000372529030e+01 -9.1830102633139177e-05 3.2199999690055847e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -9.1830102633139177e-05 3.2199999690055847e+02) (float-vector 2.3776400834321976e+01 7.7253300696611404e+00 3.2199999690055847e+02) (float-vector 2.0225400105118752e+01 1.4694700017571449e+01 2.7200001478195190e+02) (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.7200001478195190e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 -2.0225299522280693e+01 2.7200001478195190e+02) (float-vector 7.7254301868379116e+00 -2.3776499554514885e+01 3.2199999690055847e+02) (float-vector 2.0225400105118752e+01 -1.4694700017571449e+01 3.2199999690055847e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 -2.0225299522280693e+01 2.7200001478195190e+02) (float-vector 2.0225400105118752e+01 -1.4694700017571449e+01 3.2199999690055847e+02) (float-vector 2.3776400834321976e+01 -7.7253300696611404e+00 2.7200001478195190e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 9.1830102633139177e-05 2.7200001478195190e+02) (float-vector -2.0225400105118752e+01 -1.4694499783217907e+01 2.7200001478195190e+02) (float-vector 1.5308100132975318e-15 -2.4999899789690971e+01 2.7200001478195190e+02) (float-vector 1.4694600366055965e+01 -2.0225299522280693e+01 2.7200001478195190e+02) (float-vector 2.3776400834321976e+01 -7.7253300696611404e+00 2.7200001478195190e+02) (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.7200001478195190e+02) (float-vector 2.0225400105118752e+01 1.4694700017571449e+01 2.7200001478195190e+02) (float-vector 7.7254301868379116e+00 2.3776499554514885e+01 2.7200001478195190e+02) (float-vector -4.5924302466877485e-15 2.5000099092721939e+01 2.7200001478195190e+02) (float-vector -1.4694600366055965e+01 2.0225500687956810e+01 2.7200001478195190e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5308100132975318e-15 -2.5000099092721939e+01 3.2199999690055847e+02) (float-vector 7.7254301868379116e+00 -2.3776499554514885e+01 3.2199999690055847e+02) (float-vector 1.4694600366055965e+01 -2.0225299522280693e+01 2.7200001478195190e+02) (float-vector 1.5308100132975318e-15 -2.4999899789690971e+01 2.7200001478195190e+02)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_LARM_LINK5_k169w2.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_RARM_LINK1_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 -2.1000000000000000e+02 0.0000000000000000e+00))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 0.800000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 0 6 1 0 8 6 0 10 8 0 12 10 0 14 12 0 16 14 0 18 16 0 20 18 0 22 20 0 24 22 0 26 24 0 28 26 0 30 28 0 32 30 0 34 32 0 36 34 0 38 36 0 40 38 0 2 40 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 38 40 41 40 4 41 40 2 4 2 3 4 2 1 3 5 4 3 5 41 4 5 39 41 5 37 39 5 35 37 5 33 35 5 3 7 5 7 9 5 9 11 5 11 13 5 13 15 5 15 17 5 17 19 5 19 21 5 21 23 5 23 25 5 25 27 5 27 29 5 29 31 5 31 33 22 25 23 22 24 25 24 27 25 24 26 27 26 29 27 26 28 29 28 31 29 28 30 31 30 33 31 20 22 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 12 14 15 14 17 15 10 12 13 12 15 13 8 10 11 10 13 11 6 8 9 8 11 9 1 6 7 6 9 7 1 7 3))
                   (list :vertices (let ((mat (make-matrix 42 3))) (fvector-replace (array-entity mat) #f(0.0000000000000000e+00 2.8499999642372131e+02 0.0000000000000000e+00 2.3776400834321976e+01 2.8499999642372131e+02 7.7254301868379116e+00 2.5000000372529030e+01 2.8499999642372131e+02 0.0000000000000000e+00 2.3776400834321976e+01 2.3499999940395355e+02 7.7254301868379116e+00 2.5000000372529030e+01 2.3499999940395355e+02 0.0000000000000000e+00 0.0000000000000000e+00 2.3499999940395355e+02 0.0000000000000000e+00 2.0225400105118752e+01 2.8499999642372131e+02 1.4694600366055965e+01 2.0225400105118752e+01 2.3499999940395355e+02 1.4694600366055965e+01 1.4694600366055965e+01 2.8499999642372131e+02 2.0225400105118752e+01 1.4694600366055965e+01 2.3499999940395355e+02 2.0225400105118752e+01 7.7254301868379116e+00 2.8499999642372131e+02 2.3776400834321976e+01 7.7254301868379116e+00 2.3499999940395355e+02 2.3776400834321976e+01 1.5308100132975318e-15 2.8499999642372131e+02 2.5000000372529030e+01 1.5308100132975318e-15 2.3499999940395355e+02 2.5000000372529030e+01 -7.7254301868379116e+00 2.8499999642372131e+02 2.3776400834321976e+01 -7.7254301868379116e+00 2.3499999940395355e+02 2.3776400834321976e+01 -1.4694600366055965e+01 2.8499999642372131e+02 2.0225400105118752e+01 -1.4694600366055965e+01 2.3499999940395355e+02 2.0225400105118752e+01 -2.0225400105118752e+01 2.8499999642372131e+02 1.4694600366055965e+01 -2.0225400105118752e+01 2.3499999940395355e+02 1.4694600366055965e+01 -2.3776400834321976e+01 2.8499999642372131e+02 7.7254301868379116e+00 -2.3776400834321976e+01 2.3499999940395355e+02 7.7254301868379116e+00 -2.5000000372529030e+01 2.8499999642372131e+02 3.0616200265950636e-15 -2.5000000372529030e+01 2.3499999940395355e+02 3.0616200265950636e-15 -2.3776400834321976e+01 2.8499999642372131e+02 -7.7254301868379116e+00 -2.3776400834321976e+01 2.3499999940395355e+02 -7.7254301868379116e+00 -2.0225400105118752e+01 2.8499999642372131e+02 -1.4694600366055965e+01 -2.0225400105118752e+01 2.3499999940395355e+02 -1.4694600366055965e+01 -1.4694600366055965e+01 2.8499999642372131e+02 -2.0225400105118752e+01 -1.4694600366055965e+01 2.3499999940395355e+02 -2.0225400105118752e+01 -7.7254301868379116e+00 2.8499999642372131e+02 -2.3776400834321976e+01 -7.7254301868379116e+00 2.3499999940395355e+02 -2.3776400834321976e+01 -4.5924302466877485e-15 2.8499999642372131e+02 -2.5000000372529030e+01 -4.5924302466877485e-15 2.3499999940395355e+02 -2.5000000372529030e+01 7.7254301868379116e+00 2.8499999642372131e+02 -2.3776400834321976e+01 7.7254301868379116e+00 2.3499999940395355e+02 -2.3776400834321976e+01 1.4694600366055965e+01 2.8499999642372131e+02 -2.0225400105118752e+01 1.4694600366055965e+01 2.3499999940395355e+02 -2.0225400105118752e+01 2.0225400105118752e+01 2.8499999642372131e+02 -1.4694600366055965e+01 2.0225400105118752e+01 2.3499999940395355e+02 -1.4694600366055965e+01 2.3776400834321976e+01 2.8499999642372131e+02 -7.7254301868379116e+00 2.3776400834321976e+01 2.3499999940395355e+02 -7.7254301868379116e+00 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 240 -> 10 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 2.3499999940395355e+02 3.0616200265950636e-15) (float-vector -2.0225400105118752e+01 2.3499999940395355e+02 -1.4694600366055965e+01) (float-vector -2.0225400105118752e+01 2.8499999642372131e+02 -1.4694600366055965e+01) (float-vector -2.5000000372529030e+01 2.8499999642372131e+02 3.0616200265950636e-15)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.5924302466877485e-15 2.3499999940395355e+02 -2.5000000372529030e+01) (float-vector 1.4694600366055965e+01 2.3499999940395355e+02 -2.0225400105118752e+01) (float-vector 1.4694600366055965e+01 2.8499999642372131e+02 -2.0225400105118752e+01) (float-vector -4.5924302466877485e-15 2.8499999642372131e+02 -2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.0225400105118752e+01 2.8499999642372131e+02 1.4694600366055965e+01) (float-vector 1.5308100132975318e-15 2.8499999642372131e+02 2.5000000372529030e+01) (float-vector -1.4694600366055965e+01 2.8499999642372131e+02 2.0225400105118752e+01) (float-vector -2.5000000372529030e+01 2.8499999642372131e+02 3.0616200265950636e-15) (float-vector -2.0225400105118752e+01 2.8499999642372131e+02 -1.4694600366055965e+01) (float-vector -4.5924302466877485e-15 2.8499999642372131e+02 -2.5000000372529030e+01) (float-vector 1.4694600366055965e+01 2.8499999642372131e+02 -2.0225400105118752e+01) (float-vector 2.5000000372529030e+01 2.8499999642372131e+02 0.0000000000000000e+00)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.0225400105118752e+01 2.3499999940395355e+02 -1.4694600366055965e+01) (float-vector -4.5924302466877485e-15 2.3499999940395355e+02 -2.5000000372529030e+01) (float-vector -4.5924302466877485e-15 2.8499999642372131e+02 -2.5000000372529030e+01) (float-vector -2.0225400105118752e+01 2.8499999642372131e+02 -1.4694600366055965e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5308100132975318e-15 2.3499999940395355e+02 2.5000000372529030e+01) (float-vector -1.4694600366055965e+01 2.3499999940395355e+02 2.0225400105118752e+01) (float-vector -1.4694600366055965e+01 2.8499999642372131e+02 2.0225400105118752e+01) (float-vector 1.5308100132975318e-15 2.8499999642372131e+02 2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 2.3499999940395355e+02 -2.0225400105118752e+01) (float-vector 2.5000000372529030e+01 2.3499999940395355e+02 0.0000000000000000e+00) (float-vector 2.5000000372529030e+01 2.8499999642372131e+02 0.0000000000000000e+00) (float-vector 1.4694600366055965e+01 2.8499999642372131e+02 -2.0225400105118752e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 2.3499999940395355e+02 0.0000000000000000e+00) (float-vector 2.0225400105118752e+01 2.3499999940395355e+02 1.4694600366055965e+01) (float-vector 2.0225400105118752e+01 2.8499999642372131e+02 1.4694600366055965e+01) (float-vector 2.5000000372529030e+01 2.8499999642372131e+02 0.0000000000000000e+00)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.4694600366055965e+01 2.3499999940395355e+02 2.0225400105118752e+01) (float-vector -2.5000000372529030e+01 2.3499999940395355e+02 3.0616200265950636e-15) (float-vector -2.5000000372529030e+01 2.8499999642372131e+02 3.0616200265950636e-15) (float-vector -1.4694600366055965e+01 2.8499999642372131e+02 2.0225400105118752e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 2.3499999940395355e+02 3.0616200265950636e-15) (float-vector -1.4694600366055965e+01 2.3499999940395355e+02 2.0225400105118752e+01) (float-vector 1.5308100132975318e-15 2.3499999940395355e+02 2.5000000372529030e+01) (float-vector 2.0225400105118752e+01 2.3499999940395355e+02 1.4694600366055965e+01) (float-vector 2.5000000372529030e+01 2.3499999940395355e+02 0.0000000000000000e+00) (float-vector 1.4694600366055965e+01 2.3499999940395355e+02 -2.0225400105118752e+01) (float-vector -4.5924302466877485e-15 2.3499999940395355e+02 -2.5000000372529030e+01) (float-vector -2.0225400105118752e+01 2.3499999940395355e+02 -1.4694600366055965e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.0225400105118752e+01 2.3499999940395355e+02 1.4694600366055965e+01) (float-vector 1.5308100132975318e-15 2.3499999940395355e+02 2.5000000372529030e+01) (float-vector 1.5308100132975318e-15 2.8499999642372131e+02 2.5000000372529030e+01) (float-vector 2.0225400105118752e+01 2.8499999642372131e+02 1.4694600366055965e+01)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_RARM_LINK1_VO2SsD.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_LARM_LINK6_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 0.800000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 0 6 1 0 8 6 0 10 8 0 12 10 0 14 12 0 16 14 0 18 16 0 21 22 0 26 21 0 28 26 0 30 28 0 32 30 0 34 32 0 36 34 0 38 36 0 40 38 0 42 40 0 46 42 0 2 46 34 36 37 36 39 37 36 38 39 38 41 39 38 40 41 40 43 41 40 42 44 42 47 48 42 46 47 5 49 47 46 4 47 5 47 4 2 3 4 5 4 3 46 2 4 2 1 3 1 7 3 5 3 7 1 6 7 6 9 7 5 7 9 6 8 9 8 11 9 5 9 11 8 10 11 10 13 11 5 11 13 10 12 13 12 15 13 5 13 15 12 14 15 14 17 15 5 15 17 14 16 17 16 19 17 5 17 19 16 20 19 23 24 19 5 19 24 25 21 24 21 27 24 5 24 27 21 26 27 26 29 27 5 27 29 26 28 29 28 31 29 5 29 31 28 30 31 30 33 31 5 31 33 30 32 33 32 35 33 5 33 35 32 34 35 34 37 35 5 35 37 5 37 39 5 39 41 5 41 45))
                   (list :vertices (let ((mat (make-matrix 50 3))) (fvector-replace (array-entity mat) #f(0.0000000000000000e+00 2.5000000372529030e+01 0.0000000000000000e+00 2.3776400834321976e+01 2.5000000372529030e+01 7.7254301868379116e+00 2.5000000372529030e+01 2.5000000372529030e+01 0.0000000000000000e+00 2.3776400834321976e+01 -2.5000000372529030e+01 7.7254301868379116e+00 2.5000000372529030e+01 -2.5000000372529030e+01 0.0000000000000000e+00 0.0000000000000000e+00 -2.5000000372529030e+01 0.0000000000000000e+00 2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 2.0225400105118752e+01 -2.5000000372529030e+01 1.4694600366055965e+01 1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01 1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01 7.7254301868379116e+00 2.5000000372529030e+01 2.3776400834321976e+01 7.7254301868379116e+00 -2.5000000372529030e+01 2.3776400834321976e+01 1.5308100132975318e-15 2.5000000372529030e+01 2.5000000372529030e+01 1.5308100132975318e-15 -2.5000000372529030e+01 2.5000000372529030e+01 -7.7254301868379116e+00 2.5000000372529030e+01 2.3776400834321976e+01 -7.7254301868379116e+00 -2.5000000372529030e+01 2.3776400834321976e+01 -1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01 -1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01 -2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 -2.0225400105118752e+01 -2.5000000372529030e+01 1.4694600366055965e+01 -2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 -2.3776400834321976e+01 2.5000000372529030e+01 7.7254301868379116e+00 -2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 -2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 -2.3776400834321976e+01 -2.5000000372529030e+01 7.7254301868379116e+00 -2.0225400105118752e+01 2.5000000372529030e+01 1.4694600366055965e+01 -2.5000000372529030e+01 2.5000000372529030e+01 3.0616200265950636e-15 -2.5000000372529030e+01 -2.5000000372529030e+01 3.0616200265950636e-15 -2.3776400834321976e+01 2.5000000372529030e+01 -7.7254301868379116e+00 -2.3776400834321976e+01 -2.5000000372529030e+01 -7.7254301868379116e+00 -2.0225400105118752e+01 2.5000000372529030e+01 -1.4694600366055965e+01 -2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 -1.4694600366055965e+01 2.5000000372529030e+01 -2.0225400105118752e+01 -1.4694600366055965e+01 -2.5000000372529030e+01 -2.0225400105118752e+01 -7.7254301868379116e+00 2.5000000372529030e+01 -2.3776400834321976e+01 -7.7254301868379116e+00 -2.5000000372529030e+01 -2.3776400834321976e+01 -4.5924302466877485e-15 2.5000000372529030e+01 -2.5000000372529030e+01 -4.5924302466877485e-15 -2.5000000372529030e+01 -2.5000000372529030e+01 7.7254301868379116e+00 2.5000000372529030e+01 -2.3776400834321976e+01 7.7254301868379116e+00 -2.5000000372529030e+01 -2.3776400834321976e+01 1.4694600366055965e+01 2.5000000372529030e+01 -2.0225400105118752e+01 1.4694600366055965e+01 -2.5000000372529030e+01 -2.0225400105118752e+01 2.0225400105118752e+01 2.5000000372529030e+01 -1.4694600366055965e+01 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 2.3776400834321976e+01 2.5000000372529030e+01 -7.7254301868379116e+00 2.3776400834321976e+01 -2.5000000372529030e+01 -7.7254301868379116e+00 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01 )) mat)))
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.700000 0.900000 0.700000 1.000000))))
                   (list :indices #i( 0 1 2 2 3 0 1 0 6 6 0 7 5 7 0 0 3 5 4 2 1 1 6 4 3 2 4 3 4 5 4 7 5 6 7 4 8 9 10 8 14 9 8 16 14 8 18 16 8 20 18 8 22 20 8 24 22 8 26 24 8 28 26 8 30 28 8 32 30 8 34 32 8 36 34 8 38 36 8 40 38 8 42 40 8 44 42 8 46 44 8 48 46 8 10 48 38 40 41 40 43 41 40 42 43 42 45 43 42 44 45 44 47 45 44 46 47 46 49 47 46 48 49 48 12 49 48 10 12 10 11 12 10 9 11 13 12 11 13 49 12 13 47 49 13 45 47 13 43 45 13 41 43 13 11 15 13 15 17 13 17 19 13 19 21 13 21 23 13 23 25 13 25 27 13 27 29 13 29 31 13 31 33 13 33 35 13 35 37 13 37 39 13 39 41 30 33 31 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 28 30 31 26 28 29 28 31 29 24 26 27 26 29 27 22 24 25 24 27 25 20 22 23 22 25 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 9 14 15 14 17 15 9 15 11))
                   (list :vertices (let ((mat (make-matrix 50 3))) (fvector-replace (array-entity mat) #f(-2.5000000372529030e+01 1.4999999664723873e+01 -2.0000000298023224e+02 -2.5000000372529030e+01 1.4999999664723873e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 4.5000001788139343e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 4.5000001788139343e+01 -2.0000000298023224e+02 2.5000000372529030e+01 4.5000001788139343e+01 -2.5000000372529030e+01 2.5000000372529030e+01 4.5000001788139343e+01 -2.0000000298023224e+02 2.5000000372529030e+01 1.4999999664723873e+01 -2.5000000372529030e+01 2.5000000372529030e+01 1.4999999664723873e+01 -2.0000000298023224e+02 -2.5000000372529030e+01 -9.1830102633139177e-05 0.0000000000000000e+00 -2.5000099092721939e+01 2.3776300251483917e+01 7.7254301868379116e+00 -2.5000099092721939e+01 2.4999899789690971e+01 0.0000000000000000e+00 2.4999899789690971e+01 2.3776499554514885e+01 7.7254301868379116e+00 2.4999899789690971e+01 2.5000099092721939e+01 0.0000000000000000e+00 2.5000000372529030e+01 9.1830102633139177e-05 0.0000000000000000e+00 -2.5000099092721939e+01 2.0225299522280693e+01 1.4694600366055965e+01 2.4999899789690971e+01 2.0225500687956810e+01 1.4694600366055965e+01 -2.5000099092721939e+01 1.4694499783217907e+01 2.0225400105118752e+01 2.4999899789690971e+01 1.4694700017571449e+01 2.0225400105118752e+01 -2.5000000372529030e+01 7.7253300696611404e+00 2.3776400834321976e+01 2.5000000372529030e+01 7.7255200594663620e+00 2.3776400834321976e+01 -2.5000000372529030e+01 -9.1830102633139177e-05 2.5000000372529030e+01 2.5000000372529030e+01 9.1830102633139177e-05 2.5000000372529030e+01 -2.5000000372529030e+01 -7.7255200594663620e+00 2.3776400834321976e+01 2.5000000372529030e+01 -7.7253300696611404e+00 2.3776400834321976e+01 -2.4999899789690971e+01 -1.4694700017571449e+01 2.0225400105118752e+01 2.5000099092721939e+01 -1.4694499783217907e+01 2.0225400105118752e+01 -2.4999899789690971e+01 -2.0225500687956810e+01 1.4694600366055965e+01 2.5000099092721939e+01 -2.0225299522280693e+01 1.4694600366055965e+01 -2.4999899789690971e+01 -2.3776499554514885e+01 7.7254301868379116e+00 2.5000099092721939e+01 -2.3776300251483917e+01 7.7254301868379116e+00 -2.4999899789690971e+01 -2.5000099092721939e+01 3.0616200265950636e-15 2.5000099092721939e+01 -2.4999899789690971e+01 3.0616200265950636e-15 -2.4999899789690971e+01 -2.3776499554514885e+01 -7.7254301868379116e+00 2.5000099092721939e+01 -2.3776300251483917e+01 -7.7254301868379116e+00 -2.4999899789690971e+01 -2.0225500687956810e+01 -1.4694600366055965e+01 2.5000099092721939e+01 -2.0225299522280693e+01 -1.4694600366055965e+01 -2.4999899789690971e+01 -1.4694700017571449e+01 -2.0225400105118752e+01 2.5000099092721939e+01 -1.4694499783217907e+01 -2.0225400105118752e+01 -2.5000000372529030e+01 -7.7255200594663620e+00 -2.3776400834321976e+01 2.5000000372529030e+01 -7.7253300696611404e+00 -2.3776400834321976e+01 -2.5000000372529030e+01 -9.1830102633139177e-05 -2.5000000372529030e+01 2.5000000372529030e+01 9.1830102633139177e-05 -2.5000000372529030e+01 -2.5000000372529030e+01 7.7253300696611404e+00 -2.3776400834321976e+01 2.5000000372529030e+01 7.7255200594663620e+00 -2.3776400834321976e+01 -2.5000099092721939e+01 1.4694499783217907e+01 -2.0225400105118752e+01 2.4999899789690971e+01 1.4694700017571449e+01 -2.0225400105118752e+01 -2.5000099092721939e+01 2.0225299522280693e+01 -1.4694600366055965e+01 2.4999899789690971e+01 2.0225500687956810e+01 -1.4694600366055965e+01 -2.5000099092721939e+01 2.3776300251483917e+01 -7.7254301868379116e+00 2.4999899789690971e+01 2.3776499554514885e+01 -7.7254301868379116e+00 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 516 -> 20 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.7254301868379116e+00 -2.5000000372529030e+01 -2.3776400834321976e+01) (float-vector -2.5000000372529030e+01 1.4999999664723873e+01 -2.0000000298023224e+02) (float-vector -2.4999899789690971e+01 -2.5000099092721939e+01 3.0616200265950636e-15)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 4.5000001788139343e+01 -2.5000000372529030e+01) (float-vector -2.5000000372529030e+01 4.5000001788139343e+01 -2.0000000298023224e+02) (float-vector 2.5000000372529030e+01 4.5000001788139343e+01 -2.0000000298023224e+02) (float-vector 2.5000000372529030e+01 4.5000001788139343e+01 -2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5308100132975318e-15 -2.5000000372529030e+01 2.5000000372529030e+01) (float-vector -1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01) (float-vector -2.5000000372529030e+01 -7.7255200594663620e+00 2.3776400834321976e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.0225400105118752e+01 -2.5000000372529030e+01 1.4694600366055965e+01) (float-vector 1.5308100132975318e-15 -2.5000000372529030e+01 2.5000000372529030e+01) (float-vector 2.5000099092721939e+01 -1.4694499783217907e+01 2.0225400105118752e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000099092721939e+01 -2.3776300251483917e+01 -7.7254301868379116e+00) (float-vector 2.5000000372529030e+01 1.4999999664723873e+01 -2.0000000298023224e+02) (float-vector 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 1.4999999664723873e+01 -2.0000000298023224e+02) (float-vector 2.5000000372529030e+01 4.5000001788139343e+01 -2.0000000298023224e+02) (float-vector -2.5000000372529030e+01 4.5000001788139343e+01 -2.0000000298023224e+02) (float-vector -2.5000000372529030e+01 1.4999999664723873e+01 -2.0000000298023224e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.7254301868379116e+00 -2.5000000372529030e+01 -2.3776400834321976e+01) (float-vector 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01) (float-vector 2.5000000372529030e+01 1.4999999664723873e+01 -2.0000000298023224e+02) (float-vector -2.5000000372529030e+01 1.4999999664723873e+01 -2.0000000298023224e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector -2.5000099092721939e+01 1.4694499783217907e+01 2.0225400105118752e+01) (float-vector -2.5000000372529030e+01 4.5000001788139343e+01 -2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000099092721939e+01 1.4694499783217907e+01 2.0225400105118752e+01) (float-vector -1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 1.5308100132975318e-15 2.5000000372529030e+01 2.5000000372529030e+01) (float-vector -2.5000000372529030e+01 -9.1830102633139177e-05 2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.4999899789690971e+01 1.4694700017571449e+01 2.0225400105118752e+01) (float-vector 1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 2.5000000372529030e+01 4.5000001788139343e+01 -2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 1.5308100132975318e-15 2.5000000372529030e+01 2.5000000372529030e+01) (float-vector -1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01) (float-vector -2.5000000372529030e+01 4.5000001788139343e+01 -2.5000000372529030e+01) (float-vector 2.5000000372529030e+01 4.5000001788139343e+01 -2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.4999899789690971e+01 -2.0225500687956810e+01 1.4694600366055965e+01) (float-vector -1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01) (float-vector -2.4999899789690971e+01 -2.5000099092721939e+01 3.0616200265950636e-15)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01) (float-vector -2.4999899789690971e+01 -2.0225500687956810e+01 1.4694600366055965e+01) (float-vector -2.5000000372529030e+01 -7.7255200594663620e+00 2.3776400834321976e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 4.5000001788139343e+01 -2.0000000298023224e+02) (float-vector -2.5000000372529030e+01 4.5000001788139343e+01 -2.5000000372529030e+01) (float-vector -2.5000099092721939e+01 1.4694499783217907e+01 2.0225400105118752e+01) (float-vector -2.5000000372529030e+01 -9.1830102633139177e-05 2.5000000372529030e+01) (float-vector -2.5000000372529030e+01 -7.7255200594663620e+00 2.3776400834321976e+01) (float-vector -2.4999899789690971e+01 -2.0225500687956810e+01 1.4694600366055965e+01) (float-vector -2.4999899789690971e+01 -2.5000099092721939e+01 3.0616200265950636e-15) (float-vector -2.5000000372529030e+01 1.4999999664723873e+01 -2.0000000298023224e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000099092721939e+01 -2.3776300251483917e+01 7.7254301868379116e+00) (float-vector 2.0225400105118752e+01 -2.5000000372529030e+01 1.4694600366055965e+01) (float-vector 2.5000099092721939e+01 -1.4694499783217907e+01 2.0225400105118752e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.4999899789690971e+01 -2.5000099092721939e+01 3.0616200265950636e-15) (float-vector -1.4694600366055965e+01 -2.5000000372529030e+01 2.0225400105118752e+01) (float-vector 1.5308100132975318e-15 -2.5000000372529030e+01 2.5000000372529030e+01) (float-vector 2.0225400105118752e+01 -2.5000000372529030e+01 1.4694600366055965e+01) (float-vector 2.5000099092721939e+01 -2.3776300251483917e+01 7.7254301868379116e+00) (float-vector 2.5000099092721939e+01 -2.3776300251483917e+01 -7.7254301868379116e+00) (float-vector 2.0225400105118752e+01 -2.5000000372529030e+01 -1.4694600366055965e+01) (float-vector -7.7254301868379116e+00 -2.5000000372529030e+01 -2.3776400834321976e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5308100132975318e-15 -2.5000000372529030e+01 2.5000000372529030e+01) (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.5000000372529030e+01) (float-vector 2.5000099092721939e+01 -1.4694499783217907e+01 2.0225400105118752e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 1.4999999664723873e+01 -2.0000000298023224e+02) (float-vector 2.5000099092721939e+01 -2.3776300251483917e+01 -7.7254301868379116e+00) (float-vector 2.5000099092721939e+01 -2.3776300251483917e+01 7.7254301868379116e+00) (float-vector 2.5000099092721939e+01 -1.4694499783217907e+01 2.0225400105118752e+01) (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.5000000372529030e+01) (float-vector 2.4999899789690971e+01 1.4694700017571449e+01 2.0225400105118752e+01) (float-vector 2.5000000372529030e+01 4.5000001788139343e+01 -2.5000000372529030e+01) (float-vector 2.5000000372529030e+01 4.5000001788139343e+01 -2.0000000298023224e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5308100132975318e-15 2.5000000372529030e+01 2.5000000372529030e+01) (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.5000000372529030e+01) (float-vector 1.5308100132975318e-15 -2.5000000372529030e+01 2.5000000372529030e+01) (float-vector -2.5000000372529030e+01 -7.7255200594663620e+00 2.3776400834321976e+01) (float-vector -2.5000000372529030e+01 -9.1830102633139177e-05 2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.4999899789690971e+01 1.4694700017571449e+01 2.0225400105118752e+01) (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.5000000372529030e+01) (float-vector 1.5308100132975318e-15 2.5000000372529030e+01 2.5000000372529030e+01) (float-vector 1.4694600366055965e+01 2.5000000372529030e+01 2.0225400105118752e+01)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_LARM_LINK6_liY5mr.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_RLEG_LINK6_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.000000 0.500000 0.000000 1.000000))))
                   (list :indices #i( 0 1 2 2 3 0 1 0 6 6 0 7 5 7 0 0 3 5 4 2 1 1 6 4 3 2 4 3 4 5 4 7 5 6 7 4 8 9 10 8 14 9 8 16 14 8 18 16 8 20 18 8 22 20 8 24 22 8 26 24 8 28 26 8 30 28 8 32 30 8 34 32 8 36 34 8 38 36 8 40 38 8 42 40 8 44 42 8 46 44 8 48 46 8 10 48 38 40 41 40 43 41 40 42 43 42 45 43 42 44 45 44 47 45 44 46 47 46 49 47 46 48 49 48 12 49 48 10 12 10 11 12 10 9 11 13 12 11 13 49 12 13 47 49 13 45 47 13 43 45 13 41 43 13 11 15 13 15 17 13 17 19 13 19 21 13 21 23 13 23 25 13 25 27 13 27 29 13 29 31 13 31 33 13 33 35 13 35 37 13 37 39 13 39 41 30 33 31 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 28 30 31 26 28 29 28 31 29 24 26 27 26 29 27 22 24 25 24 27 25 20 22 23 22 25 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 9 14 15 14 17 15 9 15 11))
                   (list :vertices (let ((mat (make-matrix 50 3))) (fvector-replace (array-entity mat) #f(-7.0000000298023224e+01 -7.0000000298023224e+01 -7.0000000298023224e+01 -7.0000000298023224e+01 -7.0000000298023224e+01 -5.0000000745058060e+01 -7.0000000298023224e+01 7.0000000298023224e+01 -5.0000000745058060e+01 -7.0000000298023224e+01 7.0000000298023224e+01 -7.0000000298023224e+01 1.8000000715255737e+02 7.0000000298023224e+01 -5.0000000745058060e+01 1.8000000715255737e+02 7.0000000298023224e+01 -7.0000000298023224e+01 1.8000000715255737e+02 -7.0000000298023224e+01 -5.0000000745058060e+01 1.8000000715255737e+02 -7.0000000298023224e+01 -7.0000000298023224e+01 5.0000000745058060e+01 -1.8366000631431234e-04 0.0000000000000000e+00 4.9999799579381943e+01 4.7552600502967834e+01 1.5450900420546532e+01 4.9999799579381943e+01 4.9999799579381943e+01 0.0000000000000000e+00 1.5000000596046448e+02 4.7552999109029770e+01 1.5450900420546532e+01 1.5000000596046448e+02 5.0000198185443878e+01 0.0000000000000000e+00 1.5000000596046448e+02 1.8366000631431234e-04 0.0000000000000000e+00 4.9999900162220001e+01 4.0450699627399445e+01 2.9389299452304840e+01 1.5000000596046448e+02 4.0451001375913620e+01 2.9389299452304840e+01 4.9999900162220001e+01 2.9389100149273872e+01 4.0450800210237503e+01 1.5000000596046448e+02 2.9389400035142899e+01 4.0450800210237503e+01 4.9999900162220001e+01 1.5450700186192989e+01 4.7552801668643951e+01 1.5000000596046448e+02 1.5451000072062016e+01 4.7552801668643951e+01 5.0000000745058060e+01 -1.8366000631431234e-04 5.0000000745058060e+01 1.5000000596046448e+02 1.8366000631431234e-04 5.0000000745058060e+01 5.0000101327896118e+01 -1.5451000072062016e+01 4.7552801668643951e+01 1.5000000596046448e+02 -1.5450700186192989e+01 4.7552801668643951e+01 5.0000101327896118e+01 -2.9389400035142899e+01 4.0450800210237503e+01 1.5000000596046448e+02 -2.9389100149273872e+01 4.0450800210237503e+01 5.0000101327896118e+01 -4.0451001375913620e+01 2.9389299452304840e+01 1.5000000596046448e+02 -4.0450699627399445e+01 2.9389299452304840e+01 5.0000198185443878e+01 -4.7552999109029770e+01 1.5450900420546532e+01 1.5000000596046448e+02 -4.7552600502967834e+01 1.5450900420546532e+01 5.0000198185443878e+01 -5.0000198185443878e+01 6.1232301270227765e-15 1.5000000596046448e+02 -4.9999799579381943e+01 6.1232301270227765e-15 5.0000198185443878e+01 -4.7552999109029770e+01 -1.5450900420546532e+01 1.5000000596046448e+02 -4.7552600502967834e+01 -1.5450900420546532e+01 5.0000101327896118e+01 -4.0451001375913620e+01 -2.9389299452304840e+01 1.5000000596046448e+02 -4.0450699627399445e+01 -2.9389299452304840e+01 5.0000101327896118e+01 -2.9389400035142899e+01 -4.0450800210237503e+01 1.5000000596046448e+02 -2.9389100149273872e+01 -4.0450800210237503e+01 5.0000101327896118e+01 -1.5451000072062016e+01 -4.7552801668643951e+01 1.5000000596046448e+02 -1.5450700186192989e+01 -4.7552801668643951e+01 5.0000000745058060e+01 -1.8366000631431234e-04 -5.0000000745058060e+01 1.5000000596046448e+02 1.8366000631431234e-04 -5.0000000745058060e+01 4.9999900162220001e+01 1.5450700186192989e+01 -4.7552801668643951e+01 1.5000000596046448e+02 1.5451000072062016e+01 -4.7552801668643951e+01 4.9999900162220001e+01 2.9389100149273872e+01 -4.0450800210237503e+01 1.5000000596046448e+02 2.9389400035142899e+01 -4.0450800210237503e+01 4.9999900162220001e+01 4.0450699627399445e+01 -2.9389299452304840e+01 1.5000000596046448e+02 4.0451001375913620e+01 -2.9389299452304840e+01 4.9999799579381943e+01 4.7552600502967834e+01 -1.5450900420546532e+01 1.5000000596046448e+02 4.7552999109029770e+01 -1.5450900420546532e+01 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 276 -> 20 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.0000000298023224e+01 7.0000000298023224e+01 -7.0000000298023224e+01) (float-vector -7.0000000298023224e+01 -7.0000000298023224e+01 -7.0000000298023224e+01) (float-vector 1.8000000715255737e+02 -7.0000000298023224e+01 -7.0000000298023224e+01) (float-vector 1.8000000715255737e+02 7.0000000298023224e+01 -7.0000000298023224e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.8000000715255737e+02 7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector -7.0000000298023224e+01 7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector -7.0000000298023224e+01 7.0000000298023224e+01 -7.0000000298023224e+01) (float-vector 1.8000000715255737e+02 7.0000000298023224e+01 -7.0000000298023224e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.8000000715255737e+02 -7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector 1.8000000715255737e+02 7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector 1.8000000715255737e+02 7.0000000298023224e+01 -7.0000000298023224e+01) (float-vector 1.8000000715255737e+02 -7.0000000298023224e+01 -7.0000000298023224e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.0000000298023224e+01 -7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector 1.8000000715255737e+02 -7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector 1.8000000715255737e+02 -7.0000000298023224e+01 -7.0000000298023224e+01) (float-vector -7.0000000298023224e+01 -7.0000000298023224e+01 -7.0000000298023224e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.0000000298023224e+01 7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector -7.0000000298023224e+01 -7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector -7.0000000298023224e+01 -7.0000000298023224e+01 -7.0000000298023224e+01) (float-vector -7.0000000298023224e+01 7.0000000298023224e+01 -7.0000000298023224e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000101327896118e+01 -4.0451001375913620e+01 2.9389299452304840e+01) (float-vector 1.5000000596046448e+02 -4.0450699627399445e+01 2.9389299452304840e+01) (float-vector 1.8000000715255737e+02 -7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector -7.0000000298023224e+01 -7.0000000298023224e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5000000596046448e+02 4.0451001375913620e+01 2.9389299452304840e+01) (float-vector 4.9999900162220001e+01 4.0450699627399445e+01 2.9389299452304840e+01) (float-vector -7.0000000298023224e+01 7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector 1.8000000715255737e+02 7.0000000298023224e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5000000596046448e+02 1.5451000072062016e+01 4.7552801668643951e+01) (float-vector 1.5000000596046448e+02 1.8366000631431234e-04 5.0000000745058060e+01) (float-vector 5.0000000745058060e+01 -1.8366000631431234e-04 5.0000000745058060e+01) (float-vector 4.9999900162220001e+01 1.5450700186192989e+01 4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5000000596046448e+02 -1.5450700186192989e+01 4.7552801668643951e+01) (float-vector 1.5000000596046448e+02 1.8366000631431234e-04 5.0000000745058060e+01) (float-vector 1.5000000596046448e+02 1.5451000072062016e+01 4.7552801668643951e+01) (float-vector 1.8000000715255737e+02 7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector 1.8000000715255737e+02 -7.0000000298023224e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5000000596046448e+02 -4.0450699627399445e+01 2.9389299452304840e+01) (float-vector 1.5000000596046448e+02 -1.5450700186192989e+01 4.7552801668643951e+01) (float-vector 1.8000000715255737e+02 -7.0000000298023224e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.9999900162220001e+01 4.0450699627399445e+01 2.9389299452304840e+01) (float-vector 4.9999900162220001e+01 2.9389100149273872e+01 4.0450800210237503e+01) (float-vector -7.0000000298023224e+01 7.0000000298023224e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.9999900162220001e+01 2.9389100149273872e+01 4.0450800210237503e+01) (float-vector 4.9999900162220001e+01 1.5450700186192989e+01 4.7552801668643951e+01) (float-vector -7.0000000298023224e+01 7.0000000298023224e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000101327896118e+01 -1.5451000072062016e+01 4.7552801668643951e+01) (float-vector 5.0000000745058060e+01 -1.8366000631431234e-04 5.0000000745058060e+01) (float-vector 1.5000000596046448e+02 1.8366000631431234e-04 5.0000000745058060e+01) (float-vector 1.5000000596046448e+02 -1.5450700186192989e+01 4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.9999900162220001e+01 1.5450700186192989e+01 4.7552801668643951e+01) (float-vector 5.0000000745058060e+01 -1.8366000631431234e-04 5.0000000745058060e+01) (float-vector 5.0000101327896118e+01 -1.5451000072062016e+01 4.7552801668643951e+01) (float-vector -7.0000000298023224e+01 -7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector -7.0000000298023224e+01 7.0000000298023224e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.9999900162220001e+01 2.9389100149273872e+01 4.0450800210237503e+01) (float-vector 1.5000000596046448e+02 2.9389400035142899e+01 4.0450800210237503e+01) (float-vector 1.5000000596046448e+02 1.5451000072062016e+01 4.7552801668643951e+01) (float-vector 4.9999900162220001e+01 1.5450700186192989e+01 4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5000000596046448e+02 2.9389400035142899e+01 4.0450800210237503e+01) (float-vector 4.9999900162220001e+01 2.9389100149273872e+01 4.0450800210237503e+01) (float-vector 4.9999900162220001e+01 4.0450699627399445e+01 2.9389299452304840e+01) (float-vector 1.5000000596046448e+02 4.0451001375913620e+01 2.9389299452304840e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5000000596046448e+02 2.9389400035142899e+01 4.0450800210237503e+01) (float-vector 1.5000000596046448e+02 4.0451001375913620e+01 2.9389299452304840e+01) (float-vector 1.8000000715255737e+02 7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector 1.5000000596046448e+02 1.5451000072062016e+01 4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.0000000298023224e+01 -7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector 5.0000101327896118e+01 -2.9389400035142899e+01 4.0450800210237503e+01) (float-vector 5.0000101327896118e+01 -4.0451001375913620e+01 2.9389299452304840e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000101327896118e+01 -1.5451000072062016e+01 4.7552801668643951e+01) (float-vector 5.0000101327896118e+01 -2.9389400035142899e+01 4.0450800210237503e+01) (float-vector -7.0000000298023224e+01 -7.0000000298023224e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000101327896118e+01 -4.0451001375913620e+01 2.9389299452304840e+01) (float-vector 5.0000101327896118e+01 -2.9389400035142899e+01 4.0450800210237503e+01) (float-vector 5.0000101327896118e+01 -1.5451000072062016e+01 4.7552801668643951e+01) (float-vector 1.5000000596046448e+02 -1.5450700186192989e+01 4.7552801668643951e+01) (float-vector 1.5000000596046448e+02 -4.0450699627399445e+01 2.9389299452304840e+01)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_RLEG_LINK6_ZrVmwD.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_LLEG_LINK6_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.000000 0.500000 0.000000 1.000000))))
                   (list :indices #i( 0 1 2 2 3 0 1 0 6 6 0 7 5 7 0 0 3 5 4 2 1 1 6 4 3 2 4 3 4 5 4 7 5 6 7 4 8 9 10 8 14 9 8 16 14 8 18 16 8 20 18 8 22 20 8 24 22 8 26 24 8 28 26 8 30 28 8 32 30 8 34 32 8 36 34 8 38 36 8 40 38 8 42 40 8 44 42 8 46 44 8 48 46 8 10 48 38 40 41 40 43 41 40 42 43 42 45 43 42 44 45 44 47 45 44 46 47 46 49 47 46 48 49 48 12 49 48 10 12 10 11 12 10 9 11 13 12 11 13 49 12 13 47 49 13 45 47 13 43 45 13 41 43 13 11 15 13 15 17 13 17 19 13 19 21 13 21 23 13 23 25 13 25 27 13 27 29 13 29 31 13 31 33 13 33 35 13 35 37 13 37 39 13 39 41 30 33 31 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 28 30 31 26 28 29 28 31 29 24 26 27 26 29 27 22 24 25 24 27 25 20 22 23 22 25 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 9 14 15 14 17 15 9 15 11))
                   (list :vertices (let ((mat (make-matrix 50 3))) (fvector-replace (array-entity mat) #f(-7.0000000298023224e+01 -7.0000000298023224e+01 -7.0000000298023224e+01 -7.0000000298023224e+01 -7.0000000298023224e+01 -5.0000000745058060e+01 -7.0000000298023224e+01 7.0000000298023224e+01 -5.0000000745058060e+01 -7.0000000298023224e+01 7.0000000298023224e+01 -7.0000000298023224e+01 1.8000000715255737e+02 7.0000000298023224e+01 -5.0000000745058060e+01 1.8000000715255737e+02 7.0000000298023224e+01 -7.0000000298023224e+01 1.8000000715255737e+02 -7.0000000298023224e+01 -5.0000000745058060e+01 1.8000000715255737e+02 -7.0000000298023224e+01 -7.0000000298023224e+01 5.0000000745058060e+01 -1.8366000631431234e-04 0.0000000000000000e+00 4.9999799579381943e+01 4.7552600502967834e+01 1.5450900420546532e+01 4.9999799579381943e+01 4.9999799579381943e+01 0.0000000000000000e+00 1.5000000596046448e+02 4.7552999109029770e+01 1.5450900420546532e+01 1.5000000596046448e+02 5.0000198185443878e+01 0.0000000000000000e+00 1.5000000596046448e+02 1.8366000631431234e-04 0.0000000000000000e+00 4.9999900162220001e+01 4.0450699627399445e+01 2.9389299452304840e+01 1.5000000596046448e+02 4.0451001375913620e+01 2.9389299452304840e+01 4.9999900162220001e+01 2.9389100149273872e+01 4.0450800210237503e+01 1.5000000596046448e+02 2.9389400035142899e+01 4.0450800210237503e+01 4.9999900162220001e+01 1.5450700186192989e+01 4.7552801668643951e+01 1.5000000596046448e+02 1.5451000072062016e+01 4.7552801668643951e+01 5.0000000745058060e+01 -1.8366000631431234e-04 5.0000000745058060e+01 1.5000000596046448e+02 1.8366000631431234e-04 5.0000000745058060e+01 5.0000101327896118e+01 -1.5451000072062016e+01 4.7552801668643951e+01 1.5000000596046448e+02 -1.5450700186192989e+01 4.7552801668643951e+01 5.0000101327896118e+01 -2.9389400035142899e+01 4.0450800210237503e+01 1.5000000596046448e+02 -2.9389100149273872e+01 4.0450800210237503e+01 5.0000101327896118e+01 -4.0451001375913620e+01 2.9389299452304840e+01 1.5000000596046448e+02 -4.0450699627399445e+01 2.9389299452304840e+01 5.0000198185443878e+01 -4.7552999109029770e+01 1.5450900420546532e+01 1.5000000596046448e+02 -4.7552600502967834e+01 1.5450900420546532e+01 5.0000198185443878e+01 -5.0000198185443878e+01 6.1232301270227765e-15 1.5000000596046448e+02 -4.9999799579381943e+01 6.1232301270227765e-15 5.0000198185443878e+01 -4.7552999109029770e+01 -1.5450900420546532e+01 1.5000000596046448e+02 -4.7552600502967834e+01 -1.5450900420546532e+01 5.0000101327896118e+01 -4.0451001375913620e+01 -2.9389299452304840e+01 1.5000000596046448e+02 -4.0450699627399445e+01 -2.9389299452304840e+01 5.0000101327896118e+01 -2.9389400035142899e+01 -4.0450800210237503e+01 1.5000000596046448e+02 -2.9389100149273872e+01 -4.0450800210237503e+01 5.0000101327896118e+01 -1.5451000072062016e+01 -4.7552801668643951e+01 1.5000000596046448e+02 -1.5450700186192989e+01 -4.7552801668643951e+01 5.0000000745058060e+01 -1.8366000631431234e-04 -5.0000000745058060e+01 1.5000000596046448e+02 1.8366000631431234e-04 -5.0000000745058060e+01 4.9999900162220001e+01 1.5450700186192989e+01 -4.7552801668643951e+01 1.5000000596046448e+02 1.5451000072062016e+01 -4.7552801668643951e+01 4.9999900162220001e+01 2.9389100149273872e+01 -4.0450800210237503e+01 1.5000000596046448e+02 2.9389400035142899e+01 -4.0450800210237503e+01 4.9999900162220001e+01 4.0450699627399445e+01 -2.9389299452304840e+01 1.5000000596046448e+02 4.0451001375913620e+01 -2.9389299452304840e+01 4.9999799579381943e+01 4.7552600502967834e+01 -1.5450900420546532e+01 1.5000000596046448e+02 4.7552999109029770e+01 -1.5450900420546532e+01 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 276 -> 20 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.0000000298023224e+01 7.0000000298023224e+01 -7.0000000298023224e+01) (float-vector -7.0000000298023224e+01 -7.0000000298023224e+01 -7.0000000298023224e+01) (float-vector 1.8000000715255737e+02 -7.0000000298023224e+01 -7.0000000298023224e+01) (float-vector 1.8000000715255737e+02 7.0000000298023224e+01 -7.0000000298023224e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.8000000715255737e+02 7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector -7.0000000298023224e+01 7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector -7.0000000298023224e+01 7.0000000298023224e+01 -7.0000000298023224e+01) (float-vector 1.8000000715255737e+02 7.0000000298023224e+01 -7.0000000298023224e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.8000000715255737e+02 -7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector 1.8000000715255737e+02 7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector 1.8000000715255737e+02 7.0000000298023224e+01 -7.0000000298023224e+01) (float-vector 1.8000000715255737e+02 -7.0000000298023224e+01 -7.0000000298023224e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.0000000298023224e+01 -7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector 1.8000000715255737e+02 -7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector 1.8000000715255737e+02 -7.0000000298023224e+01 -7.0000000298023224e+01) (float-vector -7.0000000298023224e+01 -7.0000000298023224e+01 -7.0000000298023224e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.0000000298023224e+01 7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector -7.0000000298023224e+01 -7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector -7.0000000298023224e+01 -7.0000000298023224e+01 -7.0000000298023224e+01) (float-vector -7.0000000298023224e+01 7.0000000298023224e+01 -7.0000000298023224e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000101327896118e+01 -4.0451001375913620e+01 2.9389299452304840e+01) (float-vector 1.5000000596046448e+02 -4.0450699627399445e+01 2.9389299452304840e+01) (float-vector 1.8000000715255737e+02 -7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector -7.0000000298023224e+01 -7.0000000298023224e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5000000596046448e+02 4.0451001375913620e+01 2.9389299452304840e+01) (float-vector 4.9999900162220001e+01 4.0450699627399445e+01 2.9389299452304840e+01) (float-vector -7.0000000298023224e+01 7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector 1.8000000715255737e+02 7.0000000298023224e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5000000596046448e+02 1.5451000072062016e+01 4.7552801668643951e+01) (float-vector 1.5000000596046448e+02 1.8366000631431234e-04 5.0000000745058060e+01) (float-vector 5.0000000745058060e+01 -1.8366000631431234e-04 5.0000000745058060e+01) (float-vector 4.9999900162220001e+01 1.5450700186192989e+01 4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5000000596046448e+02 -1.5450700186192989e+01 4.7552801668643951e+01) (float-vector 1.5000000596046448e+02 1.8366000631431234e-04 5.0000000745058060e+01) (float-vector 1.5000000596046448e+02 1.5451000072062016e+01 4.7552801668643951e+01) (float-vector 1.8000000715255737e+02 7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector 1.8000000715255737e+02 -7.0000000298023224e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5000000596046448e+02 -4.0450699627399445e+01 2.9389299452304840e+01) (float-vector 1.5000000596046448e+02 -1.5450700186192989e+01 4.7552801668643951e+01) (float-vector 1.8000000715255737e+02 -7.0000000298023224e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.9999900162220001e+01 4.0450699627399445e+01 2.9389299452304840e+01) (float-vector 4.9999900162220001e+01 2.9389100149273872e+01 4.0450800210237503e+01) (float-vector -7.0000000298023224e+01 7.0000000298023224e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.9999900162220001e+01 2.9389100149273872e+01 4.0450800210237503e+01) (float-vector 4.9999900162220001e+01 1.5450700186192989e+01 4.7552801668643951e+01) (float-vector -7.0000000298023224e+01 7.0000000298023224e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000101327896118e+01 -1.5451000072062016e+01 4.7552801668643951e+01) (float-vector 5.0000000745058060e+01 -1.8366000631431234e-04 5.0000000745058060e+01) (float-vector 1.5000000596046448e+02 1.8366000631431234e-04 5.0000000745058060e+01) (float-vector 1.5000000596046448e+02 -1.5450700186192989e+01 4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.9999900162220001e+01 1.5450700186192989e+01 4.7552801668643951e+01) (float-vector 5.0000000745058060e+01 -1.8366000631431234e-04 5.0000000745058060e+01) (float-vector 5.0000101327896118e+01 -1.5451000072062016e+01 4.7552801668643951e+01) (float-vector -7.0000000298023224e+01 -7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector -7.0000000298023224e+01 7.0000000298023224e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.9999900162220001e+01 2.9389100149273872e+01 4.0450800210237503e+01) (float-vector 1.5000000596046448e+02 2.9389400035142899e+01 4.0450800210237503e+01) (float-vector 1.5000000596046448e+02 1.5451000072062016e+01 4.7552801668643951e+01) (float-vector 4.9999900162220001e+01 1.5450700186192989e+01 4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5000000596046448e+02 2.9389400035142899e+01 4.0450800210237503e+01) (float-vector 4.9999900162220001e+01 2.9389100149273872e+01 4.0450800210237503e+01) (float-vector 4.9999900162220001e+01 4.0450699627399445e+01 2.9389299452304840e+01) (float-vector 1.5000000596046448e+02 4.0451001375913620e+01 2.9389299452304840e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5000000596046448e+02 2.9389400035142899e+01 4.0450800210237503e+01) (float-vector 1.5000000596046448e+02 4.0451001375913620e+01 2.9389299452304840e+01) (float-vector 1.8000000715255737e+02 7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector 1.5000000596046448e+02 1.5451000072062016e+01 4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -7.0000000298023224e+01 -7.0000000298023224e+01 -5.0000000745058060e+01) (float-vector 5.0000101327896118e+01 -2.9389400035142899e+01 4.0450800210237503e+01) (float-vector 5.0000101327896118e+01 -4.0451001375913620e+01 2.9389299452304840e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000101327896118e+01 -1.5451000072062016e+01 4.7552801668643951e+01) (float-vector 5.0000101327896118e+01 -2.9389400035142899e+01 4.0450800210237503e+01) (float-vector -7.0000000298023224e+01 -7.0000000298023224e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000101327896118e+01 -4.0451001375913620e+01 2.9389299452304840e+01) (float-vector 5.0000101327896118e+01 -2.9389400035142899e+01 4.0450800210237503e+01) (float-vector 5.0000101327896118e+01 -1.5451000072062016e+01 4.7552801668643951e+01) (float-vector 1.5000000596046448e+02 -1.5450700186192989e+01 4.7552801668643951e+01) (float-vector 1.5000000596046448e+02 -4.0450699627399445e+01 2.9389299452304840e+01)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_LLEG_LINK6_f3xSf2.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_LARM_LINK7_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.700000 0.900000 0.700000 1.000000))))
                   (list :indices #i( 0 1 2 2 3 0 3 2 4 3 4 5 4 2 1 1 6 4 1 0 6 6 0 7 6 7 4 4 7 5 5 7 0 0 3 5))
                   (list :vertices (let ((mat (make-matrix 8 3))) (fvector-replace (array-entity mat) #f(-2.5000000372529030e+01 -4.5000001788139343e+01 -1.7499999701976776e+02 -2.5000000372529030e+01 -4.5000001788139343e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 -1.4999999664723873e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 -1.4999999664723873e+01 -1.7499999701976776e+02 2.5000000372529030e+01 -1.4999999664723873e+01 -2.5000000372529030e+01 2.5000000372529030e+01 -1.4999999664723873e+01 -1.7499999701976776e+02 2.5000000372529030e+01 -4.5000001788139343e+01 -2.5000000372529030e+01 2.5000000372529030e+01 -4.5000001788139343e+01 -1.7499999701976776e+02 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 36 -> 6 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 -4.5000001788139343e+01 -1.7499999701976776e+02) (float-vector -2.5000000372529030e+01 -1.4999999664723873e+01 -1.7499999701976776e+02) (float-vector -2.5000000372529030e+01 -1.4999999664723873e+01 -2.5000000372529030e+01) (float-vector -2.5000000372529030e+01 -4.5000001788139343e+01 -2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -1.4999999664723873e+01 -2.5000000372529030e+01) (float-vector 2.5000000372529030e+01 -4.5000001788139343e+01 -2.5000000372529030e+01) (float-vector -2.5000000372529030e+01 -4.5000001788139343e+01 -2.5000000372529030e+01) (float-vector -2.5000000372529030e+01 -1.4999999664723873e+01 -2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -1.4999999664723873e+01 -1.7499999701976776e+02) (float-vector 2.5000000372529030e+01 -1.4999999664723873e+01 -2.5000000372529030e+01) (float-vector -2.5000000372529030e+01 -1.4999999664723873e+01 -2.5000000372529030e+01) (float-vector -2.5000000372529030e+01 -1.4999999664723873e+01 -1.7499999701976776e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -4.5000001788139343e+01 -2.5000000372529030e+01) (float-vector 2.5000000372529030e+01 -4.5000001788139343e+01 -1.7499999701976776e+02) (float-vector -2.5000000372529030e+01 -4.5000001788139343e+01 -1.7499999701976776e+02) (float-vector -2.5000000372529030e+01 -4.5000001788139343e+01 -2.5000000372529030e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -4.5000001788139343e+01 -1.7499999701976776e+02) (float-vector 2.5000000372529030e+01 -1.4999999664723873e+01 -1.7499999701976776e+02) (float-vector -2.5000000372529030e+01 -1.4999999664723873e+01 -1.7499999701976776e+02) (float-vector -2.5000000372529030e+01 -4.5000001788139343e+01 -1.7499999701976776e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -1.4999999664723873e+01 -1.7499999701976776e+02) (float-vector 2.5000000372529030e+01 -4.5000001788139343e+01 -1.7499999701976776e+02) (float-vector 2.5000000372529030e+01 -4.5000001788139343e+01 -2.5000000372529030e+01) (float-vector 2.5000000372529030e+01 -1.4999999664723873e+01 -2.5000000372529030e+01)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_LARM_LINK7_mYD9cQ.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_RARM_LINK2_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 0.900000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 2 3 0 1 0 6 6 0 7 5 7 0 0 3 5 4 2 1 1 6 4 3 2 4 3 4 5 4 7 5 6 7 4 8 9 10 8 14 9 8 16 14 8 18 16 8 20 18 8 22 20 8 24 22 8 26 24 8 28 26 8 30 28 8 32 30 8 34 32 8 36 34 8 38 36 8 40 38 8 42 40 8 44 42 8 46 44 8 48 46 8 10 48 38 40 41 40 43 41 40 42 43 42 45 43 42 44 45 44 47 45 44 46 47 46 49 47 46 48 49 48 12 49 48 10 12 10 11 12 10 9 11 13 12 11 13 49 12 13 47 49 13 45 47 13 43 45 13 41 43 13 11 15 13 15 17 13 17 19 13 19 21 13 21 23 13 23 25 13 25 27 13 27 29 13 29 31 13 31 33 13 33 35 13 35 37 13 37 39 13 39 41 30 33 31 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 28 30 31 26 28 29 28 31 29 24 26 27 26 29 27 22 24 25 24 27 25 20 22 23 22 25 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 9 14 15 14 17 15 9 15 11))
                   (list :vertices (let ((mat (make-matrix 50 3))) (fvector-replace (array-entity mat) #f(-2.5000000372529030e+01 -2.5000000372529030e+01 -1.8799999356269836e+02 -2.5000000372529030e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 2.5000000372529030e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 2.5000000372529030e+01 -1.8799999356269836e+02 2.5000000372529030e+01 2.5000000372529030e+01 -2.5000000372529030e+01 2.5000000372529030e+01 2.5000000372529030e+01 -1.8799999356269836e+02 2.5000000372529030e+01 -2.5000000372529030e+01 -2.5000000372529030e+01 2.5000000372529030e+01 -2.5000000372529030e+01 -1.8799999356269836e+02 -2.5000000372529030e+01 -9.1830102633139177e-05 0.0000000000000000e+00 -2.5000099092721939e+01 2.3776300251483917e+01 7.7254301868379116e+00 -2.5000099092721939e+01 2.4999899789690971e+01 0.0000000000000000e+00 2.4999899789690971e+01 2.3776499554514885e+01 7.7254301868379116e+00 2.4999899789690971e+01 2.5000099092721939e+01 0.0000000000000000e+00 2.5000000372529030e+01 9.1830102633139177e-05 0.0000000000000000e+00 -2.5000099092721939e+01 2.0225299522280693e+01 1.4694600366055965e+01 2.4999899789690971e+01 2.0225500687956810e+01 1.4694600366055965e+01 -2.5000099092721939e+01 1.4694499783217907e+01 2.0225400105118752e+01 2.4999899789690971e+01 1.4694700017571449e+01 2.0225400105118752e+01 -2.5000000372529030e+01 7.7253300696611404e+00 2.3776400834321976e+01 2.5000000372529030e+01 7.7255200594663620e+00 2.3776400834321976e+01 -2.5000000372529030e+01 -9.1830102633139177e-05 2.5000000372529030e+01 2.5000000372529030e+01 9.1830102633139177e-05 2.5000000372529030e+01 -2.5000000372529030e+01 -7.7255200594663620e+00 2.3776400834321976e+01 2.5000000372529030e+01 -7.7253300696611404e+00 2.3776400834321976e+01 -2.4999899789690971e+01 -1.4694700017571449e+01 2.0225400105118752e+01 2.5000099092721939e+01 -1.4694499783217907e+01 2.0225400105118752e+01 -2.4999899789690971e+01 -2.0225500687956810e+01 1.4694600366055965e+01 2.5000099092721939e+01 -2.0225299522280693e+01 1.4694600366055965e+01 -2.4999899789690971e+01 -2.3776499554514885e+01 7.7254301868379116e+00 2.5000099092721939e+01 -2.3776300251483917e+01 7.7254301868379116e+00 -2.4999899789690971e+01 -2.5000099092721939e+01 3.0616200265950636e-15 2.5000099092721939e+01 -2.4999899789690971e+01 3.0616200265950636e-15 -2.4999899789690971e+01 -2.3776499554514885e+01 -7.7254301868379116e+00 2.5000099092721939e+01 -2.3776300251483917e+01 -7.7254301868379116e+00 -2.4999899789690971e+01 -2.0225500687956810e+01 -1.4694600366055965e+01 2.5000099092721939e+01 -2.0225299522280693e+01 -1.4694600366055965e+01 -2.4999899789690971e+01 -1.4694700017571449e+01 -2.0225400105118752e+01 2.5000099092721939e+01 -1.4694499783217907e+01 -2.0225400105118752e+01 -2.5000000372529030e+01 -7.7255200594663620e+00 -2.3776400834321976e+01 2.5000000372529030e+01 -7.7253300696611404e+00 -2.3776400834321976e+01 -2.5000000372529030e+01 -9.1830102633139177e-05 -2.5000000372529030e+01 2.5000000372529030e+01 9.1830102633139177e-05 -2.5000000372529030e+01 -2.5000000372529030e+01 7.7253300696611404e+00 -2.3776400834321976e+01 2.5000000372529030e+01 7.7255200594663620e+00 -2.3776400834321976e+01 -2.5000099092721939e+01 1.4694499783217907e+01 -2.0225400105118752e+01 2.4999899789690971e+01 1.4694700017571449e+01 -2.0225400105118752e+01 -2.5000099092721939e+01 2.0225299522280693e+01 -1.4694600366055965e+01 2.4999899789690971e+01 2.0225500687956810e+01 -1.4694600366055965e+01 -2.5000099092721939e+01 2.3776300251483917e+01 -7.7254301868379116e+00 2.4999899789690971e+01 2.3776499554514885e+01 -7.7254301868379116e+00 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 276 -> 11 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000099092721939e+01 2.3776300251483917e+01 7.7254301868379116e+00) (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 -1.8799999356269836e+02) (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 -1.8799999356269836e+02) (float-vector 2.4999899789690971e+01 2.3776499554514885e+01 7.7254301868379116e+00)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.4999899789690971e+01 -2.0225500687956810e+01 1.4694600366055965e+01) (float-vector -2.5000000372529030e+01 -7.7255200594663620e+00 2.3776400834321976e+01) (float-vector 2.5000099092721939e+01 -1.4694499783217907e+01 2.0225400105118752e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 -1.8799999356269836e+02) (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 -1.8799999356269836e+02) (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 -1.8799999356269836e+02) (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 -1.8799999356269836e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.4999899789690971e+01 -2.0225500687956810e+01 1.4694600366055965e+01) (float-vector 2.5000099092721939e+01 -2.3776300251483917e+01 7.7254301868379116e+00) (float-vector -2.4999899789690971e+01 -2.5000099092721939e+01 3.0616200265950636e-15)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000099092721939e+01 -2.3776300251483917e+01 7.7254301868379116e+00) (float-vector -2.4999899789690971e+01 -2.0225500687956810e+01 1.4694600366055965e+01) (float-vector 2.5000099092721939e+01 -1.4694499783217907e+01 2.0225400105118752e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000099092721939e+01 -2.3776300251483917e+01 7.7254301868379116e+00) (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 -1.8799999356269836e+02) (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 -1.8799999356269836e+02) (float-vector -2.4999899789690971e+01 -2.5000099092721939e+01 3.0616200265950636e-15)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 2.5000000372529030e+01 -1.8799999356269836e+02) (float-vector -2.5000099092721939e+01 2.3776300251483917e+01 7.7254301868379116e+00) (float-vector -2.5000000372529030e+01 7.7253300696611404e+00 2.3776400834321976e+01) (float-vector -2.5000000372529030e+01 -7.7255200594663620e+00 2.3776400834321976e+01) (float-vector -2.4999899789690971e+01 -2.0225500687956810e+01 1.4694600366055965e+01) (float-vector -2.4999899789690971e+01 -2.5000099092721939e+01 3.0616200265950636e-15) (float-vector -2.5000000372529030e+01 -2.5000000372529030e+01 -1.8799999356269836e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.5000000372529030e+01 -7.7255200594663620e+00 2.3776400834321976e+01) (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.5000000372529030e+01) (float-vector 2.5000099092721939e+01 -1.4694499783217907e+01 2.0225400105118752e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 7.7255200594663620e+00 2.3776400834321976e+01) (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.5000000372529030e+01) (float-vector -2.5000000372529030e+01 -7.7255200594663620e+00 2.3776400834321976e+01) (float-vector -2.5000000372529030e+01 7.7253300696611404e+00 2.3776400834321976e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.5000000372529030e+01 -2.5000000372529030e+01 -1.8799999356269836e+02) (float-vector 2.5000099092721939e+01 -2.3776300251483917e+01 7.7254301868379116e+00) (float-vector 2.5000099092721939e+01 -1.4694499783217907e+01 2.0225400105118752e+01) (float-vector 2.5000000372529030e+01 9.1830102633139177e-05 2.5000000372529030e+01) (float-vector 2.5000000372529030e+01 7.7255200594663620e+00 2.3776400834321976e+01) (float-vector 2.4999899789690971e+01 2.3776499554514885e+01 7.7254301868379116e+00) (float-vector 2.5000000372529030e+01 2.5000000372529030e+01 -1.8799999356269836e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.4999899789690971e+01 2.3776499554514885e+01 7.7254301868379116e+00) (float-vector 2.5000000372529030e+01 7.7255200594663620e+00 2.3776400834321976e+01) (float-vector -2.5000000372529030e+01 7.7253300696611404e+00 2.3776400834321976e+01) (float-vector -2.5000099092721939e+01 2.3776300251483917e+01 7.7254301868379116e+00)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_RARM_LINK2_0Npmh2.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_LLEG_LINK5_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 -3.0000000000000000e+02))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 0.800000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 0 6 1 0 8 6 0 10 8 0 12 10 0 14 12 0 16 14 0 18 16 0 20 18 0 22 20 0 24 22 0 26 24 0 28 26 0 30 28 0 32 30 0 34 32 0 36 34 0 38 36 0 40 38 0 2 40 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 38 40 41 40 4 41 40 2 4 2 3 4 2 1 3 5 4 3 5 41 4 5 39 41 5 37 39 5 35 37 5 33 35 5 3 7 5 7 9 5 9 11 5 11 13 5 13 15 5 15 17 5 17 19 5 19 21 5 21 23 5 23 25 5 25 27 5 27 29 5 29 31 5 31 33 22 25 23 22 24 25 24 27 25 24 26 27 26 29 27 26 28 29 28 31 29 28 30 31 30 33 31 20 22 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 12 14 15 14 17 15 10 12 13 12 15 13 8 10 11 10 13 11 6 8 9 8 11 9 1 6 7 6 9 7 1 7 3))
                   (list :vertices (let ((mat (make-matrix 42 3))) (fvector-replace (array-entity mat) #f(0.0000000000000000e+00 5.0000000745058060e+01 3.0000001192092896e+02 4.7552801668643951e+01 5.0000000745058060e+01 3.1545099616050720e+02 5.0000000745058060e+01 5.0000000745058060e+01 3.0000001192092896e+02 4.7552801668643951e+01 -5.0000000745058060e+01 3.1545099616050720e+02 5.0000000745058060e+01 -5.0000000745058060e+01 3.0000001192092896e+02 0.0000000000000000e+00 -5.0000000745058060e+01 3.0000001192092896e+02 4.0450800210237503e+01 5.0000000745058060e+01 3.2938900589942932e+02 4.0450800210237503e+01 -5.0000000745058060e+01 3.2938900589942932e+02 2.9389299452304840e+01 5.0000000745058060e+01 3.4045100212097168e+02 2.9389299452304840e+01 -5.0000000745058060e+01 3.4045100212097168e+02 1.5450900420546532e+01 5.0000000745058060e+01 3.4755301475524902e+02 1.5450900420546532e+01 -5.0000000745058060e+01 3.4755301475524902e+02 3.0616200265950636e-15 5.0000000745058060e+01 3.4999999403953552e+02 3.0616200265950636e-15 -5.0000000745058060e+01 3.4999999403953552e+02 -1.5450900420546532e+01 5.0000000745058060e+01 3.4755301475524902e+02 -1.5450900420546532e+01 -5.0000000745058060e+01 3.4755301475524902e+02 -2.9389299452304840e+01 5.0000000745058060e+01 3.4045100212097168e+02 -2.9389299452304840e+01 -5.0000000745058060e+01 3.4045100212097168e+02 -4.0450800210237503e+01 5.0000000745058060e+01 3.2938900589942932e+02 -4.0450800210237503e+01 -5.0000000745058060e+01 3.2938900589942932e+02 -4.7552801668643951e+01 5.0000000745058060e+01 3.1545099616050720e+02 -4.7552801668643951e+01 -5.0000000745058060e+01 3.1545099616050720e+02 -5.0000000745058060e+01 5.0000000745058060e+01 3.0000001192092896e+02 -5.0000000745058060e+01 -5.0000000745058060e+01 3.0000001192092896e+02 -4.7552801668643951e+01 5.0000000745058060e+01 2.8454899787902832e+02 -4.7552801668643951e+01 -5.0000000745058060e+01 2.8454899787902832e+02 -4.0450800210237503e+01 5.0000000745058060e+01 2.7061098814010620e+02 -4.0450800210237503e+01 -5.0000000745058060e+01 2.7061098814010620e+02 -2.9389299452304840e+01 5.0000000745058060e+01 2.5954899191856384e+02 -2.9389299452304840e+01 -5.0000000745058060e+01 2.5954899191856384e+02 -1.5450900420546532e+01 5.0000000745058060e+01 2.5244700908660889e+02 -1.5450900420546532e+01 -5.0000000745058060e+01 2.5244700908660889e+02 -9.1848497400275338e-15 5.0000000745058060e+01 2.5000000000000000e+02 -9.1848497400275338e-15 -5.0000000745058060e+01 2.5000000000000000e+02 1.5450900420546532e+01 5.0000000745058060e+01 2.5244700908660889e+02 1.5450900420546532e+01 -5.0000000745058060e+01 2.5244700908660889e+02 2.9389299452304840e+01 5.0000000745058060e+01 2.5954899191856384e+02 2.9389299452304840e+01 -5.0000000745058060e+01 2.5954899191856384e+02 4.0450800210237503e+01 5.0000000745058060e+01 2.7061098814010620e+02 4.0450800210237503e+01 -5.0000000745058060e+01 2.7061098814010620e+02 4.7552801668643951e+01 5.0000000745058060e+01 2.8454899787902832e+02 4.7552801668643951e+01 -5.0000000745058060e+01 2.8454899787902832e+02 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 240 -> 14 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 2.8454899787902832e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 3.0000001192092896e+02) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 3.0000001192092896e+02) (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 2.8454899787902832e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 3.0000001192092896e+02) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 2.8454899787902832e+02) (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 2.8454899787902832e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 3.0000001192092896e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 2.5954899191856384e+02) (float-vector -9.1848497400275338e-15 -5.0000000745058060e+01 2.5000000000000000e+02) (float-vector -9.1848497400275338e-15 5.0000000745058060e+01 2.5000000000000000e+02) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 2.5954899191856384e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 3.0616200265950636e-15 -5.0000000745058060e+01 3.4999999403953552e+02) (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 3.4045100212097168e+02) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 3.4045100212097168e+02) (float-vector 3.0616200265950636e-15 5.0000000745058060e+01 3.4999999403953552e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -9.1848497400275338e-15 -5.0000000745058060e+01 2.5000000000000000e+02) (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 2.5954899191856384e+02) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 2.5954899191856384e+02) (float-vector -9.1848497400275338e-15 5.0000000745058060e+01 2.5000000000000000e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 2.5954899191856384e+02) (float-vector -9.1848497400275338e-15 5.0000000745058060e+01 2.5000000000000000e+02) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 2.5954899191856384e+02) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 2.8454899787902832e+02) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 3.0000001192092896e+02) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 3.1545099616050720e+02) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 3.4045100212097168e+02) (float-vector 3.0616200265950636e-15 5.0000000745058060e+01 3.4999999403953552e+02) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 3.4045100212097168e+02) (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 3.1545099616050720e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 3.0000001192092896e+02) (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 2.8454899787902832e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 3.4045100212097168e+02) (float-vector 3.0616200265950636e-15 -5.0000000745058060e+01 3.4999999403953552e+02) (float-vector 3.0616200265950636e-15 5.0000000745058060e+01 3.4999999403953552e+02) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 3.4045100212097168e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 2.8454899787902832e+02) (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 2.5954899191856384e+02) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 2.5954899191856384e+02) (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 2.8454899787902832e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 3.1545099616050720e+02) (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 3.1545099616050720e+02) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 3.0000001192092896e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 3.0000001192092896e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 2.5954899191856384e+02) (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 2.8454899787902832e+02) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 2.8454899787902832e+02) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 2.5954899191856384e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 3.1545099616050720e+02) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 3.1545099616050720e+02) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 3.0000001192092896e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 3.0000001192092896e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 3.4045100212097168e+02) (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 3.1545099616050720e+02) (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 3.1545099616050720e+02) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 3.4045100212097168e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 3.1545099616050720e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 3.0000001192092896e+02) (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 2.8454899787902832e+02) (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 2.5954899191856384e+02) (float-vector -9.1848497400275338e-15 -5.0000000745058060e+01 2.5000000000000000e+02) (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 2.5954899191856384e+02) (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 2.8454899787902832e+02) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 3.0000001192092896e+02) (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 3.1545099616050720e+02) (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 3.4045100212097168e+02) (float-vector 3.0616200265950636e-15 -5.0000000745058060e+01 3.4999999403953552e+02) (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 3.4045100212097168e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 3.1545099616050720e+02) (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 3.4045100212097168e+02) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 3.4045100212097168e+02) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 3.1545099616050720e+02)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_LLEG_LINK5_qaSBsD.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_RLEG_LINK5_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 -3.0000000000000000e+02))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 0.800000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 0 6 1 0 8 6 0 10 8 0 12 10 0 14 12 0 16 14 0 18 16 0 20 18 0 22 20 0 24 22 0 26 24 0 28 26 0 30 28 0 32 30 0 34 32 0 36 34 0 38 36 0 40 38 0 2 40 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 38 40 41 40 4 41 40 2 4 2 3 4 2 1 3 5 4 3 5 41 4 5 39 41 5 37 39 5 35 37 5 33 35 5 3 7 5 7 9 5 9 11 5 11 13 5 13 15 5 15 17 5 17 19 5 19 21 5 21 23 5 23 25 5 25 27 5 27 29 5 29 31 5 31 33 22 25 23 22 24 25 24 27 25 24 26 27 26 29 27 26 28 29 28 31 29 28 30 31 30 33 31 20 22 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 12 14 15 14 17 15 10 12 13 12 15 13 8 10 11 10 13 11 6 8 9 8 11 9 1 6 7 6 9 7 1 7 3))
                   (list :vertices (let ((mat (make-matrix 42 3))) (fvector-replace (array-entity mat) #f(0.0000000000000000e+00 5.0000000745058060e+01 3.0000001192092896e+02 4.7552801668643951e+01 5.0000000745058060e+01 3.1545099616050720e+02 5.0000000745058060e+01 5.0000000745058060e+01 3.0000001192092896e+02 4.7552801668643951e+01 -5.0000000745058060e+01 3.1545099616050720e+02 5.0000000745058060e+01 -5.0000000745058060e+01 3.0000001192092896e+02 0.0000000000000000e+00 -5.0000000745058060e+01 3.0000001192092896e+02 4.0450800210237503e+01 5.0000000745058060e+01 3.2938900589942932e+02 4.0450800210237503e+01 -5.0000000745058060e+01 3.2938900589942932e+02 2.9389299452304840e+01 5.0000000745058060e+01 3.4045100212097168e+02 2.9389299452304840e+01 -5.0000000745058060e+01 3.4045100212097168e+02 1.5450900420546532e+01 5.0000000745058060e+01 3.4755301475524902e+02 1.5450900420546532e+01 -5.0000000745058060e+01 3.4755301475524902e+02 3.0616200265950636e-15 5.0000000745058060e+01 3.4999999403953552e+02 3.0616200265950636e-15 -5.0000000745058060e+01 3.4999999403953552e+02 -1.5450900420546532e+01 5.0000000745058060e+01 3.4755301475524902e+02 -1.5450900420546532e+01 -5.0000000745058060e+01 3.4755301475524902e+02 -2.9389299452304840e+01 5.0000000745058060e+01 3.4045100212097168e+02 -2.9389299452304840e+01 -5.0000000745058060e+01 3.4045100212097168e+02 -4.0450800210237503e+01 5.0000000745058060e+01 3.2938900589942932e+02 -4.0450800210237503e+01 -5.0000000745058060e+01 3.2938900589942932e+02 -4.7552801668643951e+01 5.0000000745058060e+01 3.1545099616050720e+02 -4.7552801668643951e+01 -5.0000000745058060e+01 3.1545099616050720e+02 -5.0000000745058060e+01 5.0000000745058060e+01 3.0000001192092896e+02 -5.0000000745058060e+01 -5.0000000745058060e+01 3.0000001192092896e+02 -4.7552801668643951e+01 5.0000000745058060e+01 2.8454899787902832e+02 -4.7552801668643951e+01 -5.0000000745058060e+01 2.8454899787902832e+02 -4.0450800210237503e+01 5.0000000745058060e+01 2.7061098814010620e+02 -4.0450800210237503e+01 -5.0000000745058060e+01 2.7061098814010620e+02 -2.9389299452304840e+01 5.0000000745058060e+01 2.5954899191856384e+02 -2.9389299452304840e+01 -5.0000000745058060e+01 2.5954899191856384e+02 -1.5450900420546532e+01 5.0000000745058060e+01 2.5244700908660889e+02 -1.5450900420546532e+01 -5.0000000745058060e+01 2.5244700908660889e+02 -9.1848497400275338e-15 5.0000000745058060e+01 2.5000000000000000e+02 -9.1848497400275338e-15 -5.0000000745058060e+01 2.5000000000000000e+02 1.5450900420546532e+01 5.0000000745058060e+01 2.5244700908660889e+02 1.5450900420546532e+01 -5.0000000745058060e+01 2.5244700908660889e+02 2.9389299452304840e+01 5.0000000745058060e+01 2.5954899191856384e+02 2.9389299452304840e+01 -5.0000000745058060e+01 2.5954899191856384e+02 4.0450800210237503e+01 5.0000000745058060e+01 2.7061098814010620e+02 4.0450800210237503e+01 -5.0000000745058060e+01 2.7061098814010620e+02 4.7552801668643951e+01 5.0000000745058060e+01 2.8454899787902832e+02 4.7552801668643951e+01 -5.0000000745058060e+01 2.8454899787902832e+02 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 240 -> 14 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 2.8454899787902832e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 3.0000001192092896e+02) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 3.0000001192092896e+02) (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 2.8454899787902832e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 3.0000001192092896e+02) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 2.8454899787902832e+02) (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 2.8454899787902832e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 3.0000001192092896e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 2.5954899191856384e+02) (float-vector -9.1848497400275338e-15 -5.0000000745058060e+01 2.5000000000000000e+02) (float-vector -9.1848497400275338e-15 5.0000000745058060e+01 2.5000000000000000e+02) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 2.5954899191856384e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 3.0616200265950636e-15 -5.0000000745058060e+01 3.4999999403953552e+02) (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 3.4045100212097168e+02) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 3.4045100212097168e+02) (float-vector 3.0616200265950636e-15 5.0000000745058060e+01 3.4999999403953552e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -9.1848497400275338e-15 -5.0000000745058060e+01 2.5000000000000000e+02) (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 2.5954899191856384e+02) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 2.5954899191856384e+02) (float-vector -9.1848497400275338e-15 5.0000000745058060e+01 2.5000000000000000e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 2.5954899191856384e+02) (float-vector -9.1848497400275338e-15 5.0000000745058060e+01 2.5000000000000000e+02) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 2.5954899191856384e+02) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 2.8454899787902832e+02) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 3.0000001192092896e+02) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 3.1545099616050720e+02) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 3.4045100212097168e+02) (float-vector 3.0616200265950636e-15 5.0000000745058060e+01 3.4999999403953552e+02) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 3.4045100212097168e+02) (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 3.1545099616050720e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 3.0000001192092896e+02) (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 2.8454899787902832e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 3.4045100212097168e+02) (float-vector 3.0616200265950636e-15 -5.0000000745058060e+01 3.4999999403953552e+02) (float-vector 3.0616200265950636e-15 5.0000000745058060e+01 3.4999999403953552e+02) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 3.4045100212097168e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 2.8454899787902832e+02) (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 2.5954899191856384e+02) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 2.5954899191856384e+02) (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 2.8454899787902832e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 3.1545099616050720e+02) (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 3.1545099616050720e+02) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 3.0000001192092896e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 3.0000001192092896e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 2.5954899191856384e+02) (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 2.8454899787902832e+02) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 2.8454899787902832e+02) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 2.5954899191856384e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 3.1545099616050720e+02) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 3.1545099616050720e+02) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 3.0000001192092896e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 3.0000001192092896e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 3.4045100212097168e+02) (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 3.1545099616050720e+02) (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 3.1545099616050720e+02) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 3.4045100212097168e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 3.1545099616050720e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 3.0000001192092896e+02) (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 2.8454899787902832e+02) (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 2.5954899191856384e+02) (float-vector -9.1848497400275338e-15 -5.0000000745058060e+01 2.5000000000000000e+02) (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 2.5954899191856384e+02) (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 2.8454899787902832e+02) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 3.0000001192092896e+02) (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 3.1545099616050720e+02) (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 3.4045100212097168e+02) (float-vector 3.0616200265950636e-15 -5.0000000745058060e+01 3.4999999403953552e+02) (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 3.4045100212097168e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 3.1545099616050720e+02) (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 3.4045100212097168e+02) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 3.4045100212097168e+02) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 3.1545099616050720e+02)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_RLEG_LINK5_6vDVJe.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_RLEG_LINK4_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 1.000000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 2 3 0 1 0 6 6 0 7 5 7 0 0 3 5 4 2 1 1 6 4 3 2 4 3 4 5 4 7 5 6 7 4 8 9 10 8 14 9 8 16 14 8 18 16 8 20 18 8 22 20 8 24 22 8 26 24 8 29 30 8 34 29 8 36 34 8 38 36 8 40 38 8 42 40 8 44 42 8 46 44 8 48 46 8 50 48 8 54 50 8 10 54 42 44 45 44 47 45 44 46 47 46 49 47 46 48 49 48 51 49 48 50 52 50 55 56 50 54 55 13 57 55 54 12 55 13 55 12 10 11 12 13 12 11 54 10 12 10 9 11 9 15 11 13 11 15 9 14 15 14 17 15 13 15 17 14 16 17 16 19 17 13 17 19 16 18 19 18 21 19 13 19 21 18 20 21 20 23 21 13 21 23 20 22 23 22 25 23 13 23 25 22 24 25 24 27 25 13 25 27 24 28 27 31 32 27 13 27 32 33 29 32 29 35 32 13 32 35 29 34 35 34 37 35 13 35 37 34 36 37 36 39 37 13 37 39 36 38 39 38 41 39 13 39 41 38 40 41 40 43 41 13 41 43 40 42 43 42 45 43 13 43 45 13 45 47 13 47 49 13 49 53))
                   (list :vertices (let ((mat (make-matrix 58 3))) (fvector-replace (array-entity mat) #f(-5.0000000745058060e+01 -5.0000000745058060e+01 -2.5000000000000000e+02 -5.0000000745058060e+01 -5.0000000745058060e+01 -5.0000000745058060e+01 -5.0000000745058060e+01 5.0000000745058060e+01 -5.0000000745058060e+01 -5.0000000745058060e+01 5.0000000745058060e+01 -2.5000000000000000e+02 5.0000000745058060e+01 5.0000000745058060e+01 -5.0000000745058060e+01 5.0000000745058060e+01 5.0000000745058060e+01 -2.5000000000000000e+02 5.0000000745058060e+01 -5.0000000745058060e+01 -5.0000000745058060e+01 5.0000000745058060e+01 -5.0000000745058060e+01 -2.5000000000000000e+02 0.0000000000000000e+00 5.0000000745058060e+01 0.0000000000000000e+00 4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01 5.0000000745058060e+01 5.0000000745058060e+01 0.0000000000000000e+00 4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01 5.0000000745058060e+01 -5.0000000745058060e+01 0.0000000000000000e+00 0.0000000000000000e+00 -5.0000000745058060e+01 0.0000000000000000e+00 4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 4.0450800210237503e+01 -5.0000000745058060e+01 2.9389299452304840e+01 2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01 2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01 1.5450900420546532e+01 5.0000000745058060e+01 4.7552801668643951e+01 1.5450900420546532e+01 -5.0000000745058060e+01 4.7552801668643951e+01 3.0616200265950636e-15 5.0000000745058060e+01 5.0000000745058060e+01 3.0616200265950636e-15 -5.0000000745058060e+01 5.0000000745058060e+01 -1.5450900420546532e+01 5.0000000745058060e+01 4.7552801668643951e+01 -1.5450900420546532e+01 -5.0000000745058060e+01 4.7552801668643951e+01 -2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01 -2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01 -4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 -4.0450800210237503e+01 -5.0000000745058060e+01 2.9389299452304840e+01 -4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 -4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01 -4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 -4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 -4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01 -4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 -5.0000000745058060e+01 5.0000000745058060e+01 6.1232301270227765e-15 -5.0000000745058060e+01 -5.0000000745058060e+01 6.1232301270227765e-15 -4.7552801668643951e+01 5.0000000745058060e+01 -1.5450900420546532e+01 -4.7552801668643951e+01 -5.0000000745058060e+01 -1.5450900420546532e+01 -4.0450800210237503e+01 5.0000000745058060e+01 -2.9389299452304840e+01 -4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 -2.9389299452304840e+01 5.0000000745058060e+01 -4.0450800210237503e+01 -2.9389299452304840e+01 -5.0000000745058060e+01 -4.0450800210237503e+01 -1.5450900420546532e+01 5.0000000745058060e+01 -4.7552801668643951e+01 -1.5450900420546532e+01 -5.0000000745058060e+01 -4.7552801668643951e+01 -9.1848497400275338e-15 5.0000000745058060e+01 -5.0000000745058060e+01 -9.1848497400275338e-15 -5.0000000745058060e+01 -5.0000000745058060e+01 1.5450900420546532e+01 5.0000000745058060e+01 -4.7552801668643951e+01 1.5450900420546532e+01 -5.0000000745058060e+01 -4.7552801668643951e+01 2.9389299452304840e+01 5.0000000745058060e+01 -4.0450800210237503e+01 2.9389299452304840e+01 -5.0000000745058060e+01 -4.0450800210237503e+01 4.0450800210237503e+01 5.0000000745058060e+01 -2.9389299452304840e+01 4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 4.7552801668643951e+01 5.0000000745058060e+01 -1.5450900420546532e+01 4.7552801668643951e+01 -5.0000000745058060e+01 -1.5450900420546532e+01 4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 276 -> 11 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 -2.5000000000000000e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 -2.5000000000000000e+02) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 -2.5000000000000000e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 -2.5000000000000000e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 -5.0000000745058060e+01) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 -2.5000000000000000e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 -2.5000000000000000e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 -2.5000000000000000e+02) (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 -2.5000000000000000e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.5450900420546532e+01 -5.0000000745058060e+01 4.7552801668643951e+01) (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01) (float-vector -1.5450900420546532e+01 5.0000000745058060e+01 4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 3.0616200265950636e-15 5.0000000745058060e+01 5.0000000745058060e+01) (float-vector 3.0616200265950636e-15 -5.0000000745058060e+01 5.0000000745058060e+01) (float-vector -1.5450900420546532e+01 -5.0000000745058060e+01 4.7552801668643951e+01) (float-vector -1.5450900420546532e+01 5.0000000745058060e+01 4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01) (float-vector 3.0616200265950636e-15 5.0000000745058060e+01 5.0000000745058060e+01) (float-vector -1.5450900420546532e+01 5.0000000745058060e+01 4.7552801668643951e+01) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01) (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 -2.5000000000000000e+02) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 -2.5000000000000000e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01) (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01) (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01) (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 -2.5000000000000000e+02) (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01) (float-vector -1.5450900420546532e+01 -5.0000000745058060e+01 4.7552801668643951e+01) (float-vector 3.0616200265950636e-15 -5.0000000745058060e+01 5.0000000745058060e+01) (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01) (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 -5.0000000745058060e+01) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 -2.5000000000000000e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01) (float-vector 3.0616200265950636e-15 -5.0000000745058060e+01 5.0000000745058060e+01) (float-vector 3.0616200265950636e-15 5.0000000745058060e+01 5.0000000745058060e+01) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_RLEG_LINK4_N88AXP.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_LLEG_LINK1_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 9.0000000000000000e+01 0.0000000000000000e+00))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 0.800000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 0 6 1 0 8 6 0 10 8 0 12 10 0 14 12 0 16 14 0 18 16 0 20 18 0 22 20 0 24 22 0 26 24 0 28 26 0 30 28 0 32 30 0 34 32 0 36 34 0 38 36 0 40 38 0 2 40 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 38 40 41 40 4 41 40 2 4 2 3 4 2 1 3 5 4 3 5 41 4 5 39 41 5 37 39 5 35 37 5 33 35 5 3 7 5 7 9 5 9 11 5 11 13 5 13 15 5 15 17 5 17 19 5 19 21 5 21 23 5 23 25 5 25 27 5 27 29 5 29 31 5 31 33 22 25 23 22 24 25 24 27 25 24 26 27 26 29 27 26 28 29 28 31 29 28 30 31 30 33 31 20 22 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 12 14 15 14 17 15 10 12 13 12 15 13 8 10 11 10 13 11 6 8 9 8 11 9 1 6 7 6 9 7 1 7 3))
                   (list :vertices (let ((mat (make-matrix 42 3))) (fvector-replace (array-entity mat) #f(-5.0000000745058060e+01 -9.0000197291374207e+01 0.0000000000000000e+00 -5.0000198185443878e+01 -4.2447399348020554e+01 1.5450900420546532e+01 -5.0000198185443878e+01 -4.0000200271606445e+01 0.0000000000000000e+00 4.9999799579381943e+01 -4.2447000741958618e+01 1.5450900420546532e+01 4.9999799579381943e+01 -3.9999801665544510e+01 0.0000000000000000e+00 5.0000000745058060e+01 -8.9999802410602570e+01 0.0000000000000000e+00 -5.0000101327896118e+01 -4.9549300223588943e+01 2.9389299452304840e+01 4.9999900162220001e+01 -4.9548998475074768e+01 2.9389299452304840e+01 -5.0000101327896118e+01 -6.0610901564359665e+01 4.0450800210237503e+01 4.9999900162220001e+01 -6.0610599815845490e+01 4.0450800210237503e+01 -5.0000101327896118e+01 -7.4549302458763123e+01 4.7552801668643951e+01 4.9999900162220001e+01 -7.4548996984958649e+01 4.7552801668643951e+01 -5.0000000745058060e+01 -9.0000197291374207e+01 5.0000000745058060e+01 5.0000000745058060e+01 -8.9999802410602570e+01 5.0000000745058060e+01 -4.9999900162220001e+01 -1.0545100271701813e+02 4.7552801668643951e+01 5.0000101327896118e+01 -1.0545100271701813e+02 4.7552801668643951e+01 -4.9999900162220001e+01 -1.1938899755477905e+02 4.0450800210237503e+01 5.0000101327896118e+01 -1.1938899755477905e+02 4.0450800210237503e+01 -4.9999900162220001e+01 -1.3045099377632141e+02 2.9389299452304840e+01 5.0000101327896118e+01 -1.3045099377632141e+02 2.9389299452304840e+01 -4.9999799579381943e+01 -1.3755300641059875e+02 1.5450900420546532e+01 5.0000198185443878e+01 -1.3755300641059875e+02 1.5450900420546532e+01 -4.9999799579381943e+01 -1.4000000059604645e+02 6.1232301270227765e-15 5.0000198185443878e+01 -1.4000000059604645e+02 6.1232301270227765e-15 -4.9999799579381943e+01 -1.3755300641059875e+02 -1.5450900420546532e+01 5.0000198185443878e+01 -1.3755300641059875e+02 -1.5450900420546532e+01 -4.9999900162220001e+01 -1.3045099377632141e+02 -2.9389299452304840e+01 5.0000101327896118e+01 -1.3045099377632141e+02 -2.9389299452304840e+01 -4.9999900162220001e+01 -1.1938899755477905e+02 -4.0450800210237503e+01 5.0000101327896118e+01 -1.1938899755477905e+02 -4.0450800210237503e+01 -4.9999900162220001e+01 -1.0545100271701813e+02 -4.7552801668643951e+01 5.0000101327896118e+01 -1.0545100271701813e+02 -4.7552801668643951e+01 -5.0000000745058060e+01 -9.0000197291374207e+01 -5.0000000745058060e+01 5.0000000745058060e+01 -8.9999802410602570e+01 -5.0000000745058060e+01 -5.0000101327896118e+01 -7.4549302458763123e+01 -4.7552801668643951e+01 4.9999900162220001e+01 -7.4548996984958649e+01 -4.7552801668643951e+01 -5.0000101327896118e+01 -6.0610901564359665e+01 -4.0450800210237503e+01 4.9999900162220001e+01 -6.0610599815845490e+01 -4.0450800210237503e+01 -5.0000101327896118e+01 -4.9549300223588943e+01 -2.9389299452304840e+01 4.9999900162220001e+01 -4.9548998475074768e+01 -2.9389299452304840e+01 -5.0000198185443878e+01 -4.2447399348020554e+01 -1.5450900420546532e+01 4.9999799579381943e+01 -4.2447000741958618e+01 -1.5450900420546532e+01 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 240 -> 16 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.9999799579381943e+01 -3.9999801665544510e+01 0.0000000000000000e+00) (float-vector 4.9999799579381943e+01 -4.2447000741958618e+01 1.5450900420546532e+01) (float-vector -5.0000198185443878e+01 -4.2447399348020554e+01 1.5450900420546532e+01) (float-vector -5.0000198185443878e+01 -4.0000200271606445e+01 0.0000000000000000e+00)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 -8.9999802410602570e+01 -5.0000000745058060e+01) (float-vector 4.9999900162220001e+01 -7.4548996984958649e+01 -4.7552801668643951e+01) (float-vector -5.0000101327896118e+01 -7.4549302458763123e+01 -4.7552801668643951e+01) (float-vector -5.0000000745058060e+01 -9.0000197291374207e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.9999900162220001e+01 -1.3045099377632141e+02 2.9389299452304840e+01) (float-vector 5.0000101327896118e+01 -1.3045099377632141e+02 2.9389299452304840e+01) (float-vector 5.0000198185443878e+01 -1.3755300641059875e+02 1.5450900420546532e+01) (float-vector -4.9999799579381943e+01 -1.3755300641059875e+02 1.5450900420546532e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.9999900162220001e+01 -7.4548996984958649e+01 4.7552801668643951e+01) (float-vector 5.0000000745058060e+01 -8.9999802410602570e+01 5.0000000745058060e+01) (float-vector -5.0000000745058060e+01 -9.0000197291374207e+01 5.0000000745058060e+01) (float-vector -5.0000101327896118e+01 -7.4549302458763123e+01 4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -5.0000101327896118e+01 -4.9549300223588943e+01 2.9389299452304840e+01) (float-vector -5.0000198185443878e+01 -4.2447399348020554e+01 1.5450900420546532e+01) (float-vector 4.9999799579381943e+01 -4.2447000741958618e+01 1.5450900420546532e+01) (float-vector 4.9999900162220001e+01 -4.9548998475074768e+01 2.9389299452304840e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000101327896118e+01 -1.0545100271701813e+02 4.7552801668643951e+01) (float-vector -4.9999900162220001e+01 -1.0545100271701813e+02 4.7552801668643951e+01) (float-vector -5.0000000745058060e+01 -9.0000197291374207e+01 5.0000000745058060e+01) (float-vector 5.0000000745058060e+01 -8.9999802410602570e+01 5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.9999900162220001e+01 -4.9548998475074768e+01 -2.9389299452304840e+01) (float-vector 4.9999799579381943e+01 -3.9999801665544510e+01 0.0000000000000000e+00) (float-vector -5.0000198185443878e+01 -4.0000200271606445e+01 0.0000000000000000e+00) (float-vector -5.0000101327896118e+01 -4.9549300223588943e+01 -2.9389299452304840e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -5.0000000745058060e+01 -9.0000197291374207e+01 -5.0000000745058060e+01) (float-vector -4.9999900162220001e+01 -1.0545100271701813e+02 -4.7552801668643951e+01) (float-vector 5.0000101327896118e+01 -1.0545100271701813e+02 -4.7552801668643951e+01) (float-vector 5.0000000745058060e+01 -8.9999802410602570e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000198185443878e+01 -1.3755300641059875e+02 1.5450900420546532e+01) (float-vector 5.0000198185443878e+01 -1.3755300641059875e+02 -1.5450900420546532e+01) (float-vector -4.9999799579381943e+01 -1.3755300641059875e+02 -1.5450900420546532e+01) (float-vector -4.9999799579381943e+01 -1.3755300641059875e+02 1.5450900420546532e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000101327896118e+01 -1.3045099377632141e+02 -2.9389299452304840e+01) (float-vector -4.9999900162220001e+01 -1.3045099377632141e+02 -2.9389299452304840e+01) (float-vector -4.9999799579381943e+01 -1.3755300641059875e+02 -1.5450900420546532e+01) (float-vector 5.0000198185443878e+01 -1.3755300641059875e+02 -1.5450900420546532e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.9999900162220001e+01 -1.0545100271701813e+02 -4.7552801668643951e+01) (float-vector -5.0000000745058060e+01 -9.0000197291374207e+01 -5.0000000745058060e+01) (float-vector -5.0000101327896118e+01 -7.4549302458763123e+01 -4.7552801668643951e+01) (float-vector -5.0000101327896118e+01 -4.9549300223588943e+01 -2.9389299452304840e+01) (float-vector -5.0000198185443878e+01 -4.0000200271606445e+01 0.0000000000000000e+00) (float-vector -5.0000198185443878e+01 -4.2447399348020554e+01 1.5450900420546532e+01) (float-vector -5.0000101327896118e+01 -4.9549300223588943e+01 2.9389299452304840e+01) (float-vector -5.0000101327896118e+01 -7.4549302458763123e+01 4.7552801668643951e+01) (float-vector -5.0000000745058060e+01 -9.0000197291374207e+01 5.0000000745058060e+01) (float-vector -4.9999900162220001e+01 -1.0545100271701813e+02 4.7552801668643951e+01) (float-vector -4.9999900162220001e+01 -1.3045099377632141e+02 2.9389299452304840e+01) (float-vector -4.9999799579381943e+01 -1.3755300641059875e+02 1.5450900420546532e+01) (float-vector -4.9999799579381943e+01 -1.3755300641059875e+02 -1.5450900420546532e+01) (float-vector -4.9999900162220001e+01 -1.3045099377632141e+02 -2.9389299452304840e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.9999900162220001e+01 -1.3045099377632141e+02 2.9389299452304840e+01) (float-vector -4.9999900162220001e+01 -1.0545100271701813e+02 4.7552801668643951e+01) (float-vector 5.0000101327896118e+01 -1.0545100271701813e+02 4.7552801668643951e+01) (float-vector 5.0000101327896118e+01 -1.3045099377632141e+02 2.9389299452304840e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.9999900162220001e+01 -7.4548996984958649e+01 -4.7552801668643951e+01) (float-vector 4.9999900162220001e+01 -4.9548998475074768e+01 -2.9389299452304840e+01) (float-vector -5.0000101327896118e+01 -4.9549300223588943e+01 -2.9389299452304840e+01) (float-vector -5.0000101327896118e+01 -7.4549302458763123e+01 -4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000101327896118e+01 -1.3045099377632141e+02 -2.9389299452304840e+01) (float-vector 5.0000101327896118e+01 -1.0545100271701813e+02 -4.7552801668643951e+01) (float-vector -4.9999900162220001e+01 -1.0545100271701813e+02 -4.7552801668643951e+01) (float-vector -4.9999900162220001e+01 -1.3045099377632141e+02 -2.9389299452304840e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000198185443878e+01 -1.3755300641059875e+02 -1.5450900420546532e+01) (float-vector 5.0000198185443878e+01 -1.3755300641059875e+02 1.5450900420546532e+01) (float-vector 5.0000101327896118e+01 -1.3045099377632141e+02 2.9389299452304840e+01) (float-vector 5.0000101327896118e+01 -1.0545100271701813e+02 4.7552801668643951e+01) (float-vector 5.0000000745058060e+01 -8.9999802410602570e+01 5.0000000745058060e+01) (float-vector 4.9999900162220001e+01 -7.4548996984958649e+01 4.7552801668643951e+01) (float-vector 4.9999900162220001e+01 -4.9548998475074768e+01 2.9389299452304840e+01) (float-vector 4.9999799579381943e+01 -4.2447000741958618e+01 1.5450900420546532e+01) (float-vector 4.9999799579381943e+01 -3.9999801665544510e+01 0.0000000000000000e+00) (float-vector 4.9999900162220001e+01 -4.9548998475074768e+01 -2.9389299452304840e+01) (float-vector 4.9999900162220001e+01 -7.4548996984958649e+01 -4.7552801668643951e+01) (float-vector 5.0000000745058060e+01 -8.9999802410602570e+01 -5.0000000745058060e+01) (float-vector 5.0000101327896118e+01 -1.0545100271701813e+02 -4.7552801668643951e+01) (float-vector 5.0000101327896118e+01 -1.3045099377632141e+02 -2.9389299452304840e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.9999900162220001e+01 -4.9548998475074768e+01 2.9389299452304840e+01) (float-vector 4.9999900162220001e+01 -7.4548996984958649e+01 4.7552801668643951e+01) (float-vector -5.0000101327896118e+01 -7.4549302458763123e+01 4.7552801668643951e+01) (float-vector -5.0000101327896118e+01 -4.9549300223588943e+01 2.9389299452304840e+01)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_LLEG_LINK1_YwaUi2.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_RLEG_LINK1_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 -9.0000000000000000e+01 0.0000000000000000e+00))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 0.800000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 0 6 1 0 8 6 0 10 8 0 12 10 0 14 12 0 16 14 0 18 16 0 20 18 0 22 20 0 24 22 0 26 24 0 28 26 0 30 28 0 32 30 0 34 32 0 36 34 0 38 36 0 40 38 0 2 40 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 38 40 41 40 4 41 40 2 4 2 3 4 2 1 3 5 4 3 5 41 4 5 39 41 5 37 39 5 35 37 5 33 35 5 3 7 5 7 9 5 9 11 5 11 13 5 13 15 5 15 17 5 17 19 5 19 21 5 21 23 5 23 25 5 25 27 5 27 29 5 29 31 5 31 33 22 25 23 22 24 25 24 27 25 24 26 27 26 29 27 26 28 29 28 31 29 28 30 31 30 33 31 20 22 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 12 14 15 14 17 15 10 12 13 12 15 13 8 10 11 10 13 11 6 8 9 8 11 9 1 6 7 6 9 7 1 7 3))
                   (list :vertices (let ((mat (make-matrix 42 3))) (fvector-replace (array-entity mat) #f(-5.0000000745058060e+01 8.9999802410602570e+01 0.0000000000000000e+00 -5.0000198185443878e+01 1.3755300641059875e+02 1.5450900420546532e+01 -5.0000198185443878e+01 1.4000000059604645e+02 0.0000000000000000e+00 4.9999799579381943e+01 1.3755300641059875e+02 1.5450900420546532e+01 4.9999799579381943e+01 1.4000000059604645e+02 0.0000000000000000e+00 5.0000000745058060e+01 9.0000197291374207e+01 0.0000000000000000e+00 -5.0000101327896118e+01 1.3045099377632141e+02 2.9389299452304840e+01 4.9999900162220001e+01 1.3045099377632141e+02 2.9389299452304840e+01 -5.0000101327896118e+01 1.1938899755477905e+02 4.0450800210237503e+01 4.9999900162220001e+01 1.1938899755477905e+02 4.0450800210237503e+01 -5.0000101327896118e+01 1.0545100271701813e+02 4.7552801668643951e+01 4.9999900162220001e+01 1.0545100271701813e+02 4.7552801668643951e+01 -5.0000000745058060e+01 8.9999802410602570e+01 5.0000000745058060e+01 5.0000000745058060e+01 9.0000197291374207e+01 5.0000000745058060e+01 -4.9999900162220001e+01 7.4548996984958649e+01 4.7552801668643951e+01 5.0000101327896118e+01 7.4549302458763123e+01 4.7552801668643951e+01 -4.9999900162220001e+01 6.0610599815845490e+01 4.0450800210237503e+01 5.0000101327896118e+01 6.0610901564359665e+01 4.0450800210237503e+01 -4.9999900162220001e+01 4.9548998475074768e+01 2.9389299452304840e+01 5.0000101327896118e+01 4.9549300223588943e+01 2.9389299452304840e+01 -4.9999799579381943e+01 4.2447000741958618e+01 1.5450900420546532e+01 5.0000198185443878e+01 4.2447399348020554e+01 1.5450900420546532e+01 -4.9999799579381943e+01 3.9999801665544510e+01 6.1232301270227765e-15 5.0000198185443878e+01 4.0000200271606445e+01 6.1232301270227765e-15 -4.9999799579381943e+01 4.2447000741958618e+01 -1.5450900420546532e+01 5.0000198185443878e+01 4.2447399348020554e+01 -1.5450900420546532e+01 -4.9999900162220001e+01 4.9548998475074768e+01 -2.9389299452304840e+01 5.0000101327896118e+01 4.9549300223588943e+01 -2.9389299452304840e+01 -4.9999900162220001e+01 6.0610599815845490e+01 -4.0450800210237503e+01 5.0000101327896118e+01 6.0610901564359665e+01 -4.0450800210237503e+01 -4.9999900162220001e+01 7.4548996984958649e+01 -4.7552801668643951e+01 5.0000101327896118e+01 7.4549302458763123e+01 -4.7552801668643951e+01 -5.0000000745058060e+01 8.9999802410602570e+01 -5.0000000745058060e+01 5.0000000745058060e+01 9.0000197291374207e+01 -5.0000000745058060e+01 -5.0000101327896118e+01 1.0545100271701813e+02 -4.7552801668643951e+01 4.9999900162220001e+01 1.0545100271701813e+02 -4.7552801668643951e+01 -5.0000101327896118e+01 1.1938899755477905e+02 -4.0450800210237503e+01 4.9999900162220001e+01 1.1938899755477905e+02 -4.0450800210237503e+01 -5.0000101327896118e+01 1.3045099377632141e+02 -2.9389299452304840e+01 4.9999900162220001e+01 1.3045099377632141e+02 -2.9389299452304840e+01 -5.0000198185443878e+01 1.3755300641059875e+02 -1.5450900420546532e+01 4.9999799579381943e+01 1.3755300641059875e+02 -1.5450900420546532e+01 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 240 -> 16 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000101327896118e+01 4.9549300223588943e+01 2.9389299452304840e+01) (float-vector 5.0000198185443878e+01 4.2447399348020554e+01 1.5450900420546532e+01) (float-vector -4.9999799579381943e+01 4.2447000741958618e+01 1.5450900420546532e+01) (float-vector -4.9999900162220001e+01 4.9548998475074768e+01 2.9389299452304840e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000198185443878e+01 4.2447399348020554e+01 1.5450900420546532e+01) (float-vector 5.0000198185443878e+01 4.0000200271606445e+01 6.1232301270227765e-15) (float-vector -4.9999799579381943e+01 3.9999801665544510e+01 6.1232301270227765e-15) (float-vector -4.9999799579381943e+01 4.2447000741958618e+01 1.5450900420546532e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.9999900162220001e+01 4.9548998475074768e+01 2.9389299452304840e+01) (float-vector -4.9999900162220001e+01 6.0610599815845490e+01 4.0450800210237503e+01) (float-vector 5.0000101327896118e+01 6.0610901564359665e+01 4.0450800210237503e+01) (float-vector 5.0000101327896118e+01 4.9549300223588943e+01 2.9389299452304840e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.9999900162220001e+01 1.3045099377632141e+02 -2.9389299452304840e+01) (float-vector 4.9999799579381943e+01 1.3755300641059875e+02 -1.5450900420546532e+01) (float-vector -5.0000198185443878e+01 1.3755300641059875e+02 -1.5450900420546532e+01) (float-vector -5.0000101327896118e+01 1.3045099377632141e+02 -2.9389299452304840e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.9999799579381943e+01 1.3755300641059875e+02 1.5450900420546532e+01) (float-vector 4.9999900162220001e+01 1.1938899755477905e+02 4.0450800210237503e+01) (float-vector -5.0000101327896118e+01 1.1938899755477905e+02 4.0450800210237503e+01) (float-vector -5.0000198185443878e+01 1.3755300641059875e+02 1.5450900420546532e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000198185443878e+01 4.0000200271606445e+01 6.1232301270227765e-15) (float-vector 5.0000101327896118e+01 4.9549300223588943e+01 -2.9389299452304840e+01) (float-vector -4.9999900162220001e+01 4.9548998475074768e+01 -2.9389299452304840e+01) (float-vector -4.9999799579381943e+01 3.9999801665544510e+01 6.1232301270227765e-15)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.9999900162220001e+01 7.4548996984958649e+01 -4.7552801668643951e+01) (float-vector -5.0000000745058060e+01 8.9999802410602570e+01 -5.0000000745058060e+01) (float-vector -5.0000101327896118e+01 1.1938899755477905e+02 -4.0450800210237503e+01) (float-vector -5.0000101327896118e+01 1.3045099377632141e+02 -2.9389299452304840e+01) (float-vector -5.0000198185443878e+01 1.3755300641059875e+02 -1.5450900420546532e+01) (float-vector -5.0000198185443878e+01 1.3755300641059875e+02 1.5450900420546532e+01) (float-vector -5.0000101327896118e+01 1.1938899755477905e+02 4.0450800210237503e+01) (float-vector -5.0000101327896118e+01 1.0545100271701813e+02 4.7552801668643951e+01) (float-vector -4.9999900162220001e+01 7.4548996984958649e+01 4.7552801668643951e+01) (float-vector -4.9999900162220001e+01 6.0610599815845490e+01 4.0450800210237503e+01) (float-vector -4.9999900162220001e+01 4.9548998475074768e+01 2.9389299452304840e+01) (float-vector -4.9999799579381943e+01 4.2447000741958618e+01 1.5450900420546532e+01) (float-vector -4.9999799579381943e+01 3.9999801665544510e+01 6.1232301270227765e-15) (float-vector -4.9999900162220001e+01 4.9548998475074768e+01 -2.9389299452304840e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.9999900162220001e+01 7.4548996984958649e+01 -4.7552801668643951e+01) (float-vector -4.9999900162220001e+01 4.9548998475074768e+01 -2.9389299452304840e+01) (float-vector 5.0000101327896118e+01 4.9549300223588943e+01 -2.9389299452304840e+01) (float-vector 5.0000101327896118e+01 7.4549302458763123e+01 -4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -5.0000101327896118e+01 1.1938899755477905e+02 -4.0450800210237503e+01) (float-vector 4.9999900162220001e+01 1.1938899755477905e+02 -4.0450800210237503e+01) (float-vector 4.9999900162220001e+01 1.3045099377632141e+02 -2.9389299452304840e+01) (float-vector -5.0000101327896118e+01 1.3045099377632141e+02 -2.9389299452304840e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 9.0000197291374207e+01 -5.0000000745058060e+01) (float-vector -5.0000000745058060e+01 8.9999802410602570e+01 -5.0000000745058060e+01) (float-vector -4.9999900162220001e+01 7.4548996984958649e+01 -4.7552801668643951e+01) (float-vector 5.0000101327896118e+01 7.4549302458763123e+01 -4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 9.0000197291374207e+01 -5.0000000745058060e+01) (float-vector 4.9999900162220001e+01 1.1938899755477905e+02 -4.0450800210237503e+01) (float-vector -5.0000101327896118e+01 1.1938899755477905e+02 -4.0450800210237503e+01) (float-vector -5.0000000745058060e+01 8.9999802410602570e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.9999900162220001e+01 7.4548996984958649e+01 4.7552801668643951e+01) (float-vector 5.0000101327896118e+01 7.4549302458763123e+01 4.7552801668643951e+01) (float-vector 5.0000101327896118e+01 6.0610901564359665e+01 4.0450800210237503e+01) (float-vector -4.9999900162220001e+01 6.0610599815845490e+01 4.0450800210237503e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.9999900162220001e+01 1.0545100271701813e+02 4.7552801668643951e+01) (float-vector -5.0000101327896118e+01 1.0545100271701813e+02 4.7552801668643951e+01) (float-vector -5.0000101327896118e+01 1.1938899755477905e+02 4.0450800210237503e+01) (float-vector 4.9999900162220001e+01 1.1938899755477905e+02 4.0450800210237503e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.9999900162220001e+01 1.0545100271701813e+02 4.7552801668643951e+01) (float-vector 5.0000101327896118e+01 7.4549302458763123e+01 4.7552801668643951e+01) (float-vector -4.9999900162220001e+01 7.4548996984958649e+01 4.7552801668643951e+01) (float-vector -5.0000101327896118e+01 1.0545100271701813e+02 4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000101327896118e+01 7.4549302458763123e+01 -4.7552801668643951e+01) (float-vector 5.0000101327896118e+01 4.9549300223588943e+01 -2.9389299452304840e+01) (float-vector 5.0000198185443878e+01 4.0000200271606445e+01 6.1232301270227765e-15) (float-vector 5.0000198185443878e+01 4.2447399348020554e+01 1.5450900420546532e+01) (float-vector 5.0000101327896118e+01 4.9549300223588943e+01 2.9389299452304840e+01) (float-vector 5.0000101327896118e+01 6.0610901564359665e+01 4.0450800210237503e+01) (float-vector 5.0000101327896118e+01 7.4549302458763123e+01 4.7552801668643951e+01) (float-vector 4.9999900162220001e+01 1.0545100271701813e+02 4.7552801668643951e+01) (float-vector 4.9999900162220001e+01 1.1938899755477905e+02 4.0450800210237503e+01) (float-vector 4.9999799579381943e+01 1.3755300641059875e+02 1.5450900420546532e+01) (float-vector 4.9999799579381943e+01 1.3755300641059875e+02 -1.5450900420546532e+01) (float-vector 4.9999900162220001e+01 1.3045099377632141e+02 -2.9389299452304840e+01) (float-vector 4.9999900162220001e+01 1.1938899755477905e+02 -4.0450800210237503e+01) (float-vector 5.0000000745058060e+01 9.0000197291374207e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.9999799579381943e+01 1.3755300641059875e+02 -1.5450900420546532e+01) (float-vector 4.9999799579381943e+01 1.3755300641059875e+02 1.5450900420546532e+01) (float-vector -5.0000198185443878e+01 1.3755300641059875e+02 1.5450900420546532e+01) (float-vector -5.0000198185443878e+01 1.3755300641059875e+02 -1.5450900420546532e+01)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_RLEG_LINK1_OOLbDD.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_LLEG_LINK2_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 0.800000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 0 6 1 0 8 6 0 10 8 0 12 10 0 14 12 0 16 14 0 18 16 0 21 22 0 26 21 0 28 26 0 30 28 0 32 30 0 34 32 0 36 34 0 38 36 0 40 38 0 42 40 0 46 42 0 2 46 34 36 37 36 39 37 36 38 39 38 41 39 38 40 41 40 43 41 40 42 44 42 47 48 42 46 47 5 49 47 46 4 47 5 47 4 2 3 4 5 4 3 46 2 4 2 1 3 1 7 3 5 3 7 1 6 7 6 9 7 5 7 9 6 8 9 8 11 9 5 9 11 8 10 11 10 13 11 5 11 13 10 12 13 12 15 13 5 13 15 12 14 15 14 17 15 5 15 17 14 16 17 16 19 17 5 17 19 16 20 19 23 24 19 5 19 24 25 21 24 21 27 24 5 24 27 21 26 27 26 29 27 5 27 29 26 28 29 28 31 29 5 29 31 28 30 31 30 33 31 5 31 33 30 32 33 32 35 33 5 33 35 32 34 35 34 37 35 5 35 37 5 37 39 5 39 41 5 41 45))
                   (list :vertices (let ((mat (make-matrix 50 3))) (fvector-replace (array-entity mat) #f(0.0000000000000000e+00 5.0000000745058060e+01 0.0000000000000000e+00 4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01 5.0000000745058060e+01 5.0000000745058060e+01 0.0000000000000000e+00 4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01 5.0000000745058060e+01 -5.0000000745058060e+01 0.0000000000000000e+00 0.0000000000000000e+00 -5.0000000745058060e+01 0.0000000000000000e+00 4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 4.0450800210237503e+01 -5.0000000745058060e+01 2.9389299452304840e+01 2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01 2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01 1.5450900420546532e+01 5.0000000745058060e+01 4.7552801668643951e+01 1.5450900420546532e+01 -5.0000000745058060e+01 4.7552801668643951e+01 3.0616200265950636e-15 5.0000000745058060e+01 5.0000000745058060e+01 3.0616200265950636e-15 -5.0000000745058060e+01 5.0000000745058060e+01 -1.5450900420546532e+01 5.0000000745058060e+01 4.7552801668643951e+01 -1.5450900420546532e+01 -5.0000000745058060e+01 4.7552801668643951e+01 -2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01 -2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01 -4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 -4.0450800210237503e+01 -5.0000000745058060e+01 2.9389299452304840e+01 -4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 -4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01 -4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 -4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 -4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01 -4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 -5.0000000745058060e+01 5.0000000745058060e+01 6.1232301270227765e-15 -5.0000000745058060e+01 -5.0000000745058060e+01 6.1232301270227765e-15 -4.7552801668643951e+01 5.0000000745058060e+01 -1.5450900420546532e+01 -4.7552801668643951e+01 -5.0000000745058060e+01 -1.5450900420546532e+01 -4.0450800210237503e+01 5.0000000745058060e+01 -2.9389299452304840e+01 -4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 -2.9389299452304840e+01 5.0000000745058060e+01 -4.0450800210237503e+01 -2.9389299452304840e+01 -5.0000000745058060e+01 -4.0450800210237503e+01 -1.5450900420546532e+01 5.0000000745058060e+01 -4.7552801668643951e+01 -1.5450900420546532e+01 -5.0000000745058060e+01 -4.7552801668643951e+01 -9.1848497400275338e-15 5.0000000745058060e+01 -5.0000000745058060e+01 -9.1848497400275338e-15 -5.0000000745058060e+01 -5.0000000745058060e+01 1.5450900420546532e+01 5.0000000745058060e+01 -4.7552801668643951e+01 1.5450900420546532e+01 -5.0000000745058060e+01 -4.7552801668643951e+01 2.9389299452304840e+01 5.0000000745058060e+01 -4.0450800210237503e+01 2.9389299452304840e+01 -5.0000000745058060e+01 -4.0450800210237503e+01 4.0450800210237503e+01 5.0000000745058060e+01 -2.9389299452304840e+01 4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 4.7552801668643951e+01 5.0000000745058060e+01 -1.5450900420546532e+01 4.7552801668643951e+01 -5.0000000745058060e+01 -1.5450900420546532e+01 4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 240 -> 14 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 6.1232301270227765e-15) (float-vector -4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01) (float-vector -4.0450800210237503e+01 5.0000000745058060e+01 -2.9389299452304840e+01) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 6.1232301270227765e-15)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 0.0000000000000000e+00) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 -1.5450900420546532e+01) (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 -1.5450900420546532e+01) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 0.0000000000000000e+00)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.5450900420546532e+01 -5.0000000745058060e+01 -4.7552801668643951e+01) (float-vector -9.1848497400275338e-15 -5.0000000745058060e+01 -5.0000000745058060e+01) (float-vector -9.1848497400275338e-15 5.0000000745058060e+01 -5.0000000745058060e+01) (float-vector -1.5450900420546532e+01 5.0000000745058060e+01 -4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 3.0616200265950636e-15 -5.0000000745058060e+01 5.0000000745058060e+01) (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01) (float-vector 3.0616200265950636e-15 5.0000000745058060e+01 5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -9.1848497400275338e-15 -5.0000000745058060e+01 -5.0000000745058060e+01) (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 -4.0450800210237503e+01) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 -4.0450800210237503e+01) (float-vector -9.1848497400275338e-15 5.0000000745058060e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -9.1848497400275338e-15 5.0000000745058060e+01 -5.0000000745058060e+01) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 -4.0450800210237503e+01) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 -1.5450900420546532e+01) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 0.0000000000000000e+00) (float-vector 4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01) (float-vector 1.5450900420546532e+01 5.0000000745058060e+01 4.7552801668643951e+01) (float-vector 3.0616200265950636e-15 5.0000000745058060e+01 5.0000000745058060e+01) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01) (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 6.1232301270227765e-15) (float-vector -4.0450800210237503e+01 5.0000000745058060e+01 -2.9389299452304840e+01) (float-vector -1.5450900420546532e+01 5.0000000745058060e+01 -4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 0.0000000000000000e+00) (float-vector 4.0450800210237503e+01 -5.0000000745058060e+01 2.9389299452304840e+01) (float-vector 4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 0.0000000000000000e+00)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01) (float-vector -1.5450900420546532e+01 -5.0000000745058060e+01 -4.7552801668643951e+01) (float-vector -1.5450900420546532e+01 5.0000000745058060e+01 -4.7552801668643951e+01) (float-vector -4.0450800210237503e+01 5.0000000745058060e+01 -2.9389299452304840e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 6.1232301270227765e-15) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 6.1232301270227765e-15)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 -4.0450800210237503e+01) (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 -1.5450900420546532e+01) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 -1.5450900420546532e+01) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 -4.0450800210237503e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5450900420546532e+01 -5.0000000745058060e+01 4.7552801668643951e+01) (float-vector 3.0616200265950636e-15 -5.0000000745058060e+01 5.0000000745058060e+01) (float-vector 3.0616200265950636e-15 5.0000000745058060e+01 5.0000000745058060e+01) (float-vector 1.5450900420546532e+01 5.0000000745058060e+01 4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01) (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01) (float-vector 3.0616200265950636e-15 -5.0000000745058060e+01 5.0000000745058060e+01) (float-vector 1.5450900420546532e+01 -5.0000000745058060e+01 4.7552801668643951e+01) (float-vector 4.0450800210237503e+01 -5.0000000745058060e+01 2.9389299452304840e+01) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 0.0000000000000000e+00) (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 -1.5450900420546532e+01) (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 -4.0450800210237503e+01) (float-vector -9.1848497400275338e-15 -5.0000000745058060e+01 -5.0000000745058060e+01) (float-vector -1.5450900420546532e+01 -5.0000000745058060e+01 -4.7552801668643951e+01) (float-vector -4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 6.1232301270227765e-15)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.0450800210237503e+01 -5.0000000745058060e+01 2.9389299452304840e+01) (float-vector 1.5450900420546532e+01 -5.0000000745058060e+01 4.7552801668643951e+01) (float-vector 1.5450900420546532e+01 5.0000000745058060e+01 4.7552801668643951e+01) (float-vector 4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_LLEG_LINK2_hOPF5q.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_LLEG_LINK3_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 -3.5350000000000000e+02))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 0.900000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 2 3 0 1 0 6 6 0 7 5 7 0 0 3 5 4 2 1 1 6 4 3 2 4 3 4 5 4 7 5 6 7 4 8 9 10 8 14 9 8 16 14 8 18 16 8 20 18 8 22 20 8 24 22 8 26 24 8 28 26 8 30 28 8 32 30 8 34 32 8 36 34 8 38 36 8 40 38 8 42 40 8 44 42 8 46 44 8 48 46 8 10 48 38 40 41 40 43 41 40 42 43 42 45 43 42 44 45 44 47 45 44 46 47 46 49 47 46 48 49 48 12 49 48 10 12 10 11 12 10 9 11 13 12 11 13 49 12 13 47 49 13 45 47 13 43 45 13 41 43 13 11 15 13 15 17 13 17 19 13 19 21 13 21 23 13 23 25 13 25 27 13 27 29 13 29 31 13 31 33 13 33 35 13 35 37 13 37 39 13 39 41 30 33 31 30 32 33 32 35 33 32 34 35 34 37 35 34 36 37 36 39 37 36 38 39 38 41 39 28 30 31 26 28 29 28 31 29 24 26 27 26 29 27 22 24 25 24 27 25 20 22 23 22 25 23 18 20 21 20 23 21 16 18 19 18 21 19 14 16 17 16 19 17 9 14 15 14 17 15 9 15 11))
                   (list :vertices (let ((mat (make-matrix 50 3))) (fvector-replace (array-entity mat) #f(-5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02 -5.0000000745058060e+01 -5.0000000745058060e+01 6.5700000524520874e+02 -5.0000000745058060e+01 5.0000000745058060e+01 6.5700000524520874e+02 -5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02 5.0000000745058060e+01 5.0000000745058060e+01 6.5700000524520874e+02 5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02 5.0000000745058060e+01 -5.0000000745058060e+01 6.5700000524520874e+02 5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02 0.0000000000000000e+00 -1.8366000631431234e-04 5.0349998474121094e+02 4.7552801668643951e+01 -1.5451000072062016e+01 5.0349998474121094e+02 5.0000000745058060e+01 -1.8366000631431234e-04 5.0349998474121094e+02 4.7552801668643951e+01 -1.5450700186192989e+01 4.0349999070167542e+02 5.0000000745058060e+01 1.8366000631431234e-04 4.0349999070167542e+02 0.0000000000000000e+00 1.8366000631431234e-04 4.0349999070167542e+02 4.0450800210237503e+01 -2.9389400035142899e+01 5.0349998474121094e+02 4.0450800210237503e+01 -2.9389100149273872e+01 4.0349999070167542e+02 2.9389299452304840e+01 -4.0451001375913620e+01 5.0349998474121094e+02 2.9389299452304840e+01 -4.0450699627399445e+01 4.0349999070167542e+02 1.5450900420546532e+01 -4.7552999109029770e+01 5.0349998474121094e+02 1.5450900420546532e+01 -4.7552600502967834e+01 4.0349999070167542e+02 3.0616200265950636e-15 -5.0000198185443878e+01 5.0349998474121094e+02 3.0616200265950636e-15 -4.9999799579381943e+01 4.0349999070167542e+02 -1.5450900420546532e+01 -4.7552999109029770e+01 5.0349998474121094e+02 -1.5450900420546532e+01 -4.7552600502967834e+01 4.0349999070167542e+02 -2.9389299452304840e+01 -4.0451001375913620e+01 5.0349998474121094e+02 -2.9389299452304840e+01 -4.0450699627399445e+01 4.0349999070167542e+02 -4.0450800210237503e+01 -2.9389400035142899e+01 5.0349998474121094e+02 -4.0450800210237503e+01 -2.9389100149273872e+01 4.0349999070167542e+02 -4.7552801668643951e+01 -1.5451000072062016e+01 5.0349998474121094e+02 -4.7552801668643951e+01 -1.5450700186192989e+01 4.0349999070167542e+02 -5.0000000745058060e+01 -1.8366000631431234e-04 5.0349998474121094e+02 -5.0000000745058060e+01 1.8366000631431234e-04 4.0349999070167542e+02 -4.7552801668643951e+01 1.5450700186192989e+01 5.0349998474121094e+02 -4.7552801668643951e+01 1.5451000072062016e+01 4.0349999070167542e+02 -4.0450800210237503e+01 2.9389100149273872e+01 5.0349998474121094e+02 -4.0450800210237503e+01 2.9389400035142899e+01 4.0349999070167542e+02 -2.9389299452304840e+01 4.0450699627399445e+01 5.0349998474121094e+02 -2.9389299452304840e+01 4.0451001375913620e+01 4.0349999070167542e+02 -1.5450900420546532e+01 4.7552600502967834e+01 5.0349998474121094e+02 -1.5450900420546532e+01 4.7552999109029770e+01 4.0349999070167542e+02 -9.1848497400275338e-15 4.9999799579381943e+01 5.0349998474121094e+02 -9.1848497400275338e-15 5.0000198185443878e+01 4.0349999070167542e+02 1.5450900420546532e+01 4.7552600502967834e+01 5.0349998474121094e+02 1.5450900420546532e+01 4.7552999109029770e+01 4.0349999070167542e+02 2.9389299452304840e+01 4.0450699627399445e+01 5.0349998474121094e+02 2.9389299452304840e+01 4.0451001375913620e+01 4.0349999070167542e+02 4.0450800210237503e+01 2.9389100149273872e+01 5.0349998474121094e+02 4.0450800210237503e+01 2.9389400035142899e+01 4.0349999070167542e+02 4.7552801668643951e+01 1.5450700186192989e+01 5.0349998474121094e+02 4.7552801668643951e+01 1.5451000072062016e+01 4.0349999070167542e+02 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 276 -> 18 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 6.5700000524520874e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 6.5700000524520874e+02) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 6.5700000524520874e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 6.5700000524520874e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.5450900420546532e+01 -4.7552600502967834e+01 4.0349999070167542e+02) (float-vector -2.9389299452304840e+01 -4.0450699627399445e+01 4.0349999070167542e+02) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 6.5700000524520874e+02) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02) (float-vector 4.7552801668643951e+01 1.5451000072062016e+01 4.0349999070167542e+02) (float-vector 4.7552801668643951e+01 -1.5450700186192989e+01 4.0349999070167542e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 6.5700000524520874e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.7552801668643951e+01 -1.5450700186192989e+01 4.0349999070167542e+02) (float-vector 4.0450800210237503e+01 -2.9389100149273872e+01 4.0349999070167542e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02) (float-vector 4.0450800210237503e+01 -2.9389100149273872e+01 4.0349999070167542e+02) (float-vector 2.9389299452304840e+01 -4.0450699627399445e+01 4.0349999070167542e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.0450800210237503e+01 -2.9389100149273872e+01 4.0349999070167542e+02) (float-vector -4.7552801668643951e+01 -1.5450700186192989e+01 4.0349999070167542e+02) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.9389299452304840e+01 -4.0450699627399445e+01 4.0349999070167542e+02) (float-vector -4.0450800210237503e+01 -2.9389100149273872e+01 4.0349999070167542e+02) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5450900420546532e+01 -4.7552600502967834e+01 4.0349999070167542e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02) (float-vector 2.9389299452304840e+01 -4.0450699627399445e+01 4.0349999070167542e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02) (float-vector 1.5450900420546532e+01 -4.7552600502967834e+01 4.0349999070167542e+02) (float-vector -1.5450900420546532e+01 -4.7552600502967834e+01 4.0349999070167542e+02) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 6.5700000524520874e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 6.5700000524520874e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.0450800210237503e+01 2.9389400035142899e+01 4.0349999070167542e+02) (float-vector -2.9389299452304840e+01 4.0451001375913620e+01 4.0349999070167542e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 1.5450900420546532e+01 4.7552999109029770e+01 4.0349999070167542e+02) (float-vector 2.9389299452304840e+01 4.0451001375913620e+01 4.0349999070167542e+02) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02) (float-vector 4.0450800210237503e+01 2.9389400035142899e+01 4.0349999070167542e+02) (float-vector 4.7552801668643951e+01 1.5451000072062016e+01 4.0349999070167542e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.9389299452304840e+01 4.0451001375913620e+01 4.0349999070167542e+02) (float-vector 4.0450800210237503e+01 2.9389400035142899e+01 4.0349999070167542e+02) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -4.7552801668643951e+01 1.5451000072062016e+01 4.0349999070167542e+02) (float-vector -4.0450800210237503e+01 2.9389400035142899e+01 4.0349999070167542e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 5.0349998474121094e+02) (float-vector -4.7552801668643951e+01 -1.5450700186192989e+01 4.0349999070167542e+02) (float-vector -4.7552801668643951e+01 1.5451000072062016e+01 4.0349999070167542e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 6.5700000524520874e+02) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 6.5700000524520874e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.9389299452304840e+01 4.0451001375913620e+01 4.0349999070167542e+02) (float-vector -1.5450900420546532e+01 4.7552999109029770e+01 4.0349999070167542e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.5450900420546532e+01 4.7552999109029770e+01 4.0349999070167542e+02) (float-vector -2.9389299452304840e+01 4.0451001375913620e+01 4.0349999070167542e+02) (float-vector -4.0450800210237503e+01 2.9389400035142899e+01 4.0349999070167542e+02) (float-vector -4.7552801668643951e+01 1.5451000072062016e+01 4.0349999070167542e+02) (float-vector -4.7552801668643951e+01 -1.5450700186192989e+01 4.0349999070167542e+02) (float-vector -4.0450800210237503e+01 -2.9389100149273872e+01 4.0349999070167542e+02) (float-vector -2.9389299452304840e+01 -4.0450699627399445e+01 4.0349999070167542e+02) (float-vector -1.5450900420546532e+01 -4.7552600502967834e+01 4.0349999070167542e+02) (float-vector 1.5450900420546532e+01 -4.7552600502967834e+01 4.0349999070167542e+02) (float-vector 2.9389299452304840e+01 -4.0450699627399445e+01 4.0349999070167542e+02) (float-vector 4.0450800210237503e+01 -2.9389100149273872e+01 4.0349999070167542e+02) (float-vector 4.7552801668643951e+01 -1.5450700186192989e+01 4.0349999070167542e+02) (float-vector 4.7552801668643951e+01 1.5451000072062016e+01 4.0349999070167542e+02) (float-vector 4.0450800210237503e+01 2.9389400035142899e+01 4.0349999070167542e+02) (float-vector 2.9389299452304840e+01 4.0451001375913620e+01 4.0349999070167542e+02) (float-vector 1.5450900420546532e+01 4.7552999109029770e+01 4.0349999070167542e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02) (float-vector -1.5450900420546532e+01 4.7552999109029770e+01 4.0349999070167542e+02) (float-vector 1.5450900420546532e+01 4.7552999109029770e+01 4.0349999070167542e+02) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 5.0349998474121094e+02) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 6.5700000524520874e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 6.5700000524520874e+02)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_LLEG_LINK3_sLQwSP.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  (:_make_instance_LLEG_LINK4_geom0 ()
    (let (geom glv qhull
          (local-cds (make-coords :pos (float-vector 0.0000000000000000e+00 0.0000000000000000e+00 0.0000000000000000e+00))))
      (setq glv
       (instance gl::glvertices :init
                 (list ;; mesh list
                  (list ;; mesh description
                   (list :type :triangles)
                   (list :material (list
                    (list :ambient (float-vector 0.100000 0.100000 0.100000 1.000000))
                    (list :diffuse (float-vector 0.800000 1.000000 0.800000 1.000000))))
                   (list :indices #i( 0 1 2 2 3 0 1 0 6 6 0 7 5 7 0 0 3 5 4 2 1 1 6 4 3 2 4 3 4 5 4 7 5 6 7 4 8 9 10 8 14 9 8 16 14 8 18 16 8 20 18 8 22 20 8 24 22 8 26 24 8 29 30 8 34 29 8 36 34 8 38 36 8 40 38 8 42 40 8 44 42 8 46 44 8 48 46 8 50 48 8 54 50 8 10 54 42 44 45 44 47 45 44 46 47 46 49 47 46 48 49 48 51 49 48 50 52 50 55 56 50 54 55 13 57 55 54 12 55 13 55 12 10 11 12 13 12 11 54 10 12 10 9 11 9 15 11 13 11 15 9 14 15 14 17 15 13 15 17 14 16 17 16 19 17 13 17 19 16 18 19 18 21 19 13 19 21 18 20 21 20 23 21 13 21 23 20 22 23 22 25 23 13 23 25 22 24 25 24 27 25 13 25 27 24 28 27 31 32 27 13 27 32 33 29 32 29 35 32 13 32 35 29 34 35 34 37 35 13 35 37 34 36 37 36 39 37 13 37 39 36 38 39 38 41 39 13 39 41 38 40 41 40 43 41 13 41 43 40 42 43 42 45 43 13 43 45 13 45 47 13 47 49 13 49 53))
                   (list :vertices (let ((mat (make-matrix 58 3))) (fvector-replace (array-entity mat) #f(-5.0000000745058060e+01 -5.0000000745058060e+01 -2.5000000000000000e+02 -5.0000000745058060e+01 -5.0000000745058060e+01 -5.0000000745058060e+01 -5.0000000745058060e+01 5.0000000745058060e+01 -5.0000000745058060e+01 -5.0000000745058060e+01 5.0000000745058060e+01 -2.5000000000000000e+02 5.0000000745058060e+01 5.0000000745058060e+01 -5.0000000745058060e+01 5.0000000745058060e+01 5.0000000745058060e+01 -2.5000000000000000e+02 5.0000000745058060e+01 -5.0000000745058060e+01 -5.0000000745058060e+01 5.0000000745058060e+01 -5.0000000745058060e+01 -2.5000000000000000e+02 0.0000000000000000e+00 5.0000000745058060e+01 0.0000000000000000e+00 4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01 5.0000000745058060e+01 5.0000000745058060e+01 0.0000000000000000e+00 4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01 5.0000000745058060e+01 -5.0000000745058060e+01 0.0000000000000000e+00 0.0000000000000000e+00 -5.0000000745058060e+01 0.0000000000000000e+00 4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 4.0450800210237503e+01 -5.0000000745058060e+01 2.9389299452304840e+01 2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01 2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01 1.5450900420546532e+01 5.0000000745058060e+01 4.7552801668643951e+01 1.5450900420546532e+01 -5.0000000745058060e+01 4.7552801668643951e+01 3.0616200265950636e-15 5.0000000745058060e+01 5.0000000745058060e+01 3.0616200265950636e-15 -5.0000000745058060e+01 5.0000000745058060e+01 -1.5450900420546532e+01 5.0000000745058060e+01 4.7552801668643951e+01 -1.5450900420546532e+01 -5.0000000745058060e+01 4.7552801668643951e+01 -2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01 -2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01 -4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 -4.0450800210237503e+01 -5.0000000745058060e+01 2.9389299452304840e+01 -4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 -4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01 -4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 -4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 -4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01 -4.0450800210237503e+01 5.0000000745058060e+01 2.9389299452304840e+01 -5.0000000745058060e+01 5.0000000745058060e+01 6.1232301270227765e-15 -5.0000000745058060e+01 -5.0000000745058060e+01 6.1232301270227765e-15 -4.7552801668643951e+01 5.0000000745058060e+01 -1.5450900420546532e+01 -4.7552801668643951e+01 -5.0000000745058060e+01 -1.5450900420546532e+01 -4.0450800210237503e+01 5.0000000745058060e+01 -2.9389299452304840e+01 -4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 -2.9389299452304840e+01 5.0000000745058060e+01 -4.0450800210237503e+01 -2.9389299452304840e+01 -5.0000000745058060e+01 -4.0450800210237503e+01 -1.5450900420546532e+01 5.0000000745058060e+01 -4.7552801668643951e+01 -1.5450900420546532e+01 -5.0000000745058060e+01 -4.7552801668643951e+01 -9.1848497400275338e-15 5.0000000745058060e+01 -5.0000000745058060e+01 -9.1848497400275338e-15 -5.0000000745058060e+01 -5.0000000745058060e+01 1.5450900420546532e+01 5.0000000745058060e+01 -4.7552801668643951e+01 1.5450900420546532e+01 -5.0000000745058060e+01 -4.7552801668643951e+01 2.9389299452304840e+01 5.0000000745058060e+01 -4.0450800210237503e+01 2.9389299452304840e+01 -5.0000000745058060e+01 -4.0450800210237503e+01 4.0450800210237503e+01 5.0000000745058060e+01 -2.9389299452304840e+01 4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 4.7552801668643951e+01 5.0000000745058060e+01 -1.5450900420546532e+01 4.7552801668643951e+01 -5.0000000745058060e+01 -1.5450900420546532e+01 4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 4.0450800210237503e+01 -5.0000000745058060e+01 -2.9389299452304840e+01 )) mat)))
                  )
                 ))
      (send glv :transform local-cds)
      (send glv :calc-normals)
      (setq qhull
            ;; qhull 276 -> 11 faces
            (instance faceset :init :faces (list
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 -2.5000000000000000e+02) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 -2.5000000000000000e+02) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 -2.5000000000000000e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 -2.5000000000000000e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 -5.0000000745058060e+01) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 -2.5000000000000000e+02) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 -2.5000000000000000e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 -5.0000000745058060e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 -2.5000000000000000e+02) (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 -2.5000000000000000e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -1.5450900420546532e+01 -5.0000000745058060e+01 4.7552801668643951e+01) (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01) (float-vector -1.5450900420546532e+01 5.0000000745058060e+01 4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 3.0616200265950636e-15 5.0000000745058060e+01 5.0000000745058060e+01) (float-vector 3.0616200265950636e-15 -5.0000000745058060e+01 5.0000000745058060e+01) (float-vector -1.5450900420546532e+01 -5.0000000745058060e+01 4.7552801668643951e+01) (float-vector -1.5450900420546532e+01 5.0000000745058060e+01 4.7552801668643951e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01) (float-vector 3.0616200265950636e-15 5.0000000745058060e+01 5.0000000745058060e+01) (float-vector -1.5450900420546532e+01 5.0000000745058060e+01 4.7552801668643951e+01) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01) (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -5.0000000745058060e+01 5.0000000745058060e+01 -2.5000000000000000e+02) (float-vector 5.0000000745058060e+01 5.0000000745058060e+01 -2.5000000000000000e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01) (float-vector 4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01) (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01) (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01) (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -4.7552801668643951e+01 5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector -5.0000000745058060e+01 -5.0000000745058060e+01 -2.5000000000000000e+02) (float-vector -4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01) (float-vector -2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01) (float-vector -1.5450900420546532e+01 -5.0000000745058060e+01 4.7552801668643951e+01) (float-vector 3.0616200265950636e-15 -5.0000000745058060e+01 5.0000000745058060e+01) (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01) (float-vector 4.7552801668643951e+01 -5.0000000745058060e+01 1.5450900420546532e+01) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 -5.0000000745058060e+01) (float-vector 5.0000000745058060e+01 -5.0000000745058060e+01 -2.5000000000000000e+02)))))
              (instance face :init :vertices
                (mapcar #'(lambda (v) (send local-cds :transform-vector v))
                  (nreverse (list  (float-vector 2.9389299452304840e+01 -5.0000000745058060e+01 4.0450800210237503e+01) (float-vector 3.0616200265950636e-15 -5.0000000745058060e+01 5.0000000745058060e+01) (float-vector 3.0616200265950636e-15 5.0000000745058060e+01 5.0000000745058060e+01) (float-vector 2.9389299452304840e+01 5.0000000745058060e+01 4.0450800210237503e+01)))))
              ))
             )
      (setq geom (instance collada-body :init :replace-obj qhull :name "file:///tmp/collada_model_reader_LLEG_LINK4_be2uFe.dae"))
      (when glv
        (setq (geom . gl::aglvertices) glv)
        (send geom :assoc glv))
      geom))
  )


(provide :SampleRobot "(ip-172-30-1-108 4.4.0-1067-aws x86_64) at 2019-02-04 16:33:17 PST")

